#### 渠道 - 其他平台
通过本接口，用户可以将自己的线索搜集渠道（例如广告投放平台、企业自建官网、自媒体平台）进行数据打通。

##### 请求地址

`POST   https://ads.weiwenjia.com/api/v1/clues/sync?s={JwtCode}`

##### URL及参数

| 字段名              | 是否必填 | 字段类型 | 描述                                                         |
| ------------------- | -------- | -------- | ------------------------------------------------------------ |
| s                | 是| String   | 企业JwtCode，从广告助手-接口配置-接收URL获取，必须保证接收URL完整，否则可能会导致接口认证失败。广告助手中规则被修改、删除或者规则负责人被修改，都会导致jwt会失效,需要重新获取。|

##### 请求Body
 > 以下字段，都可以从【接收广告资源接口配置-字段映射关系设置】页面获取。

| 字段名              | 是否必填 | 字段类型 | 描述                                                         |
| ------------------- | -------- | -------- | ------------------------------------------------------------ |
|clueId| 是| String| 为广告资源唯一id，是第三方的资源唯一标识的对应值。如果不填写会报错 originalId为空。注意clueId是i大写。|
|name| 是| String| 线索或者客户名，根据广告助手配置来决定。可以从【接收广告资源接口配置-字段映射关系设置】页面获取。|
|address.tel|否|String|联系号码，可以从【接收广告资源接口配置-字段映射关系设置】页面获取。|
|...|...|...|线索或者客户的其他字段。都可以可以从【接收广告资源接口配置-字段映射关系设置】页面获取，然后填写到参数中。|

###### 实例数据:
```json
{  
  "clueId": "20082006933312218",
  "name": "李治平",
  "address.tel": "010-22568970"
}
```

##### 接口响应
###### 导入成功时返回：
```json
{
    "code": 0,
    "message": "success",
    "requestId": "xxxxxxxxxx",
    "data": "推送线索成功"
}
```

###### 导入失败时返回
```json
{
    "code": 200000,
    "message": "系统错误",
    "requestId": "xxxxxxxxxx"
}
```

##### 返回Code一览

| Code              | Msg |
| ------------------- | -------- |
| 0                | success      |
| 200000                | 系统错误      |
| 200001                | Authorization failed.      |
| 200002                | token验证失败.      |
| 200003                | 参数解析失败, 查找不到对应的广告规则!      |
| 200004               | 线索推送失败, 该同步规则已禁用      |
| 200005                | 没有可用数据      |
| 200006                | 获取渠道数据异常      |
| 200007                | 获取线索池数据异常      |
| 200008                | 获取业务模板数据异常      |
| 200009                | 获取数据来源异常      |
| 200010                | 获取资源流入数据异常      |
| 200011                | 获取客户公海数据异常      |
| 200012                | 获取用户权限异常      |
| 200012                | ACCESSTOKEN failed.      |
| 200013                | 分配规则设置异常      |
| 200014                | 无有效分配规则      |