### 本文档主要说明对接的一般流程：
- 开通开放平台接口调用权限。
- 接口鉴权方式。
- 如何换取用户token。
- 介绍调试方法和调试工具。


#### 开通开放平台接口调用权限
请联系您的客服人员或商务经理进行开通，开通后企业才能调用。


#### 接口鉴权方式
接口通过user token进行鉴权，调用接口时，需要在HTTP 请求header中添

`Authorization: Token token=xxxxxxxx, device=open_api, version_code=9.9.9`

> Authorization说明

| 参数   |必填| 说明 |
| --- | --- |--- |
| `token` |是|用户access token。|
| `device` |是|调用方客户端识别。对接开发值固定为open_api，其他传值会导致错误。|
| `version_code` |是|接口版本号，对接开发值固定为9.9.9，其他传值会导致错误。|


**调用举例**
调用域名参考： [开发须知](../crm_open_api-1f8mk6vuq7aha/crm_open_api-1f8mjm3kdttee.md)
![](/uploads/crm_open_api/images/m_c077ca9d63e9f63fcab48d751ff7b7d7_r.png)

#### 3、如何换取用户token
CorpId+用户手机+密码的方式进行接口调用鉴权换取

**CURL 代码**

```Bash
curl --location --request POST '${host}/api/v2/auth/login' \
--header 'Content-Type: application/json' \
--data-raw '{
  "device": "open_api",
  "login": "{user phone}",
  "password": "{user password}",
  "corp_id": "organization corp id"
}'
```
> CorpId获取
CorpId在公司信息界面可以获得
![](/uploads/crm_open_api/images/m_cd6c963fb11e9ace6013ad750304519e_r.png)

#### 调试方法和调试工具
可以使用Postman对接口进行调试。
![](/uploads/crm_open_api/images/m_a55a80c1fdd783df9ae2e2d9c50efefa_r.png)
使用CURL命令
```Bash
curl --location --request GET '${host}/api/v2/customers' \
--header 'Authorization: Token token={user token}, device=open_api, version_code=9.9.9:'
```