## 接口调用常见问题

- ##### API接口有调用的频率限制吗？
有的，为减轻调用接口对服务器的压力，避免对用户正常使用造成影响，接口限制调用频率为：10次/10秒。返回错误码429或者提示Retry later表示超过接口调用频率限制了，建议控制调用接口频次为10次/10秒。（建议调用程序使用独立的公网IP来访问接口）

-  ##### 当系统中客户数据有更新时，可以回调给第三方吗？
1、系统不支持实时推送，调用有频率限制，目前为1秒1次调用。
2、目前还不支持实时回调、推送数据到外部系统、webhook等。

- ##### 可以批量创建客户吗？
不能，只能写个循环调用创建客户接口的程序循环创建客户。

- ##### 如何查询客户是否重复？
使用客户[查重接口](http://apidoc.weiwenjia.com/docs/crm_open_api/duplicates_search "查重接口")

- ##### 如何获取用户ID(user_id)？
调用[登录接口](http://apidoc.weiwenjia.com/docs/crm_open_api/user_login "登录接口")之后会返回当前用户的user_id，如果需要其他用户的user_id，可调[用户列表](http://apidoc.weiwenjia.com/docs/crm_open_api/user_simple_list "用户列表")获取。

- ##### 创建商机/合同时如何关联产品？
因为关联产品可以关联多个因此在关联字段接口中，合同如`contract[product_assets_attributes]`该字段是个数组结构,需要转化为数组如`contract[product_assets_attributes][]` 在数组中添加相关的参数,如合同关联产品的ID字段`contract[product_assets_attributes][][product_id]`，以此类推填写其他的相关参数商机的创建也是如此，前缀需要换成opportunity类型 如:如商机关联产品的ID字段 `opportunity[product_assets_attributes][][product_id]`

- ##### 如何查询某段时间内新增的数据
如查询[客户列表](http://apidoc.weiwenjia.com/docs/crm_open_api/customer_list "客户列表"),如按照时间范围查找需要参数 ...&date=other&start_date=2018-01-01&end_date=2018-01-07

- ##### 如何查询某个客户是在公海还是不在公海？
用[客户查重接口](http://apidoc.weiwenjia.com/docs/crm_open_api/duplicates_search "客户查重接口")，配置查重字段，如果返回的结果is_common为true表示公海数据。

- ##### 如何为销售人员指派任务？
使用[创建任务接口](/docs/crm_open_api/task "创建任务接口")，同时指定任务参与人的user_id，就会给该用户创建了任务。

- ##### 请问如何设置帐号密码呢？
如图所示：
![](http://help.lixiaoyun.com/lfs/26a4df04090f85f3b1ddad4b168f8e5ba7a71b1fc806cdaa9ca0bc632ca3ea82.dat)

设置好帐号密码后，先通过登录接口获取user\_token，然后在其他接口中带入user\_token、version\_code和device参数就可以调用其他接口了。

- ##### 如何获取user_token？
调用登录接口/api/v2/auth/login获取user_token，注意登录接口是post请求。


- ##### user_token的有效期是多久？
一个帐号，PC端与移动端是可以同时在线user_token不会失效，若是有多部移动设备，切换移动设备登录（在移动设备重新登录）user_token就会更新，之前的user_token就失效了。

- ##### 全局参数中的version_code怎么填？
version_code填写3.13.0即可（后续版本的接口是向下兼容的），当前最新是3.22.4。

- ##### 全局参数中的device怎么填？
如果是爱客CRM独立版，device填写ios或android；
如果是爱客CRM钉钉版，device填写dingtalk；
如果是励销CRM，device填写wxwork。

- ##### 调用登录接口提示device参数错误怎么办？
请device参数没有填错，请检查参数是否是通过header传递的，应该通过body传递。
![](../../images/screenshot_1528449775959.png)
另外，推荐使用json格式：
![](../../images/screenshot_1540452001746.png)


- ##### 调登录接口提示帐号或密码错误怎么办？
如果是爱客CRM独立版，请检查帐号或密码。如果是爱客CRM钉钉版，注意不是用钉钉帐号密码，而是需要用爱客CRM的帐号密码，详见**问题1**。如果是励销CRM，注意不是用企业微信帐号密码，而是需要用励销CRM的帐号密码，详见**问题1**。


- ##### API接口有调用的频率限制吗？
有的，为减轻调用接口对服务器的压力，避免对用户正常使用造成影响，接口限制调用频率为：1次/秒。

- ##### 接口返回错误码429是什么意思？
返回错误码429或者提示Retry later表示超过接口调用频率限制了，建议控制调用接口频次为1次/秒。

- ##### 是否有PHP、Java、Python、C#、.Net等语言对接的Demo？
没有。


- ##### 是否可以请求的技术人员帮忙开发对接？
目前不提供开发对接服务，仅在必要时提供对接问题的咨询和解答，需要客户自己找开发人员对接。


- ##### 如何获取自定义业务字段？
如需单独获取自定义字段使用以下接口： [获取模块自定义字段](../crm_open_api-1fc6p7gqff7iv/crm_open_api-1b2f6irk8tjkb/crm_open_api-1b2f6p3ttp3id.md)

- ##### 如何获取自定义业务参数？
自定义业务参数配置请参考接口 [自定义业务参数
](https://apidoc.weiwenjia.com/docs/crm_open_api/crm_open_api-1bctaf791slub)

- ##### 如何获取一个客户的全部资料？
先调用客户列表接口获得客户ID，再调用客户详情接口获得该客户全部资料。
涉及接口：[客户列表
](https://apidoc.weiwenjia.com/docs/crm_open_api/customer_list)
[客户详情](../includes/customer/customer_detial.md)


- ##### 如何获取user_id？
调用登录接口之后会返回当前用户的user_id，如果需要其他用户的user_id，可调用/api/v2/user/list获取。
以爱客CRM为例，涉及以下接口：
http://test.ikcrm.com:8008/api_doc/#%E7%94%A8%E6%88%B7%E6%8E%A5%E5%8F%A3


- ##### 创建商机/合同时如何关联产品？
因为关联产品可以关联多个因此在关联字段接口中，合同如【contract[product_assets_attributes]】
该字段是个数组结构 需要转化为数组如"contract[product_assets_attributes][]" 在数组中添加相关的参数
如关联产品的ID字段"contract[product_assets_attributes][][product_id]"，以此类推填写其他的相关参数
商机的创建也是如此，前缀需要换成opportunity类型 如:
如关联产品的ID字段 "opportunity[product_assets_attributes][][product_id]"


- ##### 如何按照某项条件查询数据？
1，根据接口【接口地址+/api/v2/::format/filter_sort_group】::format 请用对应的模块名称替换
如"customesr", "contacts", "opportunities", "contracts"，"leads"
2，通过第一步数据在调用【接口地址+/api/v2/::format/::filtter_type/filter_optionsp】
获取筛选项  其中::fitter_type使用第一步接口中“field_name”字段值替换
以爱客CRM为例，涉及以下接口：
如获取客户查询条件：
第一步：http://test.ikcrm.com:8008/api_doc/#%E5%AE%A2%E6%88%B7%E7%AD%9B%E9%80%89%E6%9D%A1%E4%BB%B6%E5%88%86%E7%BB%84
第二步：http://test.ikcrm.com:8008/api_doc/#%E5%AE%A2%E6%88%B7%E7%AD%9B%E9%80%89%E9%80%89%E9%A1%B9


- ##### 如何查询某段时间内新增的数据？
http://test.ikcrm.com:8008/api_doc/#%E5%85%A8%E9%83%A8%E5%AE%A2%E6%88%B7%E5%88%97%E8%A1%A8 

如按照时间范围查找需要参数 ...&date=other&start_date=2018-01-01&end_date=2018-01-07

- ##### 如何查询某段时间内更新过的数据？
可以根据对应的列表查询，设置查询条件为时间排序并通过时间区间过滤

- ##### 调用列表接口的时候，是返回全部的数据吗？
不是，如果要查询全部的数据，需要循环调用接口查询不同page的数据，如page=1&per_page=20，per_page最大100。

- ##### 如何获取地区数据？
先调用/api/v2/location/export传入klass_name=Province获取省份数据，再调用/api/v2/location/cities传入省份id获取该省份的城市，再调用/api/v2/location/districts传入城市id获取该城市的区县数据。

- ##### 有一键删除全部客户的接口吗？
删除客户需要谨慎操作，目前不提供接口进行批量删除。如果需要删除全部客户，可以登录系统后进行操作。

- ##### 如何导入客户数据到客户公海里面？
先调用api/v2/common_customers/common_settings获取公海列表（公海id），然后调用创建公海客户接口api/v2/common_customers/:id

- ##### 如何将销售的客户转移到客户公海里面？
先调用api/v2/common_customers/common_settings获取公海列表（公海id），然后调用创建公海客户接口api/v2/common_customers/:id

- ##### 如何查询某个客户是在公海还是不在公海？
可以用查重接口，传查重字段的值，如果返回的结果中user_id有值表示有人负责，如果user_id为空表示在公海中。