### 本文档说明接口调用的一些技术细节：
- 接口地址域名
- 调用频率说明
- 接口请求协议

#### 接口地址域名
接口的访问域名有三个版本：

| 版本 |域名   |说明   |
| ------------ | ------------ | ------------ |
|钉钉版本 |https://dingtalk.e.ikcrm.com/  | 使用钉钉打开或者通过钉钉扫码登录的版本（包括一方品版本）。|
|企微版本 |https://e.lixiaocrm.com/  |使用企微打开或者企微扫码登录的版本。|
|独立版本 |https://lxcrm.weiwenjia.com/ |独立版版本，使用账号密码登录的版本。|


#### 调用频率说明
目前API服务对每个企业调用接口的请求限制为最高调用10次/10秒。

#### 请求鉴权
接口后台通过根据请求头中参数 Authorization 的值进行鉴权校验，请求时需要在请求头中添加，例如：
 >Authorization: Token token=xxxxxxxx, device=open_api, version_code=9.9.9

获取Token参考文档 [基本知识-对接流程](../crm_open_api-1f8mjkgrj2s0h/crm_open_api-1f8mjkto9cnk5.md)

#### 接口请求协议
#### 协议说明
1、开放接口为HTTP-JSON接口，使用SSL加密的HTTPS协议。
2、接口采用RESTful风格，每个HTTP请求方法都有业务含义
3、接口数据格式为JSON，数据编码为UTF-8字符集。


#### 接口架构
接口采用RESTful风格，该类型接口主要有以下特点：

- 以资源为要素：资源是一个实体，例如客户、线索、合同，甚至客户写跟进、客户附件、自定义业务字段等等；

- 使用URI：Universal Resource Identifier 统一资源标志符，用来标识抽象或物理资源的一个紧凑字符串。URI包括URL和URN， RESTful是面向资源的，每种资源可能由一个或多个URI对应，但一个URI只指向一种资源。例如:针对客户资源的操作 /api/v2/customers。一般情况下，资源以英文单词复数进行命名。

- 资源操作: 区别于其他架构仅有GET、POST请求，REST对HTTP的请求方法的应用更为广泛，资源的操作包括获取、创建、修改和删除，跟HTTP协议提供的GET、POST、PUT和DELETE方法对应。也就是说，使用RESTful风格的接口，需要通过资源（URL）+操作（HTTP请求方法）结合完成相应的功能。
 
- 无状态：服务器不保存客户端的信息，每一次从客户端发送的请求中，要包含所有必须的状态信息，会话信息由客户端保存， 服务器端根据这些状态信息来处理请求。当客户端可以切换到一个新状态的时候发送请求信息， 当一个或者多个请求被发送之后, 客户端就处于一个状态变迁过程中。一个应用的状态描述可以被客户端用来初始化下一次的状态变迁。

#### 附录：HTTP请求方法
RESTful架构采用标准的HTTP方法来响应对资源的操作。对于资源的具体操作类型，由HTTP动词表示。
HTTP动词说明：

| HTTP方法 | 说明     |
| :------------- | :------------- |
| **GET** | GET方法请求一个指定资源的表示形式. 使用GET的请求应该只被用于获取数据.|
| **HEAD** | HEAD方法请求一个与GET请求的响应相同的响应，但没有响应体.|
| **POST** | POST方法用于将实体提交到指定的资源，通常导致在服务器上的状态变化或副作用.|
| **PUT** | PUT方法用请求有效载荷替换目标资源的所有当前表示。|
| **DELETE** | DELETE方法删除指定的资源。|
| **CONNECT** | CONNECT方法建立一个到由目标资源标识的服务器的隧道。|
| **OPTIONS** | OPTIONS方法用于描述目标资源的通信选项。|
| **TRACE** | TRACE方法沿着到目标资源的路径执行一个消息环回测试。|
| **PATCH** | PATCH方法用于对资源应用部分修改。|


下面是一些例子。

| HTTP请求 | 说明     |
| :--- | :--- |
| GET /api/v2/customers | 列出所有客户 |
| POST /api/v2/customers | 新建一个客户 |
| GET /api/v2/customers/:id | 获取某个指定客户的信息 |
| PUT /api/v2/customers/:id | 更新某个指定客户的信息（提供该客户的全部信息） |
| PATCH /api/v2/customers/:id | 更新某个指定客户的信息（提供该客户的部分信息） |
| DELETE /api/v2/customers/:id | 删除某个客户 |