### 关于域名
目前有三个版本：

| 版本 |域名   |说明   |
| ------------ | ------------ | ------------ |
|钉钉版本 |https://dingtalk.e.ikcrm.com/  | 使用钉钉打开或者通过钉钉扫码登录的版本（包括一方品版本）。|
|企微版本 |https://e.lixiaocrm.com/  |使用企微打开或者企微扫码登录的版本。|
|独立版本 |https://lxcrm.weiwenjia.com/ |独立版版本，使用账号密码登录的版本。|

### 请求头
请求接口时，需要在请求头中设置用户token，token的构成：

`Authorization: Token token=xxxxxxxx, device=open_api, version_code=9.9.9`

> Authorization说明

| 参数   |必填| 说明 |
| --- | --- |--- |
| `token` |是|用户access token。调用登录接口获取: [登录接口](../crm_open_api-1fc6os3lqhnir/user_login.md)|
| `device` |是|调用方客户端识别。对接开发值固定为open_api，其他传值会导致错误。|
| `version_code` |是|接口版本号，对接开发值固定为9.9.9，其他传值会导致错误。|

示例代码
```javascript
const host = "https://lxcrm.weiwenjia.com/";
const userToken = "user token";

var myHeaders = new Headers();
myHeaders.append("X-LXY-PLATFORM", "lixiaoyun");
myHeaders.append("X-LXY-APP", "crm");
myHeaders.append("access-token", userToken);
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");

var requestOptions = {
    method: 'GET',
    headers: myHeaders
  };
fetch(`${host}/api/v2/customers/1`, requestOptions)
```

### 参数说明
#### URL参数
1、、接口支持路由参数，即为参数在路径中，例如 /api/v2/customers/:id => /api/v2/customers/1
2、query，支持URL中query参数，支持嵌套参数、数组，例如：/api/v2/customers?created_at[]=2024-03-21&user_id=2

#### 请求体参数
在POST、PUT等请求体中仅支持JSON格式数据，请注意按照具体文档组织JSON对象。