# 所有权限列表
> 表格说明
name: 权限中文名称，对应一种业务权限。
subject: 操作的对象模块名，对应业务模块，是业务名称英文下划线小写字母组成的单词。
action： 权限对应的具体操作，一般情况： show=查看， edit=编辑， destroy=删除， create=新增，
update=更新，crud=增删改查，merge=合并，enable=开启，disable=禁用，import=导入，export=导出

name  | subject  | action  |-
------------ | ------------ | ------------ |------------
编辑客户资料 | customer | edit | -
查看客户资料 | customer | show | -
删除客户 | customer | destroy | -
创建客户 | customer | create | -
编辑联系人资料 | contact | edit | -
查看联系人资料 | contact | show | -
删除联系人 | contact | destroy | -
创建联系人 | contact | create | -
编辑商机资料 | opportunity | edit | -
查看商机资料 | opportunity | show | -
删除商机 | opportunity | destroy | -
创建商机 | opportunity | create | -
编辑合同资料 | contract | edit | -
查看合同资料 | contract | show | -
删除合同 | contract | destroy | -
创建合同 | contract | create | -
编辑任务 | task | edit | -
查看任务 | task | show | -
删除任务 | task | destroy | -
创建任务 | task | create | -
新增部门 | department | create | -
合并部门 | department | merge | -
编辑部门 | department | edit | -
新建用户 | user | create | -
新建角色 | role | create | -
编辑角色 | role | edit | -
删除角色 | role | destroy | -
查看角色下用户 | role | show_users | -
新增字典 | field_map | create | -
自定义业务参数设置 | field_map | crud | -
启用字典 | field_map | enable | -
禁用字典 | field_map | disable | -
新增 IP 地址 | ip_whitelist | create | -
删除 IP 地址 | ip_whitelist | destroy | -
开启 IP 登入限制 | ip_whitelist | enable | -
关闭 IP 登入限制 | ip_whitelist | disable | -
日志查询 | log | show | -
编辑销售线索资料 | lead | edit | -
查看销售线索资料 | lead | show | -
删除销售线索 | lead | destroy | -
创建销售线索 | lead | create | -
公告设置 | announcement | crud | -
编辑产品 | product | edit | -
新建产品 | product | create | -
删除产品 | product | destroy | -
编辑公司信息 | organization | edit | -
客户公海设置 | settings | customer | -
许可信息 | organization | licence | -
报表中心 | report_center | show | -
工作报告 | schedule_reports | show | -
导入客户 | customer | import | -
导出客户 | customer | export | -
导入联系人 | contact | import | -
导出联系人 | contact | export | -
导出商机 | opportunity | export | -
导入线索 | lead | import | -
导出线索 | lead | export | -
导出合同 | contract | export | -
查看角色 | role | show | -
查看产品 | product | show | -
查看公司信息 | organization | show | -
查看活动 | social_share | show | -
新增活动 | social_share | create | -
编辑活动 | social_share | edit | -
删除活动 | social_share | destroy | -
分享活动 | social_share | share | -
查看组织架构 | user_center | show | -
组织架构管理 | user_center | edit | -
设置业务目标 | business_goal | edit | -
查看业务目标 | business_goal | show | -
设置业绩目标 | business_goal | edit | -
查看业绩目标 | business_goal | show | -
自定义业务字段设置 | custom_field_setting | crud | -
客户查重设置 | settings | customer_duplicate | -
导入至客户公海 | settings | import_customer_common | -
转移至客户公海 | settings | turn_customer_common | -
转移客户给他人 | customer | transfer | -
转移商机给他人 | opportunity | transfer | -
转移线索给他人 | lead | transfer | -
转移合同给他人 | contract | transfer | -
数据上报设置 | data_report | crud | -
产品分类配置 | product_category | crud | -
合同审批设置 | settings | contract_approve | -
导入商机 | opportunity | import | -
导入产品 | product | import | -
导出产品 | product | export | -
导入合同 | contract | import | -
工作报告设置 | settings | report_config | -
导出工作报告 | schedule_report | export | -
导入跟进记录 | revisit_log | import | -
导出跟进记录 | revisit_log | export | -
公告设置 | announcement | show | -
报表中心导出 | report_center | export | -
工作报告编辑 | schedule_report | crud | -
查看客户公海 | settings | show_customer_common | -
查看文档 | knowledge_article | show | -
编辑文档 | knowledge_article | edit | -
新增文档 | knowledge_article | create | -
置顶文档 | knowledge_article | change_status | -
删除文档 | knowledge_article | destroy | -
板块管理 | knowledge_section | crud | -
删除跟进记录 | revisit_log | destroy | -
呼叫中心设置 | call_center | crud | -
关闭轻应用 | liteapp | close | -
发送短信 | sms | send | -
短信设置 | sms | setting | -
转成客户 | lead | turn_to_customer | -
删除已批阅工作报告 | schedule_report | delete_marked | -
签名设置 | sms_identity | crud | -
限额配置 | sms_quota | crud | -
新增模板 | sms_template | create | -
删除模板 | sms_template | delete | -
客户合并 | customer | merge | -
自定义业务管理 | settings | custom_features | -
配置回款计划 | received_payment_plan | crud | -
导入回款计划 | received_payment_plan | import | -
导出回款计划 | received_payment_plan | export | -
查看回款记录 | received_payment | show | -
新增回款记录 | received_payment | create | -
编辑回款记录 | received_payment | edit | -
删除回款记录 | received_payment | destroy | -
导入回款记录 | received_payment | import | -
导出回款记录 | received_payment | export | -
查看开票记录 | invoiced_payment | show | -
新增开票记录 | invoiced_payment | create | -
编辑开票记录 | invoiced_payment | edit | -
删除开票记录 | invoiced_payment | destroy | -
导入开票记录 | invoiced_payment | import | -
导出开票记录 | invoiced_payment | export | -
节日祝福配置 | sms_template_festival | config | -
生日祝福配置 | sms_template_birthday | config | -
查看报销单 | expense_account | show | -
新建报销单 | expense_account | create | -
编辑报销单 | expense_account | edit | -
删除报销单 | expense_account | destroy | -
查看费用 | expense | show | -
新建费用 | expense | create | -
编辑费用 | expense | edit | -
删除费用 | expense | destroy | -
设置业绩提成 | sales_commission | setting | -
提成计算 | sales_commission | edit | -
查看业绩提成 | sales_commission | show | -
导出报销单 | expense_account | export | -
导出费用 | expense | export | -
订阅/取消风险信息 | business_query_subscription | subscription | -
查看风险信息 | business_query_subscription | show | -
自定义业务模版设置 | custom_template_setting | crud | -
打印商机 | opportunity | print | -
打印合同 | contract | print | -
打印报销单 | expense_account | print | -
自定义打印模版设置 | print_template | crud | -
搜客宝设置 | soukebox | setting | -
导入至线索池 | settings | import_lead_common | -
线索池设置 | settings | lead | -
转移至线索池 | settings | turn_lead_common | -
查看线索池 | settings | show_lead_common | -
自定义业务标签管理 | label | crud | -
查看活动 | social_promotion | show | -
新增活动 | social_promotion | create | -
编辑活动 | social_promotion | edit | -
删除活动 | social_promotion | destroy | -
排名类报表设置 | report_center | setting | -
流量额度设置 | yingxiaoyun_soukebox | setting | -
导出企业 | enterprise | export | -