#### 简要描述：

- 用户登录接口

#### 请求URL:

- `/api/v2/auth/login`

#### 请求方式：

- POST

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
device | true | 值 open_api
login | true | 用户手机号
password | true | 密码
corp_id | false | 企业ID, 当手机号注册了多个企业是比须的, corp_id 在开通企业的时候提供

请求示例

```json
{
  "device": "open_api",
  "login": "153xxxxxx",
  "password": "letmein",
  "corp_id": "xxxxxxxxx"
}
```

#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "user_id": 1,
    "avatar_url": "头像url",
    "user_token": "f3f58e2e70b91034b9070d6a6116a43c",
    "is_expired": false,
    "confirmed_phone": false,
    "set_password": false,
    "fill_user_info": false
  }
}
```

**错误时返回:**


``` json

{
  "code": 100400,
  "message": "登录异常，请检查帐号重新登录",
  "error": "auth_error"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|user_token |string   |用于后续其它接口身份验证 重要参数 |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述