#### 简要描述：

- 部门列表接口

#### 请求URL:

- `/api/v2/user/department_list`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
except_id | false | 除去部门id


**正确时返回:**

``` json

{
  "code": 0,
  "data": {
    "options": [
      {
        "id": 395,
        "name": "总经理办公室",
        "level": 0,
        "parent_id": null,
        "can_use": true
      },
      {
        "id": 196,
        "name": "销售部",
        "level": 0,
        "parent_id": null,
        "can_use": true
      },
      {
        "id": 197,
        "name": "二级部门",
        "level": 1,
        "parent_id": 196,
        "can_use": true
      },
      {
        "id": 198,
        "name": "三级部门1",
        "level": 2,
        "parent_id": 197,
        "can_use": true
      },
      {
        "id": 134035,
        "name": "四级部门",
        "level": 3,
        "parent_id": 198,
        "can_use": true
      },
      {
        "id": 134036,
        "name": "五级部门",
        "level": 4,
        "parent_id": 134035,
        "can_use": true
      }
    ],
    "total_count": 15,
    "per_page": 15,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "message": "您的登录已经过期，请重新登录！",
  "error": "user_authentication_error"
}
```

#### 返回参数说明:

|参数名 | 类型 | 说明
--------- | ------- | -----------
parent_id | int | 上级部门
level | int | 当前层级
can_use | boolean | 是否可用


#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述