#### 简要描述：

- 获取标签列表

#### 请求URL:

- ` /api/v2/labels`

#### 请求方式：

- GET

#### 请求头：

- 请参考[开发须知](../crm_open_api-1f8mk6vuq7aha/crm_open_api-1f8mjm3kdttee.md)

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
model_klass | false | 默认为’customer’，不需要传，为将来标签支持其他模块做准备

<font color='#FF00000'>

备注:目前只有客户标签

</font>


#### 返回示例:

**正确时返回:**

```json

{
    "code": 0,
    "data": {
        "label_groups": [
            {
                "group_id": 7,
                "group_name": "aaa",
                "select_type": "multi",
                "color": "#108EE9",
                "labels": [
                    {
                        "id": 1,
                        "color": "#108EE9",
                        "group_id": 7,
                        "content": "xixixixixx"
                    },
                    {
                        "id": 2,
                        "color": "#108EE9",
                        "group_id": 7,
                        "content": "heheheheh"
                    },
                    {
                        "id": 9,
                        "color": "#108EE9",
                        "group_id": 7,
                        "content": "jknjhhu"
                    },
                    {
                        "id": 8,
                        "color": "#108EE9",
                        "group_id": 7,
                        "content": "ggmjngh"
                    }
                ]
            },
            {
                "group_id": 8,
                "group_name": "ddd",
                "select_type": "multi",
                "color": "#F47721",
                "labels": [
                    {
                        "id": 3,
                        "color": "#F47721",
                        "group_id": 8,
                        "content": "hhhhhhhh"
                    },
                    {
                        "id": 4,
                        "color": "#F47721",
                        "group_id": 8,
                        "content": "hahhahah"
                    },
                    {
                        "id": 6,
                        "color": "#F47721",
                        "group_id": 8,
                        "content": "bbbbbb"
                    },
                    {
                        "id": 5,
                        "color": "#F47721",
                        "group_id": 8,
                        "content": "kekekekekek"
                    },
                    {
                        "id": 7,
                        "color": "#F47721",
                        "group_id": 8,
                        "content": "测试长度超过限制效果"
                    }
                ]
            },
            {
                "group_id": 9,
                "group_name": "发大发",
                "select_type": "radio",
                "color": "#cf90e9",
                "labels": [
                    {
                        "id": 10,
                        "color": "#cf90e9",
                        "group_id": 9,
                        "content": "fsdafsd"
                    },
                    {
                        "id": 11,
                        "color": "#cf90e9",
                        "group_id": 9,
                        "content": "发的是分身乏术地方"
                    }
                ]
            }
        ]
    }
}
```

**错误时返回:**

```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

字段名 | 参数类型 | 描述
--------- | ------- | -----------
label_groups | Array | 所有标签分组信息（包含标签）|
group_id | int | 标签组id |
group_name | String | 标签分组名称
select_type	 | String | 标签组选择类型，单选（radio）或多选（multi）
color | String | 标签组颜色
labels | Array | 分组内所有标签
labels[id] | int | 标签id
labels[color] | String | 标签颜色(同对应标签组颜色，方便前端取用)
labels[group_id] | int | 标签组id(同对应标签组id，方便前端取用)
labels[content] | String | 标签文本

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述