# 说明
地区数据分为
* [国家](#countries)
* [省](#provinces) 
* [市](#cities)
* [区](#districts)
* [国内行政区划](#cascade)


## <a name='countries'>国家</a>
### HTTP Request

`GET /apaas/api/v2/geo/countries`

### HEADERS
字段名 | 是否必填 | 描述
--------- | ------- | -----------
ACCESS-TOKEN | true | 授权token（aPaas提供）

### URL Parameters

字段名 | 是否必填 | 描述
--------- | ------- | -----------

> 返回数据

```json
{
  "code": 0,
  "message": "success",
  "remark": "成功",
  "data": [
    {
      "id": 4,
      "name": "中国"
    },
    {
      "id": 5,
      "name": "中非共和国"
    },
    {
      "id": 6,
      "name": "智利"
    }
  ]
}
```

## <a name="provinces">省</a>
### HTTP Request

`GET /apaas/api/v2/geo/provinces`

### HEADERS
字段名 | 是否必填 | 描述
--------- | ------- | -----------
ACCESS-TOKEN | true | 授权token（aPaas提供）

### URL Parameters

字段名 | 是否必填 | 描述
--------- | ------- | -----------

> 返回数据

```json
{
  "code": 0,
  "message": "success",
  "remark": "成功",
  "data": [
    {
      "id": 1,
      "name": "北京"
    },
    {
      "id": 34,
      "name": "澳门"
    }
  ]
}
```

## <a name="cities">市</a>
### HTTP Request

`GET /apaas/api/v2/geo/cities`

### HEADERS
字段名 | 是否必填 | 描述
--------- | ------- | -----------
ACCESS-TOKEN | true | 授权token（aPaas提供）

### URL Parameters

字段名 | 是否必填 | 描述
--------- | ------- | -----------

> 返回数据

```json
{
  "code": 0,
  "message": "success",
  "remark": "成功",
  "data": [
    {
      "id": 1,
      "name": "北京市",
      "province_id": 1
    },
    {
      "id": 2,
      "name": "天津市",
      "province_id": 2
    },
    {
      "id": 3,
      "name": "石家庄市",
      "province_id": 3
    },
    {
      "id": 4,
      "name": "唐山市",
      "province_id": 3
    }
  ]
}
```

## <a name="districts">区</a>
### HTTP Request

`GET /apaas/api/v2/geo/districts`

### HEADERS
字段名 | 是否必填 | 描述
--------- | ------- | -----------
ACCESS-TOKEN | true | 授权token（aPaas提供）

### URL Parameters

字段名 | 是否必填 | 描述
--------- | ------- | -----------

> 返回数据

```json
{
  "code": 0,
  "message": "success",
  "remark": "成功",
  "data": [
    {
      "id": 1,
      "name": "东城区",
      "city_id": 1
    },
    {
      "id": 2,
      "name": "西城区",
      "city_id": 1
    }
  ]
}
```


## <a name="cascade">国内行政区划</a>
### HTTP Request

`GET /apaas/api/v2/geo/cascade`

### HEADERS
字段名 | 是否必填 | 描述
--------- | ------- | -----------
ACCESS-TOKEN | true | 授权token（aPaas提供）

### URL Parameters

字段名 | 是否必填 | 描述
--------- | ------- | -----------

> 返回数据

```json
{
    "code": 0,
    "message": "success",
    "remark": "成功",
    "data": [
        {
            "id": 12,
            "name": "安徽",
            "sub": [
                {
                    "id": 105,
                    "name": "安庆市",
                    "sub": [
                        {
                            "id": 974,
                            "name": "迎江区"
                        },
                        {
                            "id": 975,
                            "name": "大观区"
                        }
                    ]
                },
                {
                    "id": 100,
                    "name": "蚌埠市",
                    "sub": [
                        {
                            "id": 949,
                            "name": "蚌山区"
                        },
                        {
                            "id": 950,
                            "name": "龙子湖区"
                        }
                    ]
                }
            ]
        }
    ]
}
```