## 自建表单接口数据说明

本文档对表单创建以及表单配置接口的数据结构进行具体说明

### 模型关联

名称 | 模型名 | 描述
--------- | ------- | -----------
应用| custom_app | 自建应用下面应该有多个表单（自定义对象）, 会有一个主表单
表单| custom_form | 表单（也叫自定义对象）对应数据库中的一张数据表，也包含了字段分组（区块）以及字段分组里面的各种字段
字段分组| custom_field_group | 表单可以包含多个字段分组，分组里面包含多个不同类型的字段（文本，文本框, 单选，多选）
字段| custom_field | 字段对应数据表中的一个具体的字段，不同类型的字段其数据库字段类型以及前端组件风格都是不一样的
数据表| form_data |表单录入的数据存放于独立的数据表中

### 表单配置的说明

> 字段类型说明

 类型 |名称 | 描述
  -------  | ------- | -----------
 text_field  | 单行文本| 
 text_area  | 多行文本 | 
 email_field  | 邮箱 | 
 mobile_field  | 手机 | 
 url_field  | 网址 | 
 tel_field  | 电话 | 
 integer_field  | 整数 | 
 float_field  | 小数 | 
 currency_field  | 金额 | 
 percentage_field  | 百分数 | 
 datetime_field  | 时间 | 
 datetime_range_field  | 时间范围 | 
 date_field  | 日期 | 
 select_field  | 单选 | 
 multi_select  | 单选 | 
 select2_field  | 对象选择 | 
 address_select  | 地区 | 
 file_field  | 文件 | 
 image_field  | 图片 | 
 geo_address_field  | 定位 |
 custom_relation_field  | 数据关联 |
 nested_select_field  | 级联 |
 auto_number_field  | 自动编号 |
 user_field|人员|
 department_field|部门|


### 创建和更新数据

 类型 |名称 | 描述
-------  | ------- | -----------
字段类型| 转换| 备注
单行文本|不需要转换|单行文本需要注意字段长度限制
单选下拉|将 label 翻译成对应的 value|
多选字段|将 label 翻译成对应的 value, 数组格式|
级联|将 label 翻译成对应的 value, 数组格式|
多行文本类|不需要转换|
日期类|不需要转换|
时间类|不需要转换|
数字类|不需要转换|
文件类|附件ID组成的数组|
人员|从用户列表接口获取 | {"uid": 4,"name": "test1","third_userid": null}
部门|从部门列表接口获取 | {"did": 4,"name": "test1","third_dept_id": null}