## 表单数据列表ID集合
### HTTP Request

`GET|PUT /apaas/api/v2/form_entities/ids`

### URL Parameters

字段名 | 是否必填 | 描述
--------- | ------- | -----------
custom_form_id|是|表单ID
search_column_name | 否 | 搜索字段name, 适用于text_field、text_area、email_field、mobile_field、tel_field、url_field、auto_number_field
query | 否 | search_column_name对应的搜索内容
filters | 否 | 筛选列表 [ { name: 自定义字段name, op: 匹配方式(in/eq/within)}, value: 匹配值 ]，适用于select_field、multi_select、select2_field、datetime_field、address_select、datetime_range_field、integer_field、float_field、currency_field
sort | 否 | 排序组合 [ { 自定义字段name: 排序方式(asc/desc)} ]
scope | 否 | tab对应的数据，取值来源于列表页设置返回的tabs

#### 请求参数Body（示例）
```
{
    "custom_form_id": 2,
    "search_column_name": "text_1691474633936_f856b9",
    "query": "xxxxxxxx",
    "filters": [
      {"name": "id", "op": "in", "value": [11, 22]},
      {"name": "select_1691125929052_d05a00", "op": "in", "value": ["H6Qq/ojoIFNyICUXzx3UOw=="]}, // 单选
      {"name": "multi_select_1691562342042_e0b50f", "op": "in", "value": ["qxjjDA3ECTzu2olh+sPR9A==", "QpbX0pPJ6koOUsZBXwtclg=="]}, // 多选
      {"name": "created_at", "op": "within", "value": ["2023-08-14 12:00:00", "2023-08-14 15:00:00"]}, // 时间
      {"name": "address_select_1692266369719_510d42", "op": "eq", "value": {"city_id": "73", "country_id": "4","district_id": "732","province_id": "9"}}, // 国家、省、市、区查询
      {"name": "datetime_range_field_1692266369719_513d41", "op":"within", "value": ["2023-08-20 00:00:00", "2023-08-26 02:00:00"]}, // 起止时间
      {"name": "integer_field_1692266369719_578e31", "op":"within", "value": [10, 20]}, // 数字、金额
      {"name": "user", "op":"in", "value": {"user_ids": [1, 2], "department_ids": [3, 4] }}, // 用户、部门
      {"name": "nest_2324013095370acf", "op": "eq", "value": {"level_0": "60943MKVMq0Erpe9dUdV7w==", "level_1": "WkFg1hVKiht2xdOjfhlpqQ==" }} // 级联
    ],
    "sort": [{ "created_at": "desc" }, {"id": "asc"}]
}
```

### 返回数据字段说明
字段名 | 参数类型 | 描述
--------- | ------- | -----------
ids | Array |  数据id数组

> 返回数据

```json
{
    "code": 0,
    "message": "success",
    "remark": "成功",
    "data": {
        "ids": [
            47,
            46,
            45,
            44,
            43,
            42,
            41,
            40,
            39,
            38,
            37,
            36,
            35,
            24
        ]
    }
}
```