### 新的审批对接
新审批采用审批流方式。所有待审批事项在审批中心可以查看（可以通过审批列表接口获取）：
[![审批中心](https://apidoc-wwj.oss-cn-qingdao.aliyuncs.com/crm/%E5%AE%A1%E6%89%B9%E4%B8%AD%E5%BF%83-%E5%BE%85%E5%8A%9E.png "审批中心")](https://apidoc-wwj.oss-cn-qingdao.aliyuncs.com/crm/%E5%AE%A1%E6%89%B9%E4%B8%AD%E5%BF%83-%E5%BE%85%E5%8A%9E.png "审批中心")
新的审批接口对接方式如下：
1、先获取审批对象的当前流程
通过审批流接口获取对象的审批流记录审批记录的详情以及相关审批权限
[![审批详情](https://apidoc-wwj.oss-cn-qingdao.aliyuncs.com/crm/%E7%95%8C%E9%9D%A2%E8%8A%82%E7%82%B9%E7%A4%BA%E4%BE%8B-%E4%B8%80%E7%BA%A7%E5%AE%A1%E6%89%B9.png "审批详情")](https://apidoc-wwj.oss-cn-qingdao.aliyuncs.com/crm/%E7%95%8C%E9%9D%A2%E8%8A%82%E7%82%B9%E7%A4%BA%E4%BE%8B-%E4%B8%80%E7%BA%A7%E5%AE%A1%E6%89%B9.png "审批详情")

2、调用接口执行当前审批流
根据第1步拿到的审批记录id，通过调用执行审批流接口，完成审批流。

3、重复1、2步骤，直至审批流完成

### 接口域名
目前对接域名为：https://process-platform.weiwenjia.com

### 公共请求头参数说明
在审批下每个接口都需要传递。

| 名称           | 作用      | 可取值  |
| --- | --- | --- |
| X-LXY-PLATFORM | 表示平台  | 企微平台用户：wxwork；钉钉平台用户：dingtalk；励销用户：lixiaoyun；爱客CRM用户：ikcrm。 |
| X-LXY-APP      | 表示应用  | 固定为CRM  |
| ACCESS-TOKEN   | 用户token | 调用接口的用户token|

### 调用示例代码（nodejs）
```js
const host = "https://process-platform.weiwenjia.com";
const userToken = "user token";

var myHeaders = new Headers();
myHeaders.append("X-LXY-PLATFORM", "lixiaoyun");
myHeaders.append("X-LXY-APP", "crm");
myHeaders.append("access-token", userToken);
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");

/**
 *
 * @param {*} entity_type 审批流对象类型
 * @param {*} entity_id 审批流对象id
 * @returns Promise
 */
function getExecuteRecords(entity_type, entity_id) {//获取对象审批流详情
  var requestOptions = {
    method: 'GET',
    headers: myHeaders,
    redirect: 'follow'
  };

  return fetch(`${host}/api/v1/execute_records/detail?entity_type=${entity_type}&entity_id=${entity_id}`, requestOptions)
}

/**
 *
 * @param {*} result 上一步获取的审批流对象
 */
function performProcess(result) {//执行审批流
  console.log(JSON.stringify(result.data), result.data.execute_record.id)
  let recordId = result.data.execute_record.id;

  var params = JSON.stringify({
    "execute_action": "pass",
    "execute_opinion": "同意"
  });

  var requestOptions = {
    method: 'POST',
    headers: myHeaders,
    body: params,
    redirect: 'follow'
  };
  fetch(`${host}/api/v1/execute_records/${recordId}/perform`, requestOptions)
    .then(response => response.json())
    .then(res => console.log(res))
}

//先获取审批详情，然后再审批
getExecuteRecords("contract", 1805500).then(response => response.json()).then(result => performProcess(result))

```