#### 简要描述：

- 审批列表
获取审批中心中审批列表。

#### 请求URL:

- http://${host}/api/v1/approval_center/list

#### 请求方式：

- GET

#### 请求头：

参考新审批说明文档中公共请求头参数


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|scope |是  |string | 可取值：todo：我的待办；submission：我的提交；processed：我处理过的。  |
|entity_types |否  |string[] | 审批对象类型，例如Customer；apaas应用则传递名称如：报价单  |
|submitter_uids|否|int[]|提交人的uid|
|status|否|string[]|审批状态，可选值描述：applying：审批中；pass：审批通过；veto：审批否决；revocation：审批撤回。|


#### 返回示例:

**正确时返回:**

```json
{
    "code": 0,
    "message": "请求成功",
    "data": {
        "list": [
            {
                "id": 2462,
                "submitter": {
                    "id": 10334573,
                    "uid": 35903635,
                    "name": "John",
                    "third_userid": null
                },
                "submission_time": "2024-04-09 09:56",
                "distance_submission_time": "28 分钟",
                "status": "applying",
                "status_i18n": "待审批",
                "entity_type": "Contract",
                "app": "crm",
                "workflow": {
                    "id": 256,
                    "name": "合同审批"
                },
                "entity_data": {
                    "main_field_value": "审批测试5",
                    "module_label": "合同",
                    "id": 1805501,
                    "body_data": [
                        {
                            "label": "对应客户",
                            "name": "customer",
                            "value": "北京市财政局",
                            "field_type": "select2_field",
                            "is_invisible": false
                        },
                        {
                            "label": "合同总金额",
                            "name": "total_amount",
                            "value": "¥ 11.00",
                            "field_type": "currency_field",
                            "is_invisible": false
                        },
                        {
                            "label": "签约日期",
                            "name": "sign_date",
                            "value": "2024-04-09",
                            "field_type": "date_field",
                            "is_invisible": false
                        },
                        {
                            "label": "合同类型",
                            "name": "category",
                            "value": null,
                            "field_type": "field_map_field",
                            "is_invisible": false
                        },
                        {
                            "label": "合同状态",
                            "name": "status",
                            "value": "未开始",
                            "field_type": "field_map_field",
                            "is_invisible": false
                        },
                        {
                            "label": "负责人",
                            "name": "user",
                            "value": {
                                "id": 10334573,
                                "uid": 35903635,
                                "name": "John",
                                "third_userid": null
                            },
                            "field_type": "select2_field",
                            "is_invisible": false
                        }
                    ]
                }
            },
            {
                "id": 2461,
                "submitter": {
                    "id": 10334573,
                    "uid": 35903635,
                    "name": "John",
                    "third_userid": null
                },
                "submission_time": "2024-04-09 09:56",
                "distance_submission_time": "28 分钟",
                "status": "applying",
                "status_i18n": "待审批",
                "entity_type": "Contract",
                "app": "crm",
                "workflow": {
                    "id": 256,
                    "name": "合同审批"
                },
                "entity_data": {
                    "main_field_value": "审批测试4",
                    "module_label": "合同",
                    "id": 1901352,
                    "body_data": [
                        {
                            "label": "对应客户",
                            "name": "customer",
                            "value": "北京市财政局",
                            "field_type": "select2_field",
                            "is_invisible": false
                        },
                        {
                            "label": "合同总金额",
                            "name": "total_amount",
                            "value": "¥ 22.00",
                            "field_type": "currency_field",
                            "is_invisible": false
                        },
                        {
                            "label": "签约日期",
                            "name": "sign_date",
                            "value": "2024-04-09",
                            "field_type": "date_field",
                            "is_invisible": false
                        },
                        {
                            "label": "合同类型",
                            "name": "category",
                            "value": null,
                            "field_type": "field_map_field",
                            "is_invisible": false
                        },
                        {
                            "label": "合同状态",
                            "name": "status",
                            "value": "未开始",
                            "field_type": "field_map_field",
                            "is_invisible": false
                        },
                        {
                            "label": "负责人",
                            "name": "user",
                            "value": {
                                "id": 10334573,
                                "uid": 35903635,
                                "name": "John",
                                "third_userid": null
                            },
                            "field_type": "select2_field",
                            "is_invisible": false
                        }
                    ]
                }
            },
            {
                "id": 2460,
                "submitter": {
                    "id": 10334573,
                    "uid": 35903635,
                    "name": "John",
                    "third_userid": null
                },
                "submission_time": "2024-04-09 09:56",
                "distance_submission_time": "29 分钟",
                "status": "pass",
                "status_i18n": "已通过",
                "entity_type": "Contract",
                "app": "crm",
                "workflow": {
                    "id": 256,
                    "name": "合同审批"
                },
                "entity_data": {
                    "main_field_value": "审批测试3",
                    "module_label": "合同",
                    "id": 1805500,
                    "body_data": [
                        {
                            "label": "对应客户",
                            "name": "customer",
                            "value": "北京市财政局",
                            "field_type": "select2_field",
                            "is_invisible": false
                        },
                        {
                            "label": "合同总金额",
                            "name": "total_amount",
                            "value": "¥ 55.00",
                            "field_type": "currency_field",
                            "is_invisible": false
                        },
                        {
                            "label": "签约日期",
                            "name": "sign_date",
                            "value": "2024-04-09",
                            "field_type": "date_field",
                            "is_invisible": false
                        },
                        {
                            "label": "合同类型",
                            "name": "category",
                            "value": null,
                            "field_type": "field_map_field",
                            "is_invisible": false
                        },
                        {
                            "label": "合同状态",
                            "name": "status",
                            "value": "未开始",
                            "field_type": "field_map_field",
                            "is_invisible": false
                        },
                        {
                            "label": "负责人",
                            "name": "user",
                            "value": {
                                "id": 10334573,
                                "uid": 35903635,
                                "name": "John",
                                "third_userid": null
                            },
                            "field_type": "select2_field",
                            "is_invisible": false
                        }
                    ]
                }
            },
            {
                "id": 2459,
                "submitter": {
                    "id": 10334573,
                    "uid": 35903635,
                    "name": "John",
                    "third_userid": null
                },
                "submission_time": "2024-04-09 09:36",
                "distance_submission_time": "大约一小时",
                "status": "pass",
                "status_i18n": "已通过",
                "entity_type": "Contract",
                "app": "crm",
                "workflow": {
                    "id": 256,
                    "name": "合同审批"
                },
                "entity_data": {
                    "main_field_value": "测试审批2",
                    "module_label": "合同",
                    "id": 1901351,
                    "body_data": [
                        {
                            "label": "对应客户",
                            "name": "customer",
                            "value": "北京市财政局",
                            "field_type": "select2_field",
                            "is_invisible": false
                        },
                        {
                            "label": "合同总金额",
                            "name": "total_amount",
                            "value": "¥ 2,555.00",
                            "field_type": "currency_field",
                            "is_invisible": false
                        },
                        {
                            "label": "签约日期",
                            "name": "sign_date",
                            "value": "2024-04-09",
                            "field_type": "date_field",
                            "is_invisible": false
                        },
                        {
                            "label": "合同类型",
                            "name": "category",
                            "value": null,
                            "field_type": "field_map_field",
                            "is_invisible": false
                        },
                        {
                            "label": "合同状态",
                            "name": "status",
                            "value": "未开始",
                            "field_type": "field_map_field",
                            "is_invisible": false
                        },
                        {
                            "label": "负责人",
                            "name": "user",
                            "value": {
                                "id": 10334573,
                                "uid": 35903635,
                                "name": "John",
                                "third_userid": null
                            },
                            "field_type": "select2_field",
                            "is_invisible": false
                        }
                    ]
                }
            },
            {
                "id": 2458,
                "submitter": {
                    "id": 10334573,
                    "uid": 35903635,
                    "name": "John",
                    "third_userid": null
                },
                "submission_time": "2024-04-08 17:19",
                "distance_submission_time": "大约 17 小时",
                "status": "applying",
                "status_i18n": "待审批",
                "entity_type": "Contract",
                "app": "crm",
                "workflow": {
                    "id": 256,
                    "name": "合同审批"
                },
                "entity_data": {
                    "main_field_value": "审批测试1",
                    "module_label": "合同",
                    "id": 1805499,
                    "body_data": [
                        {
                            "label": "对应客户",
                            "name": "customer",
                            "value": "北京市财政局",
                            "field_type": "select2_field",
                            "is_invisible": false
                        },
                        {
                            "label": "合同总金额",
                            "name": "total_amount",
                            "value": "¥ 223.00",
                            "field_type": "currency_field",
                            "is_invisible": false
                        },
                        {
                            "label": "签约日期",
                            "name": "sign_date",
                            "value": "2024-04-08",
                            "field_type": "date_field",
                            "is_invisible": false
                        },
                        {
                            "label": "合同类型",
                            "name": "category",
                            "value": null,
                            "field_type": "field_map_field",
                            "is_invisible": false
                        },
                        {
                            "label": "合同状态",
                            "name": "status",
                            "value": "未开始",
                            "field_type": "field_map_field",
                            "is_invisible": false
                        },
                        {
                            "label": "负责人",
                            "name": "user",
                            "value": {
                                "id": 10334573,
                                "uid": 35903635,
                                "name": "John",
                                "third_userid": null
                            },
                            "field_type": "select2_field",
                            "is_invisible": false
                        }
                    ]
                }
            }
        ],
        "total_count": 5,
        "total_pages": 1,
        "has_next_page": false,
        "per_page": 15,
        "page": 1
    }
}
```

**错误时返回:**


```
{
    "errcode": 500,
    "errmsg": "invalid appid"
}
```

#### 返回参数说明:

<table class="wrapped" resolved="">
    <tbody>
        <tr class="firstRow">
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                参数
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                类型
            </td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                描述
            </td>
        </tr>
        <tr>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <p>
                    <span style="color: #A31515;">submitter</span>
                </p>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                Object
            </td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                提交人
            </td>
        </tr>
        <tr>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <p>
                    <span style="color: #A31515;">submission_time</span>
                </p>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                String
            </td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                提交时间
            </td>
        </tr>
        <tr>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <p>
                    <span style="color: #A31515;">distance_submission_time</span>
                </p>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                String
            </td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                提交时间
            </td>
        </tr>
        <tr>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <p>
                    <span style="color: #A31515;">status</span>
                </p>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                String
            </td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                审批状态
            </td>
        </tr>
        <tr>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <p>
                    <span style="color: #A31515;">status_i18n</span>
                </p>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                String
            </td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                审批状态
            </td>
        </tr>
        <tr>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <p>
                    <span style="color: #A31515;">workflow</span>
                </p>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                Object
            </td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                审批触发的流程
            </td>
        </tr>
        <tr>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <span style="color: #8E004B;">entity_type</span>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                String
            </td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                审批对象所属模块
            </td>
        </tr>
        <tr>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <p>
                    <span style="color: #A31515;">entity_data</span>
                </p>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                Object
            </td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                审批对象相关数据
            </td>
        </tr>
        <tr>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="2" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <span style="color: #8E004B;">id</span>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                Integer
            </td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                审批对象id
            </td>
        </tr>
        <tr>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="2" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <span style="color: #8E004B;">main_field_value</span>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                String
            </td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                审批对象主字段的显示值
            </td>
        </tr>
        <tr>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="2" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <span class="name" title="data.list[2].entity_data.module_label">module_label</span>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                String
            </td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                审批对象所属模块显示名
            </td>
        </tr>
        <tr>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="2" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <span style="color: #8E004B;">contract_id</span>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                Integer
            </td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                审批对象关联合同的id（只有有“对应合同”的才会返回，例如线索没有就不返回）
            </td>
        </tr>
        <tr>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="2" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <span style="color: #8E004B;">body_data</span>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                Object
            </td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                审批对象展示字段数据
            </td>
        </tr>
        <tr>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <span style="color: #8E004B;">field_type</span>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                String
            </td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                字段类型
            </td>
        </tr>
        <tr>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <span style="color: #8E004B;">is_invisible</span>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                Boolean
            </td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                是否不可见
            </td>
        </tr>
        <tr>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <span style="color: #8E004B;">label</span>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                String
            </td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                字段名称显示值
            </td>
        </tr>
        <tr>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <span style="color: #8E004B;">name</span>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                String
            </td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                字段名称
            </td>
        </tr>
        <tr>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <span style="color: #8E004B;">value</span>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                字段值（用户部门返回对象，其他直接返回数据值）
            </td>
        </tr>
        <tr>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <span style="color: #8E004B;">multistep_details</span>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                Array[Object]
            </td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                我处理tab下返回，返回处理的操作信息
            </td>
        </tr>
        <tr>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="2" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <span class="name" title="data.list[0].multistep_details[0].operate_action">operate_action</span>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                审批操作
            </td>
        </tr>
        <tr>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="2" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <span style="color: #8E004B;">operate_action_i18n</span>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                审批操作显示值
            </td>
        </tr>
        <tr>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="2" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <span style="color: #8E004B;">operate_comment</span>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                审批操作时的备注
            </td>
        </tr>
        <tr>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="2" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                <span style="color: #8E004B;">operate_time</span>
            </td>
            <td colspan="1" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;"></td>
            <td colspan="3" class="confluenceTd" style="border-color: rgb(193, 199, 208); padding-top: 7px; padding-bottom: 7px; vertical-align: top; min-width: 8px;">
                审批操作时间
            </td>
        </tr>
    </tbody>
</table>


#### 备注:

- 更多返回错误代码请看首页的错误代码描述