#### 简要描述：

- 获取审批流信息


#### 请求URL:

- http://${host}/api/v1/execute_records/detail

#### 请求方式：

- GET

#### 请求头：

参考新审批说明文档中公共请求头参数


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|entity_type |是  |string |审批对象类型： 线索：Lead, 客户：Customer, 联系人：Contact, 商机：Opportunity, 合同：Contract, 回款计划：ReceivedPaymentPlan, 回款记录：ReceivedPayment  |
|entity_id |是  |int | 审批对象id    |

#### 返回示例:

**正确时返回:**

```json
{
    "code": 0,
    "message": "请求成功",
    "data": {
        "has_approval_permission": false,
        "has_cancel_permission": false,
        "has_agent_permission": false,
        "has_reject_permission": false,
        "is_super_user": true,
        "can_resubmission": false,
        "approval_opinions": "optional",
        "execute_record_id": 2459,
        "entity_applying_users": [],
        "execution_details": [
            {
                "name": "开始",
                "node_name": null,
                "approval_node": "begin_node",
                "approval_details": [
                    {
                        "operate_time": "2024-04-09 09:36",
                        "user": {
                            "id": 10334573,
                            "uid": 35903635,
                            "name": "John",
                            "third_userid": null,
                            "avatar": null
                        },
                        "approve_action": "提交审批",
                        "action_name": "submit_to"
                    }
                ]
            },
            {
                "name": "一级审批",
                "node_name": "lxcrmjava00200ed91fd64c90b9f1d31719b67a38",
                "approval_node": "approval_node",
                "setting_all_origin_approvers": [
                    {
                        "id": 10334573,
                        "uid": 35903635,
                        "name": "John",
                        "third_userid": null,
                        "avatar": null
                    },
                    {
                        "id": 10813248,
                        "uid": 37045315,
                        "name": "校长",
                        "third_userid": null,
                        "avatar": null
                    }
                ],
                "setting_approvers": [],
                "setting_approval_type": "ORAPPROVE",
                "setting_approver_role": null,
                "setting_approval_type_i18n": "或签",
                "setting_approver_role_i18n": "",
                "approval_details": [
                    {
                        "operate_time": "2024-04-09 09:37",
                        "uid": 35903635,
                        "user": {
                            "id": 10334573,
                            "uid": 35903635,
                            "name": "John",
                            "third_userid": null,
                            "avatar": null
                        },
                        "origin_uid": 35903635,
                        "origin_user": {
                            "id": 10334573,
                            "uid": 35903635,
                            "name": "John",
                            "third_userid": null,
                            "avatar": null
                        },
                        "time_line": [
                            {
                                "uid": "35903635",
                                "user": {
                                    "id": 10334573,
                                    "uid": 35903635,
                                    "name": "John",
                                    "third_userid": null,
                                    "avatar": null
                                },
                                "operatingTime": "2024-04-09 09:36",
                                "new_uid": null,
                                "new_user": null,
                                "old_uid": null,
                                "old_user": null,
                                "action": "CREATE",
                                "assignee": "35903635",
                                "assignee_user": {
                                    "id": 10334573,
                                    "uid": 35903635,
                                    "name": "John",
                                    "third_userid": null,
                                    "avatar": null
                                }
                            },
                            {
                                "uid": "35903635",
                                "user": {
                                    "id": 10334573,
                                    "uid": 35903635,
                                    "name": "John",
                                    "third_userid": null,
                                    "avatar": null
                                },
                                "operatingTime": "2024-04-09 09:37",
                                "new_uid": null,
                                "new_user": null,
                                "old_uid": null,
                                "old_user": null,
                                "action": "PASS",
                                "assignee": 35903635,
                                "assignee_user": {
                                    "id": 10334573,
                                    "uid": 35903635,
                                    "name": "John",
                                    "third_userid": null,
                                    "avatar": null
                                }
                            }
                        ],
                        "approve_action": "审批通过",
                        "action_name": "pass",
                        "engine_action": "PASS",
                        "operate_comment": "同意"
                    },
                    {
                        "operate_time": null,
                        "uid": null,
                        "user": null,
                        "origin_uid": 37045315,
                        "origin_user": {
                            "id": 10813248,
                            "uid": 37045315,
                            "name": "校长",
                            "third_userid": null,
                            "avatar": null
                        },
                        "time_line": [
                            {
                                "uid": "37045315",
                                "user": {
                                    "id": 10813248,
                                    "uid": 37045315,
                                    "name": "校长",
                                    "third_userid": null,
                                    "avatar": null
                                },
                                "operatingTime": "2024-04-09 09:36",
                                "new_uid": null,
                                "new_user": null,
                                "old_uid": null,
                                "old_user": null,
                                "action": "CREATE",
                                "assignee": null,
                                "assignee_user": null
                            }
                        ],
                        "approve_action": "审批",
                        "action_name": "active",
                        "engine_action": null,
                        "operate_comment": ""
                    }
                ],
                "node_finished": true,
                "status": "pass",
                "status_i18n": "已通过",
                "is_allow_editable_fields": false
            },
            {
                "name": "二级审批",
                "node_name": "lxcrmjava78167b5c921449759218879c3afd7e7e",
                "approval_node": "approval_node",
                "setting_all_origin_approvers": [
                    {
                        "id": 10334573,
                        "uid": 35903635,
                        "name": "John",
                        "third_userid": null,
                        "avatar": null
                    },
                    {
                        "id": 10813248,
                        "uid": 37045315,
                        "name": "校长",
                        "third_userid": null,
                        "avatar": null
                    }
                ],
                "setting_approvers": [],
                "setting_approval_type": "ORAPPROVE",
                "setting_approver_role": null,
                "setting_approval_type_i18n": "或签",
                "setting_approver_role_i18n": "",
                "approval_details": [
                    {
                        "operate_time": "2024-04-09 09:38",
                        "uid": 35903635,
                        "user": {
                            "id": 10334573,
                            "uid": 35903635,
                            "name": "John",
                            "third_userid": null,
                            "avatar": null
                        },
                        "origin_uid": 35903635,
                        "origin_user": {
                            "id": 10334573,
                            "uid": 35903635,
                            "name": "John",
                            "third_userid": null,
                            "avatar": null
                        },
                        "time_line": [
                            {
                                "uid": "35903635",
                                "user": {
                                    "id": 10334573,
                                    "uid": 35903635,
                                    "name": "John",
                                    "third_userid": null,
                                    "avatar": null
                                },
                                "operatingTime": "2024-04-09 09:37",
                                "new_uid": null,
                                "new_user": null,
                                "old_uid": null,
                                "old_user": null,
                                "action": "CREATE",
                                "assignee": "35903635",
                                "assignee_user": {
                                    "id": 10334573,
                                    "uid": 35903635,
                                    "name": "John",
                                    "third_userid": null,
                                    "avatar": null
                                }
                            },
                            {
                                "uid": "35903635",
                                "user": {
                                    "id": 10334573,
                                    "uid": 35903635,
                                    "name": "John",
                                    "third_userid": null,
                                    "avatar": null
                                },
                                "operatingTime": "2024-04-09 09:38",
                                "new_uid": null,
                                "new_user": null,
                                "old_uid": null,
                                "old_user": null,
                                "action": "PASS",
                                "assignee": 35903635,
                                "assignee_user": {
                                    "id": 10334573,
                                    "uid": 35903635,
                                    "name": "John",
                                    "third_userid": null,
                                    "avatar": null
                                }
                            }
                        ],
                        "approve_action": "审批通过",
                        "action_name": "pass",
                        "engine_action": "PASS",
                        "operate_comment": "同意"
                    },
                    {
                        "operate_time": null,
                        "uid": null,
                        "user": null,
                        "origin_uid": 37045315,
                        "origin_user": {
                            "id": 10813248,
                            "uid": 37045315,
                            "name": "校长",
                            "third_userid": null,
                            "avatar": null
                        },
                        "time_line": [
                            {
                                "uid": "37045315",
                                "user": {
                                    "id": 10813248,
                                    "uid": 37045315,
                                    "name": "校长",
                                    "third_userid": null,
                                    "avatar": null
                                },
                                "operatingTime": "2024-04-09 09:37",
                                "new_uid": null,
                                "new_user": null,
                                "old_uid": null,
                                "old_user": null,
                                "action": "CREATE",
                                "assignee": null,
                                "assignee_user": null
                            }
                        ],
                        "approve_action": "审批",
                        "action_name": "active",
                        "engine_action": null,
                        "operate_comment": ""
                    }
                ],
                "node_finished": true,
                "status": "pass",
                "status_i18n": "已通过",
                "is_allow_editable_fields": false
            },
            {
                "name": "结束",
                "node_name": null,
                "approval_node": "end_node",
                "approval_details": []
            }
        ],
        "workflow": {
            "id": 256,
            "oid": 5715521,
            "uid": 35903635,
            "update_uid": 35903635,
            "name": "合同审批",
            "entity_klass": "Contract",
            "created_at": "2024-04-08 16:32",
            "trigger_timing": "created",
            "trigger_timing_i18n": "新增",
            "trigger_odds": "always",
            "trigger_filters": [],
            "editable": {
                "enable": 1,
                "policy": "cannot",
                "fields": [
                    "customer",
                    "opportunity",
                    "title",
                    "sn",
                    "category"
                ]
            },
            "status": "enable",
            "user": {
                "id": 10334573,
                "uid": 35903635,
                "name": "John",
                "third_userid": null
            },
            "updated_at": "2024-04-09 09:36",
            "entity_klass_i18n": "合同",
            "status_i18n": "启用",
            "update_user": {
                "id": 10334573,
                "uid": 35903635,
                "name": "John",
                "third_userid": null
            },
            "notify_others": [
                35903635,
                37045315
            ],
            "app": "crm",
            "trigger_filters_desc": [],
            "editable_fields_desc": [
                "对应客户",
                "对应商机",
                "合同标题",
                "合同编号",
                "合同类型"
            ],
            "notify_others_desc": [
                {
                    "id": 10334573,
                    "uid": 35903635,
                    "name": "John",
                    "third_userid": null,
                    "avatar": null
                },
                {
                    "id": 10813248,
                    "uid": 37045315,
                    "name": "校长",
                    "third_userid": null,
                    "avatar": null
                }
            ]
        },
        "workflow_version": {
            "id": 682,
            "oid": 5715521,
            "workflow_id": 256,
            "flow_info": {
                "tenantId": "5715521",
                "deploymentId": "8fcb5b4e-f611-11ee-ba77-922e16fef3fc",
                "processVersion": 1,
                "processDefinitionId": "8fcd7e30-f611-11ee-ba77-922e16fef3fc",
                "processDefinitionKey": "BPMN_C09A3BDA38F84CCFBD87E949E8CF35CA"
            },
            "version": "3",
            "uid": null,
            "created_at": "2024-04-09 09:36",
            "updated_at": "2024-04-09 09:36",
            "snapshot_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/239701/421505178."
        },
        "execute_record": {
            "id": 2459,
            "execution_id": "a7343f03-f611-11ee-ba77-922e16fef3fc",
            "duplicate_fail_columns": null,
            "duplicate_fail": false,
            "status": "pass",
            "status_i18n": "已通过"
        },
        "approval_entity": {
            "id": 1901351,
            "name": "测试审批2",
            "title": "测试审批2",
            "receive_date": null,
            "invoiced_date": null,
            "sn": "",
            "main_field": "测试审批2",
            "fields_label": {
                "customer": "对应客户",
                "opportunity": "对应商机",
                "title": "合同标题",
                "sn": "合同编号",
                "category": "合同类型"
            }
        }
    }
}
```

**错误时返回:**


```
{
    "errcode": 500,
    "errmsg": "invalid appid"
}
```

#### 返回参数说明:

| 参数名         | 类型   | 说明   |
|:-------------- |:------ | ------ |
| execute_record | object | 审批流 |

execute_record对象说明

| 参数名      | 类型   | 说明           |
|:----------- |:------ | -------------- |
| id          | object | 审批流,获取后可以在执行审批接口中最为id参数传入。 |
| status      | string | 审批流当前状态，值描述：applying：审批中；pass：审批通过；veto：审批否决；revocation：审批撤回。 |
| status_i18n | string | 审批流当前状态翻译 |

#### 备注:

- 更多返回错误代码请看首页的错误代码描述