#### 获取业务对象销售动态

##### 接口地址

> GET /api/v2/:entity_type/:entity_id/sales_activities

##### 参数说明

|字段名|必填|描述|
|---|---|---|
|entity_type|是|业务对象类型：客户customers，线索leads|
|entity_id|是|业务对象ID|

##### 返回值说明

|字段名|类型|描述|
|---|---|---|
|date|String|销售动态发生日期的字符串。例如"2024-04-04 星期四"|
|activities|Array(Object)|销售动态数据数组。返回的都是‘2024-04-04’这一天的销售动态。|

#####  activities值说明

|字段名|类型|描述|
|---|---|---|
|user|User|销售动态对应的用户|
|title|String|销售动态标题，描述发生了什么。|
|refer_type|String|销售动态具体是哪个模块产生的，例如lead-线索。|
|refer_type_display|String|模块的展示名称，是应用的自定义的名称。|
|refer_name|String|模块中对象的标题，例如线索的名称。|


##### 返回数据参考
```javascript


{
  "code": 0,
  "data": {
      "sales_activities": [
          {
              "date": "2024-04-04 星期四",
              "activities": [
                  {
                      "id": 1143541100,
                      "user": {
                          "id": 12343133,
                          "email": "",
                          "created_at": "2024-05-22 23:44",
                          "name": "小兰",
                          "organization_id": 11300332,
                          "phone": "13402023331",
                          "role_id": 1231334,
                          "workflow_state": "organization_staff",
                          "job": "",
                          "tel": "",
                          "avatar_url": "https://lxcrm.weiwenjia.com/assets/female_uc.jpg",
                          "department_name": "上海销售部",
                          "third_userid": null,
                          "third_dept_id": null,
                          "uid": 23413133
                      },
                      "title": "电销",
                      "timestamp": "2024-04-04 01:43",
                      "description": "在忙，留了电话",
                      "comments_count": 0,
                      "refer_type_display": "线索",
                      "comments": [],
                      "refer_type": "Lead",
                      "refer_name": "老师",
                      "refer_id": 1311120102,
                      "is_common_customer": false,
                      "attachments": [],
                      "image_attachments": [],
                      "attachment_files": [],
                      "address": {},
                      "remind_at": "",
                      "remind_at_display": "",
                      "saleable_name": "电销",
                      "saleable_id": 1312134154,
                      "saleable_type": "RevisitLog",
                      "saleable_type_display": "跟进记录",
                      "saleable_dial_type": "",
                      "activity_type_display": "新增",
                      "activity_type": "create",
                      "audios": [],
                      "at_users": [],
                      "real_revisit_at": "2024-04-04 01:43",
                      "is_lead_and_turned": false,
                      "revisit_log_contacts": [],
                      "updated_at": "2024-04-04 01:43",
                      "created_at": "2024-04-04 01:43",
                      "real_created_at": "2024-04-04 01:43",
                      "call_type_display": "",
                      "origin_description": "在忙，留了电话",
                      "common_customer_source": "",
                      "revisit_log": {
                          "id": 1312134154,
                          "is_user_self": false,
                          "is_creator_self": false
                      },
                      "refers_display": [
                          {
                              "label": "关联联系人",
                              "value": [],
                              "type": "Contact"
                          },
                          {
                              "label": "来自线索",
                              "value": [
                                  {
                                      "id": 1311120102,
                                      "name": "老师"
                                  }
                              ],
                              "type": "Lead"
                          }
                      ],
                      "revisit_log_contract": null,
                      "revisit_log_opportunity": null,
                      "checkin": {},
                      "sign_in": {},
                      "sign_out": {},
                      "contacts": [],
                      "contract": {},
                      "opportunity": {},
                      "refer_approve_status": null,
                      "refer_info": {
                          "id": 1311120102,
                          "type": "Lead",
                          "source": null,
                          "sub_id": null,
                          "source_app": 1
                      },
                      "from_skb_info": {},
                      "call_mode": 0
                  },
                  {
                      "id": 1143355154,
                      "user": {
                          "id": 12343133,
                          "email": "",
                          "created_at": "2024-05-22 23:44",
                          "name": "小兰",
                          "organization_id": 11300332,
                          "phone": "13402023331",
                          "role_id": 1231334,
                          "workflow_state": "organization_staff",
                          "job": "",
                          "tel": "",
                          "avatar_url": "https://lxcrm.weiwenjia.com/assets/female_uc.jpg",
                          "department_name": "销售部",
                          "third_userid": null,
                          "third_dept_id": null,
                          "uid": 23413133
                      },
                      "title": "老师",
                      "timestamp": "2024-04-04 01:43",
                      "description": "",
                      "comments_count": 0,
                      "refer_type_display": "线索",
                      "comments": [],
                      "refer_type": "Lead",
                      "refer_name": "郑老师",
                      "refer_id": 1311120102,
                      "is_common_customer": false,
                      "attachments": [],
                      "image_attachments": [],
                      "attachment_files": [],
                      "address": {},
                      "remind_at": "",
                      "remind_at_display": "",
                      "saleable_name": "老师",
                      "saleable_id": 1311120102,
                      "saleable_type": "Lead",
                      "saleable_type_display": "线索",
                      "saleable_dial_type": "",
                      "activity_type_display": "电销",
                      "activity_type": "call_record",
                      "audios": [
                          {
                              "id": 1412142234,
                              "file_url": "https://xiaohao-audio-prod.weiwenjia.com/xhKey:ikcall_production_ikcrm2334052_20240404014401011.wav?attname=20240404014424.mp3",
                              "mp3_file_url": "https://xiaohao-audio-prod.weiwenjia.com/xhKey:ikcall_production_ikcrm2334052_20240404014401011.wav?attname=20240404014424.mp3",
                              "duration": "144",
                              "duration_seconds": 144,
                              "oss_type": 1,
                              "is_convert_to_mp3": false
                          }
                      ],
                      "at_users": [],
                      "real_revisit_at": "",
                      "is_lead_and_turned": false,
                      "revisit_log_contacts": [],
                      "updated_at": "2024-04-04 01:43",
                      "created_at": "2024-04-04 01:43",
                      "real_created_at": "2024-04-04 01:44",
                      "call_type_display": "呼出",
                      "origin_description": "",
                      "common_customer_source": null,
                      "revisit_log": {},
                      "refers_display": null,
                      "revisit_log_contract": null,
                      "revisit_log_opportunity": null,
                      "checkin": {},
                      "sign_in": {},
                      "sign_out": {},
                      "contacts": [],
                      "contract": {},
                      "opportunity": {},
                      "refer_approve_status": null,
                      "refer_info": {},
                      "from_skb_info": {},
                      "call_mode": 13
                  }
              ]
          },
          {
              "date": "2024-03-23 星期四",
              "activities": [
                  {
                      "id": 1504234433,
                      "user": {
                          "id": 12343133,
                          "email": "",
                          "created_at": "2024-05-22 23:44",
                          "name": "小兰",
                          "organization_id": 11300332,
                          "phone": "13402023331",
                          "role_id": 1231334,
                          "workflow_state": "organization_staff",
                          "job": "",
                          "tel": "",
                          "avatar_url": "https://lxcrm.weiwenjia.com/assets/female_uc.jpg",
                          "department_name": "销售部",
                          "third_userid": null,
                          "third_dept_id": null,
                          "uid": 23413133
                      },
                      "title": "老师",
                      "timestamp": "2024-03-23 10:53",
                      "description": "",
                      "comments_count": 0,
                      "refer_type_display": "线索",
                      "comments": [],
                      "refer_type": "Lead",
                      "refer_name": "老师",
                      "refer_id": 1311120102,
                      "is_common_customer": false,
                      "attachments": [],
                      "image_attachments": [],
                      "attachment_files": [],
                      "address": {},
                      "remind_at": "",
                      "remind_at_display": "",
                      "saleable_name": "老师",
                      "saleable_id": 1311120102,
                      "saleable_type": "Lead",
                      "saleable_type_display": "线索",
                      "saleable_dial_type": "",
                      "activity_type_display": "电销",
                      "activity_type": "call_record",
                      "audios": [
                          {
                              "id": 1321334315,
                              "file_url": "https://xiaohao-files.weiwenjia.com/ikcall_production_ikcrm2334052_20240323105354331.wav?attname=20240323105321.mp3",
                              "mp3_file_url": "https://xiaohao-files.weiwenjia.com/ikcall_production_ikcrm2334052_20240323105354331.wav?attname=20240323105321.mp3",
                              "duration": "23",
                              "duration_seconds": 23,
                              "oss_type": null,
                              "is_convert_to_mp3": false
                          }
                      ],
                      "at_users": [],
                      "real_revisit_at": "",
                      "is_lead_and_turned": false,
                      "revisit_log_contacts": [],
                      "updated_at": "2024-03-23 10:53",
                      "created_at": "2024-03-23 10:53",
                      "real_created_at": "2024-03-23 10:53",
                      "call_type_display": "呼出",
                      "origin_description": "",
                      "common_customer_source": null,
                      "revisit_log": {},
                      "refers_display": null,
                      "revisit_log_contract": null,
                      "revisit_log_opportunity": null,
                      "checkin": {},
                      "sign_in": {},
                      "sign_out": {},
                      "contacts": [],
                      "contract": {},
                      "opportunity": {},
                      "refer_approve_status": null,
                      "refer_info": {},
                      "from_skb_info": {},
                      "call_mode": 13
                  }
              ]
          },
          {
              "date": "2024-03-23 星期三",
              "activities": [
                  {
                      "id": 1501115312,
                      "user": {
                          "id": 12343133,
                          "email": "",
                          "created_at": "2024-05-22 23:44",
                          "name": "小兰",
                          "organization_id": 11300332,
                          "phone": "13402023331",
                          "role_id": 1231334,
                          "workflow_state": "organization_staff",
                          "job": "",
                          "tel": "",
                          "avatar_url": "https://lxcrm.weiwenjia.com/assets/female_uc.jpg",
                          "department_name": "上海销售部",
                          "third_userid": null,
                          "third_dept_id": null,
                          "uid": 23413133
                      },
                      "title": "电销",
                      "timestamp": "2024-03-23 13:02",
                      "description": "比较忙不在",
                      "comments_count": 0,
                      "refer_type_display": "线索",
                      "comments": [],
                      "refer_type": "Lead",
                      "refer_name": "老师",
                      "refer_id": 1311120102,
                      "is_common_customer": false,
                      "attachments": [],
                      "image_attachments": [],
                      "attachment_files": [],
                      "address": {},
                      "remind_at": "",
                      "remind_at_display": "",
                      "saleable_name": "电销",
                      "saleable_id": 1534014235,
                      "saleable_type": "RevisitLog",
                      "saleable_type_display": "跟进记录",
                      "saleable_dial_type": "",
                      "activity_type_display": "新增",
                      "activity_type": "create",
                      "audios": [],
                      "at_users": [],
                      "real_revisit_at": "2024-03-23 13:02",
                      "is_lead_and_turned": false,
                      "revisit_log_contacts": [],
                      "updated_at": "2024-03-23 13:02",
                      "created_at": "2024-03-23 13:02",
                      "real_created_at": "2024-03-23 13:02",
                      "call_type_display": "",
                      "origin_description": "比较忙不在",
                      "common_customer_source": "",
                      "revisit_log": {
                          "id": 1534014235,
                          "is_user_self": false,
                          "is_creator_self": false
                      },
                      "refers_display": [
                          {
                              "label": "关联联系人",
                              "value": [],
                              "type": "Contact"
                          },
                          {
                              "label": "来自线索",
                              "value": [
                                  {
                                      "id": 1311120102,
                                      "name": "老师"
                                  }
                              ],
                              "type": "Lead"
                          }
                      ],
                      "revisit_log_contract": null,
                      "revisit_log_opportunity": null,
                      "checkin": {},
                      "sign_in": {},
                      "sign_out": {},
                      "contacts": [],
                      "contract": {},
                      "opportunity": {},
                      "refer_approve_status": null,
                      "refer_info": {
                          "id": 1311120102,
                          "type": "Lead",
                          "source": null,
                          "sub_id": null,
                          "source_app": 1
                      },
                      "from_skb_info": {},
                      "call_mode": 0
                  },
                  {
                      "id": 1501305145,
                      "user": {
                          "id": 12343133,
                          "email": "",
                          "created_at": "2024-05-22 23:44",
                          "name": "小兰",
                          "organization_id": 11300332,
                          "phone": "13402023331",
                          "role_id": 1231334,
                          "workflow_state": "organization_staff",
                          "job": "",
                          "tel": "",
                          "avatar_url": "https://lxcrm.weiwenjia.com/assets/female_uc.jpg",
                          "department_name": "销售部",
                          "third_userid": null,
                          "third_dept_id": null,
                          "uid": 23413133
                      },
                      "title": "郑老师",
                      "timestamp": "2024-03-23 13:01",
                      "description": "",
                      "comments_count": 0,
                      "refer_type_display": "线索",
                      "comments": [],
                      "refer_type": "Lead",
                      "refer_name": "老师",
                      "refer_id": 1311120102,
                      "is_common_customer": false,
                      "attachments": [],
                      "image_attachments": [],
                      "attachment_files": [],
                      "address": {},
                      "remind_at": "",
                      "remind_at_display": "",
                      "saleable_name": "老师",
                      "saleable_id": 1311120102,
                      "saleable_type": "Lead",
                      "saleable_type_display": "线索",
                      "saleable_dial_type": "",
                      "activity_type_display": "电销",
                      "activity_type": "call_record",
                      "audios": [
                          {
                              "id": 1324331103,
                              "file_url": "https://xiaohao-files.weiwenjia.com/ikcall_production_ikcrm2334052_20240323135423143.wav?attname=20240323135443.mp3",
                              "mp3_file_url": "https://xiaohao-files.weiwenjia.com/ikcall_production_ikcrm2334052_20240323135423143.wav?attname=20240323135443.mp3",
                              "duration": "151",
                              "duration_seconds": 151,
                              "oss_type": null,
                              "is_convert_to_mp3": false
                          }
                      ],
                      "at_users": [],
                      "real_revisit_at": "",
                      "is_lead_and_turned": false,
                      "revisit_log_contacts": [],
                      "updated_at": "2024-03-23 13:01",
                      "created_at": "2024-03-23 13:01",
                      "real_created_at": "2024-03-23 13:54",
                      "call_type_display": "呼出",
                      "origin_description": "",
                      "common_customer_source": null,
                      "revisit_log": {},
                      "refers_display": null,
                      "revisit_log_contract": null,
                      "revisit_log_opportunity": null,
                      "checkin": {},
                      "sign_in": {},
                      "sign_out": {},
                      "contacts": [],
                      "contract": {},
                      "opportunity": {},
                      "refer_approve_status": null,
                      "refer_info": {},
                      "from_skb_info": {},
                      "call_mode": 13
                  }
              ]
          },
          {
              "date": "2024-05-24 星期五",
              "activities": [
                  {
                      "id": 1133434023,
                      "user": {
                          "id": 12341142,
                          "email": "",
                          "created_at": "2024-03-20 01:23",
                          "name": "小乔",
                          "organization_id": 11300332,
                          "phone": "13453135330",
                          "role_id": 1231333,
                          "workflow_state": "organization_staff",
                          "job": "",
                          "tel": "",
                          "avatar_url": "https://lxcrm.weiwenjia.com/assets/male_uc.jpg",
                          "department_name": "欧乐城",
                          "third_userid": null,
                          "third_dept_id": null,
                          "uid": 23110144
                      },
                      "title": "老师",
                      "timestamp": "2024-05-24 14:04",
                      "description": "新增线索",
                      "comments_count": 0,
                      "refer_type_display": "线索",
                      "comments": [],
                      "refer_type": "Lead",
                      "refer_name": "老师",
                      "refer_id": 1311120102,
                      "is_common_customer": false,
                      "attachments": [],
                      "image_attachments": [],
                      "attachment_files": [],
                      "address": {},
                      "remind_at": "",
                      "remind_at_display": "",
                      "saleable_name": "老师",
                      "saleable_id": {
                          "id": 1311120102,
                          "user_id": 12343133,
                          "organization_id": 11300332,
                          "name": "老师",
                          "company_name": null,
                          "source": null,
                          "department": null,
                          "job": null,
                          "note": null,
                          "created_at": "2024-05-24T14:04:51.000+04:00",
                          "updated_at": "2024-04-04T01:43:33.000+04:00",
                          "deleted_at": null,
                          "status": null,
                          "turned_customer_id": null,
                          "department_id": 11431522,
                          "name_pinyin": "zhenglaoshi",
                          "company_name_pinyin": "",
                          "creator_id": 12341142,
                          "customer_requirement": null,
                          "revisit_at": "2024-04-04T01:43:33.000+04:00",
                          "real_revisit_at": "2024-04-04T01:43:33.000+04:00",
                          "revisit_remind_at": "2024-04-15T10:00:00.000+04:00",
                          "qixinbao_id": null,
                          "before_user_id": null,
                          "before_department_id": 11413403,
                          "turned_at": null,
                          "channel_code": null,
                          "is_draft": false,
                          "biz_pid": "",
                          "soukebox_account_id": null,
                          "channel": null,
                          "market_activity_id": null,
                          "shop_id": null,
                          "approve_status": "approved",
                          "submit_applying_at": null,
                          "finish_approve_at": null,
                          "lock_status": "unlocked"
                      },
                      "saleable_type": "Lead",
                      "saleable_type_display": "线索",
                      "saleable_dial_type": "",
                      "activity_type_display": "新增",
                      "activity_type": "create",
                      "audios": [],
                      "at_users": [],
                      "real_revisit_at": "",
                      "is_lead_and_turned": false,
                      "revisit_log_contacts": [],
                      "updated_at": "2024-05-24 14:04",
                      "created_at": "2024-05-24 14:04",
                      "real_created_at": "2024-05-24 14:04",
                      "call_type_display": "",
                      "origin_description": "",
                      "common_customer_source": null,
                      "revisit_log": {},
                      "refers_display": null,
                      "revisit_log_contract": null,
                      "revisit_log_opportunity": null,
                      "checkin": {},
                      "sign_in": {},
                      "sign_out": {},
                      "contacts": [],
                      "contract": {},
                      "opportunity": {},
                      "refer_approve_status": null,
                      "refer_info": {},
                      "from_skb_info": {},
                      "call_mode": 0
                  }
              ]
          }
      ],
      "default_image_url": "https://lxcrm-duli-files.lixiaoyun.com/assets/mobile/attachment_no_permission-cd1455f33c323311a3fa33b50a0dc1f3d13cd1f3021ec4b43b124f501154f3c2.svg",
      "user_config_columns": {
          "revisit_log": [],
          "dx_revisit_log": null
      },
      "total_count": 3,
      "per_page": 15,
      "page": 1
  }
}
```