## 附件列表
### HTTP Request

`GET  api/v2/attachments`
`例：api/v2/attachments?attachmentable_type=Customer&attachmentable_id=336501`

### URL Parameters

字段名 | 是否必填 | 参数类型 | 描述
--------- | ------- | ------- | -----------
page | false | Int | 页码
per_page | false | Int  | 每页的数量
attachmentable_type | false | String | 对应数据模块名： 客户Customer、合同Contract等
attachmentable_id | false | Int | 对应数据id

> 返回数据:

```javascript
{
    "code": 0,
    "data": {
        "list": [
            {
                "created_at": "2021-03-22 21:40", //上传时间
                "file_file_size": "205KB", //文件大小
                "link_html": "",
                "file_url": "https://dn-ikcrm-files-dev.qbox.me/attachments%2Ffiles%2F37144%2F368ecc7df7f39be55e0590913ec4d9d7-%2810%29.jpeg?e=1616469537&token=w2yRBQw0CPY-fsy6hxBjASopjHCTtT7RKFRtQeJz:icfyUqKbZ9w63WSvW0r-jk7xxk8=",
                "file_type": "image",
                "preview_url": "https://dn-ikcrm-files-dev.qbox.me/attachments%2Ffiles%2F37144%2F368ecc7df7f39be55e0590913ec4d9d7-%2810%29.jpeg?e=1616469537&token=w2yRBQw0CPY-fsy6hxBjASopjHCTtT7RKFRtQeJz:icfyUqKbZ9w63WSvW0r-jk7xxk8=",
                "download_url": "https://dn-ikcrm-files-dev.qbox.me/attachments%2Ffiles%2F37144%2F368ecc7df7f39be55e0590913ec4d9d7-%2810%29.jpeg%3Fattname%3D368ecc7df7f39be55e0590913ec4d9d7-%2810%29.jpeg?e=1616469537&token=w2yRBQw0CPY-fsy6hxBjASopjHCTtT7RKFRtQeJz:0UI38yIO4CnqbaVeEcUePryoks0=", //下载链接
                "id": 37144,
                "name": "368ecc7df7f39be55e0590913ec4d9d7-(10).jpeg",
                "attachmentable_id": 336501,
                "attachmentable_type": "Customer",
                "updated_at": "2021-03-22T21:40:30.000+08:00",
                "file_file_name": "368ecc7df7f39be55e0590913ec4d9d7-(10).jpeg",
                "file_content_type": "image/jpeg",
                "file_updated_at": "2021-03-22T21:40:29.000+08:00",
                "user_id": 1001320,
                "organization_id": 1000069,
                "deleted_at": null,
                "note": "",
                "sub_type": "",
                "qiniu_persistent_id": "",
                "attachment_position": null,
                "wx_media_id": null
            }
        ],
        "total_count": 1,
        "total_pages": 1,
        "current_page": 1,
        "per_page": 10,
        "page": 1,
        "has_next_page": false
    }
}
```