#### 简要描述：

- 客户通过名称精准查询接口

#### 请求URL:

- `/api/v2/duplicates/matching_name`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
name | true | 查询客户名称

<font color='#FF00000'>
备注: 如果有多条相同；返回前100条
</font>

#### 返回示例:

**正确时返回:**

``` json

{
  "code": 0,
  "data": {
    "customers": [
      {
        "id": 831,
        "user_id": 254,
        "user_name": "周星驰",
        "name": "经理1的客户",
        "status": "3462",
        "status_mapped": "待联系",
        "category": "3468",
        "category_mapped": "VIP客户",
        "need_hidden_dispose": false,
        "updated_at": "2019-02-15 17:36",
        "created_at": "2014-11-07 10:11",
        "approve_status": "approved",
        "approve_status_i18n": "已通过",
        "custom_field_template_id": null,
        "wx_external_userid": null,
        "wx_contact_type": null,
        "is_user_self": false,
        "labels": [],
        "address": {
          "id": 2675,
          "addressable_id": 831,
          "addressable_type": "Customer",
          "country_id": 4,
          "province_id": 14,
          "city_id": 124,
          "district_id": 1122,
          "tel": "",
          "phone": null,
          "email": null,
          "qq": null,
          "fax": "475464896486",
          "wechat": null,
          "wangwang": null,
          "zip": "2000000",
          "url": "http://baidu.com",
          "detail_address": "打算范德萨斯蒂芬阿萨德",
          "created_at": "2014-11-07T10:11:02.000+08:00",
          "updated_at": "2018-02-26T18:38:45.000+08:00",
          "lat": "31.579004",
          "lng": "91.100065",
          "off_distance": null,
          "region_info": "中国江西南昌市西湖区",
          "snippet": null,
          "organization_id": 49,
          "mode": "compat",
          "time_format": "ruby",
          "use_to_json": true,
          "tel_hidden_result": "",
          "phone_hidden_result": ""
        },
        "contacts": [
          {
            "id": 673,
            "name": "经理1的联系人",
            "address": {
              "id": 2676,
              "addressable_id": 673,
              "addressable_type": null,
              "country_id": 4,
              "province_id": 1,
              "city_id": 1,
              "district_id": 1,
              "tel": "345235423",
              "phone": "13562545214",
              "email": "asdfa@163.com",
              "qq": "2354235423",
              "fax": "235423542354",
              "wechat": "235423542354",
              "wangwang": null,
              "zip": "45234523",
              "url": null,
              "detail_address": "阿斯多发生的风阿萨德f",
              "created_at": "2014-11-07T10:16:09.000+08:00",
              "updated_at": "2016-04-15T15:30:42.000+08:00",
              "lat": null,
              "lng": null,
              "off_distance": null,
              "region_info": "中国北京北京市东城区",
              "snippet": null,
              "organization_id": 49,
              "mode": "compat",
              "time_format": "ruby",
              "use_to_json": true,
              "tel_hidden_result": "345235423",
              "phone_hidden_result": "13562545214"
            },
            "need_hidden_dispose": false,
            "is_user_self": false
          }
        ]
      }
    ]
  }
}

```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|is_user_self |boolean   |是否自己的数据  |
|approve_status |string   |审批状态  |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述