#### 简要描述：

- 客户下合同列表接口

#### 请求URL:

- `/api/v2/contracts`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 参数类型 | 描述
--------- | ------- | ------- | -----------
page | false | int | 页码
per_page | false | Int  | 每页的数量
entity | true | string | customer
entity_id | true | int | 客户ID

<font color='#FF00000'>
参考样例:

1.&entity=customer&entity_id=831

</font>

#### 返回示例:

**正确时返回:**

``` json

{
  "code": 0,
  "data": {
    "contracts": [
      {
        "id": 104,
        "user_id": 254,
        "user_name": "周星驰",
        "customer_id": 831,
        "customer_name": "经理1的客户",
        "title": "经理1的合同",
        "total_amount": 200000.0,
        "unreceived_amount": 199000.0,
        "approve_status": "approved",
        "approve_status_i18n": "已通过",
        "status": "3496",
        "status_mapped": "新建",
        "sign_date": "2014-10-27",
        "updated_at": "2019-02-15 17:36",
        "created_at": "2014-11-07 10:19",
        "is_user_self": false,
        "received_payments_amount": "1000.0",
        "start_at": "2014-11-07",
        "end_at": "2014-11-07"
      }
    ],
    "total_count": 1,
    "per_page": 15,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|is_user_self |boolean   |是否自己的数据  |
|approve_status |string   |审批状态  |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述