## 客户按照字段查重
根据指定字段和字段的值进行查重，如果有重复则会返回公司已有相同字段的客户；如果该字段无重复，则返回未发现相同字段的客户。

### HTTP Request

`GET  /api/pc/customers/check_duplicate_field`

### URL Parameters

字段名 | 是否必填 | 参数类型 | 描述
--------- | ------- | ------- | -----------
field | true | string | 查重字段名称
field_value | true | string | 字段值
customer_id | true | string | 需要剔除的数据源（编辑时候需要传入）
custom_field_template_id|false|string|如果通过开启了业务类型查重，则需要填写。为对应业务类型id。

示例代码
```bash
curl '${host}/api/v2/customers/check_duplicate_field?field=phone&field_value=123456789&custom_field_template_id=10&customer_id=1' \
  -H 'accept: application/json' \
  -H 'authorization: Token token="xxx*********xxxxxxxx",device="open_api"'
```

> 返回数据:

```json
{
  "code": "1",
  "remark": "未发现相同手机的客户",
  "message": "未发现相同手机的客户"
}

{
  "code": "1",
  "remark": "你已经有相同客户名称的客户",
  "message": "你已经有相同客户名称的客户"
}

{
  "code": "2",
  "remark": "公司内已经有相同客户名称的客户",
  "message": "公司内已经有相同客户名称的客户"
}

{
  "code":"0",
  "remark":"未发现相同手机的客户",
  "message":"未发现相同手机的客户"
}
```