#### 简要描述：

- 创建报销单

#### 请求URL:

- `/api/v2/expense_accounts`

#### 请求方式：

- POST

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
expense_account[sn] | true | 编号(读取自定义字段里的设置是否自动生成，如果自动生成)
expense_account[user_id] | true | 报销人
expense_account[owned_department_id] | true | 报销部门
expense_account[note] | false | 备注
expense_account[approve_status] | true | 审批状态（applying, approved）,开启审批填写 审批状态 applying, 未开启填写 approved
expense_ids | true | 费用id，数组

#### 返回示例:

**正确时返回:**

```json
{
  "code": 0,
  "data": {
    "id": 3189,
    "organization_id": 57,
    "sn": "测试数据",
    "amount": "5255.0",
    "expenses_count": 2,
    "user": {
      "id": 700,
      "email": "79507452@qq.com",
      "created_at": "2015-07-01 18:17",
      "name": "小龙-test环境",
      "organization_id": 57,
      "phone": "18699999999",
      "role_id": 418,
      "workflow_state": "organization_staff",
      "job": "开发主管",
      "tel": "",
      "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/25929/MagazinePic-01-2.3.001-bigpicture_01_9.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
      "department_name": "总裁办"
    },
    "creator": {
      "id": 700,
      "email": "79507452@qq.com",
      "created_at": "2015-07-01 18:17",
      "name": "小龙-test环境",
      "organization_id": 57,
      "phone": "18699999999",
      "role_id": 418,
      "workflow_state": "organization_staff",
      "job": "开发主管",
      "tel": "",
      "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/25929/MagazinePic-01-2.3.001-bigpicture_01_9.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
      "department_name": "总裁办"
    },
    "owned_department": {
      "id": 278,
      "name": "总裁办"
    },
    "created_at": "2018-08-08 15:12",
    "updated_at": "2018-08-24 17:06",
    "note": "测试123",
    "approve_status": "reverted",
    "approve_status_i18n": "已撤销",
    "can_approve": true,
    "step_can_approve": false,
    "step": 0,
    "notify_users": [
    ],
    "can_revert_applying": false,
    "need_approve_step": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

字段名 | 描述
--------- | -----------
sn | 费用编号
amount | 费用金额
expenses_count | 费用数量
user | 报销人
creator | 创建人
owned_department | 报销部门
note | 备注
approve_status | 审批状态
approve_status_i18n | 审批状态i18n
can_approve | 是否可以审批
step_can_approve | 是否可以进行下一步审批
step | 审批步数
notify_users | 通知用户
can_revert_applying | 是否可以撤销审批
need_approve_step | 需要的下一步审批
expenses | 报销单

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述