#### 简要描述：

- 费用列表

#### 请求URL:

- `/api/v2/expenses`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
query | false | String | 搜索关键字
scope | false | 范围筛选 ［'', my_own］


#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "expenses": [
      {
        "id": 3487,
        "organization_id": 57,
        "customer": {
          "id": 2600,
          "name": "按键精灵3"
        },
        "sn": "24646",
        "category": "75605",
        "category_mapped": "招待费",
        "incurred_at": "2018-04-23",
        "amount": "255.0",
        "user": {
          "id": 700,
          "email": "79507452@qq.com",
          "created_at": "2015-07-01 18:17",
          "name": "小龙-test环境",
          "organization_id": 57,
          "phone": "18699999999",
          "role_id": 418,
          "workflow_state": "organization_staff",
          "job": "开发主管",
          "tel": "",
          "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/25929/MagazinePic-01-2.3.001-bigpicture_01_9.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
          "department_name": "总裁办"
        },
        "expense_account": {
          "id": 3189,
          "organization_id": 57,
          "sn": "客厅裤头",
          "amount": "5255.0",
          "user": {
            "id": 700,
            "email": "79507452@qq.com",
            "created_at": "2015-07-01 18:17",
            "name": "小龙-test环境",
            "organization_id": 57,
            "phone": "18699999999",
            "role_id": 418,
            "workflow_state": "organization_staff",
            "job": "开发主管",
            "tel": "",
            "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/25929/MagazinePic-01-2.3.001-bigpicture_01_9.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
            "department_name": "总裁办"
          },
          "created_at": "2018-08-08 15:12",
          "updated_at": "2018-08-24 17:06",
          "approve_status": "reverted",
          "approve_status_i18n": "已撤销"
        },
        "created_at": "2018-04-23 11:40",
        "updated_at": "2018-08-08 15:12",
        "expense_status": "not_reimburse",
        "expense_status_i18n": "未报销"
      }
    ],
    "total_count": 10,
    "per_page": 15,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

字段名 | 描述
--------- | ------- |
sn | 费用编号
category | 类别id
category_mapped | 类别名称
incurred_at | 发生时间
amount | 费用金额
related_item | 关联对象
expense_account | 报销单
contacts | 联系人
revisit_log | 拜访签到

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述