#### 简要描述：

- 拜访签到列表

#### 请求URL:

- ` /api/v2/checkins`

#### 请求方式：

- GET

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
page | false | 页码
per_page | false | 每页的数量
user_id | false | 用户id
checkable_type | false | checkable type(Customer, Opportunity)
checkable_id | false | checkable id
detail_address | false | 地址详情

#### 返回示例:

**正确时返回:**

``` json

{
  "code": 0,
  "data": {
    "checkins": [
      {
        "id": 3081,
        "checkin_name": "吧咯",
        "created_at": "2015-09-09 20:20",
        "address": {
          "id": 56329,
          "country": {},
          "province": {},
          "city": {},
          "district": {},
          "tel": "",
          "phone": "",
          "email": "",
          "qq": "",
          "fax": "",
          "wechat": "",
          "wangwang": "",
          "zip": "",
          "url": "",
          "detail_address": "上海市市辖区亮秀路112号",
          "lat": 31.199272,
          "lng": 121.602854,
          "distance": "0m",
          "region_info": "",
          "off_distance": 0,
          "gaode_staticmap": "http://restapi.amap.com/v3/staticmap?key=6336624d908c499cace3998613723a3a&location=121.602854%2C31.199272&markers=mid%2C%2CA%3A121.602854%2C31.199272&scale=2&size=262%2A90&zoom=15"
        },
        "attachments": [],
        "checkable": {
          "customer": {
            "id": 15232,
            "name": "吧咯",
            "status": "4021",
            "status_mapped": "成交",
            "note": "",
            "category": "4023",
            "category_mapped": "潜在客户",
            "source": "4028",
            "source_mapped": "电话来访",
            "industry": "4035",
            "industry_mapped": "服务业",
            "parent": {},
            "staff_size": 20878,
            "staff_size_display": "<10人",
            "staff_size_mapped": "<10人",
            "created_at": "2015-08-21 13:47",
            "updated_at": "2015-08-21 13:47",
            "is_own": true,
            "attachments": "暂无附件",
            "company_name": "",
            "text_asset_95310da7": null,
            "address": {
              "id": 51999,
              "country": {
                "id": 4,
                "name": "中国",
                "pinyin": ""
              },
              "province": {
                "id": 17,
                "name": "湖北",
                "pinyin": "hubei",
                "country_id": 4
              },
              "city": {
                "id": 169,
                "name": "武汉市",
                "pinyin": "wuhan",
                "province_id": 17
              },
              "district": {
                "id": 1513,
                "name": "江岸",
                "pinyin": null,
                "city_id": 169
              },
              "tel": "18851321976",
              "phone": "",
              "email": "",
              "qq": "",
              "fax": "",
              "wechat": "",
              "wangwang": "",
              "zip": "",
              "url": "",
              "detail_address": "",
              "lat": 0,
              "lng": 0,
              "distance": "0m",
              "region_info": "中国湖北武汉市江岸",
              "off_distance": 0,
              "gaode_staticmap": ""
            },
            "user": {
              "id": 699,
              "email": "2525@qq.com",
              "created_at": "2015-07-01T18:17:11.000+08:00",
              "name": "刘超-test环境",
              "organization_id": 57,
              "phone": "18851321975",
              "role_id": 0,
              "workflow_state": "organization_staff",
              "job": "安卓开发",
              "tel": "",
              "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/12303/aike_header.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
              "department_name": "总裁办"
            },
            "owned_department": {
              "id": 278,
              "name": "总裁办"
            }
          }
        }
      }
    ],
    "total_count": 278,
    "per_page": 1,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|is_user_self |boolean   |是否自己的数据  |
|approve_status |string   |审批状态(approved:审批通过,)  |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述