#### 简要描述：

- 公海客户列表接口

#### 请求URL:

- `/api/v2/common_customers`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
common_id | true | 公海id `GET api/v2/common_customers/common_settings`

#### 请求方式：

- GET

#### 请求参数:

字段名 | 是否必填 | 参数类型 | 描述
--------- | ------- | ------- | -----------
page | false | Long | 页码
per_page | false | Int  | 每页的数量
query | false | String | 搜索关键字
department_id | false | Long | 部门id
sort | false | String  | 排序类型(created_at ), `api/v2/customers/filter_sort_group` 返回值中sorts的value
order | false | String  | 排序方式（asc desc）
user_id | false | Long | 员工筛选
status | false | Long | 状态, 值为 `api/v2/customers/status/filter_options`返回值
category | false | Long | 分类
real_revisit_at | false | String | 实际跟进时间
product_id | false | Long | product筛选

<font color='#FF00000'>
备注:

1.日期相关自定义查询  如 创建时间 `created_at[]=2019-01-01&created_at[]=2019-02-01` 不支持到时分秒的查询条件

</font>

#### 返回示例:

**正确时返回:**

``` json

{
  "code": 0,
  "data": {
    "customers": [
      {
        "id": 30111238,
        "user_id": null,
        "user_name": null,
        "name": "1212121",
        "status": "3462",
        "status_mapped": "待联系",
        "category": "15131",
        "category_mapped": "B(普通客户)",
        "need_hidden_dispose": false,
        "updated_at": "2019-02-07 16:03",
        "created_at": "2019-01-22 09:27",
        "approve_status": "approved",
        "approve_status_i18n": "已通过",
        "custom_field_template_id": 1519,
        "wx_external_userid": null,
        "wx_contact_type": null,
        "is_user_self": false,
        "labels": [
        ],
        "is_common_admin": true
      },
      {
        "id": 1605120,
        "user_id": null,
        "user_name": null,
        "name": "贸易公司54",
        "status": "3463",
        "status_mapped": "意向",
        "category": "15131",
        "category_mapped": "B(普通客户)",
        "need_hidden_dispose": false,
        "updated_at": "2018-11-03 16:03",
        "created_at": "2016-08-19 17:40",
        "approve_status": "approved",
        "approve_status_i18n": "已通过",
        "custom_field_template_id": null,
        "wx_external_userid": null,
        "wx_contact_type": null,
        "is_user_self": false,
        "labels": [
        ],
        "is_common_admin": true
      }
    ],
    "total_count": 8,
    "per_page": 15,
    "page": 1,
    "notice": "每天16:00开放一批公海客户，请准时来抢"
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|is_user_self |boolean   |是否自己的数据  |
|is_common_admin |boolean   |是否公海管理员  |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述