#### 简要描述：

- 创建联系人

#### 请求URL:

- `/api/v2/contacts`

#### 请求方式：

- POST

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
contact[name] | true | 联系人名称.
contact[customer_id] | true | 关联客户ID.
contact[department] | false | 部门
contact[gender] | false | 性别
contact[birth_date] | false | 生日
contact[note] | false | 备注
contact[category] | false | 类型
contact[job] | false | 职务
contact[address_attributes][detail_address] | false | 详细地址
contact[address_attributes][email] | false | 邮箱
contact[address_attributes][tel] | false | 电话
contact[address_attributes][phone] | false | 手机
contact[address_attributes][url] | false | 网址
contact[address_attributes][province_id] | false | 省
contact[address_attributes][city_id] | false | 城市
contact[address_attributes][district_id] | false | 地区
contact[address_attributes][zip] | false | 邮编
contact[address_attributes][wechat] | false | 微信号
contact[address_attributes][qq] | false | QQ号

**请求参数json例子:**

```json

{
  "contact": {
  "name": "测试客111户3",
  "customer_id": 324,
  "address_attributes": {
    "url": "www.baidu.com",
    "detail_address": "上海",
    "tel": "18516501111"
   }
  }
}

```


#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "id": 5524470,
    "name": "09009909099",
    "department": "",
    "job": "jklvv",
    "category": "",
    "category_mapped": "",
    "gender": "",
    "note": "",
    "birth_date": "",
    "gender_i18n": "",
    "created_at": "2018-09-18 15:00",
    "updated_at": "2019-01-31 10:54",
    "attachment": { },
    "customer": {
      "id": 18951347,
      "name": "哈哈哈哈哈哈，We’re",
      "name_pinyin": "hahahahahahaWe",
      "user_id": 257,
      "user_name": "张学友",
      "contacts": [
        {
          "id": 5259785,
          "name": "刘鑫",
          "address": {
            "id": 10438863,
            "tel": "",
            "tel_hidden_result": "",
            "phone": "186028042835",
            "phone_hidden_result": "186028042835",
            "qq": "",
            "email": "",
            "lng": 0.0,
            "lat": 0.0,
            "detail_address": "",
            "off_distance": -1,
            "url": "",
            "gaode_staticmap": "",
            "full_address": "中国 "
          }
        },
        {
          "id": 5524470,
          "name": "09009909099",
          "address": {
            "id": 10703548,
            "tel": "",
            "tel_hidden_result": "",
            "phone": "12456798362",
            "phone_hidden_result": "12456798362",
            "qq": "",
            "email": "",
            "lng": 0.0,
            "lat": 0.0,
            "detail_address": "",
            "off_distance": -1,
            "url": "",
            "gaode_staticmap": "",
            "full_address": "中国 "
          }
        }
      ],
      "company_name": "",
      "address": {
        "id": 22483595,
        "tel": "",
        "tel_hidden_result": "",
        "phone": "186028042835",
        "phone_hidden_result": "186028042835",
        "qq": "",
        "email": "",
        "lng": 0.0,
        "lat": 0.0,
        "detail_address": "",
        "off_distance": -1,
        "url": "",
        "gaode_staticmap": "",
        "full_address": ""
      },
      "revisit_at": "2018-10-08T18:28:20.000+08:00",
      "is_own": true,
      "status": "3465",
      "status_mapped": "成交",
      "category": "",
      "category_mapped": "",
      "qixinbao_id": "",
      "created_at": "2018-08-29 19:51",
      "updated_at": "2018-10-08 18:28",
      "creator": {
        "id": 254,
        "email": "liu.x@vcooline1.com",
        "created_at": "2018-04-23 15:01",
        "name": "周星驰",
        "organization_id": 49,
        "phone": "17621642511",
        "role_id": 169,
        "workflow_state": "organization_staff",
        "job": "导演",
        "tel": "",
        "avatar_url": "https://dn-ikcrm-files.qbox.me/attachments/files/1484/25e25f090ccf5e514407f11dd64f5f14.gif?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
        "department_name": "总经理办公室"
      },
      "is_user_self": false,
      "approve_status": "approved",
      "approve_status_i18n": "已通过"
    },
    "user": {
      "id": 257,
      "email": "fads@sdfsd.com",
      "created_at": "2014-11-06 22:48",
      "name": "张学友",
      "organization_id": 49,
      "phone": "18622222222",
      "role_id": 171,
      "workflow_state": "organization_staff",
      "job": "阿飞无法",
      "tel": "",
      "avatar_url": "https://dn-ikcrm-files.qbox.me/attachments/files/135546/aike_cam20160415172857.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
      "department_name": "销售部"
    },
    "address": {
      "id": 10703548,
      "country": {
        "id": 4,
        "name": "中国",
        "pinyin": "a1"
      },
      "province": {},
      "city": {},
      "district": { },
      "tel": "",
      "tel_hidden_result": "",
      "phone": "12456798362",
      "phone_hidden_result": "12456798362",
      "email": "",
      "qq": "",
      "fax": "",
      "wechat": "",
      "wangwang": "",
      "zip": "",
      "url": "",
      "detail_address": "",
      "lat": 0.0,
      "lng": 0.0,
      "distance": "未知",
      "region_info": "中国",
      "off_distance": -1,
      "gaode_staticmap": "",
      "full_address": "中国 "
    },
    "is_own": true,
    "creator": {
      "id": 419462,
      "email": "denghuang@ikcrm.com",
      "created_at": "2018-05-09 10:05",
      "name": "邓煌",
      "organization_id": 49,
      "phone": "18428362926",
      "role_id": 169,
      "workflow_state": "organization_staff",
      "job": "",
      "tel": "",
      "avatar_url": "https://e.ikcrm.com/assets/male_uc.jpg",
      "department_name": "总经理办公室"
    },
    "name_pinyin": "09009909099",
    "need_hidden_dispose": false,
    "is_user_self": false,
    "ding_ext_contact_id": null,
    "card_attachment": { },
    "wx_external_userid": null,
    "wx_contact_type": null,
    "text_asset_792fcc": [
      "mul_3902",
      "mul_acdc"
    ],
    "text_asset_5eb222": [
      "mul_60e4"
    ],
    "text_asset_f5fa0f00": "",
    "text_asset_9a57b014": "",
    "file_asset_45e6f5": [],
    "text_asset_ac4e05": "",
    "numeric_asset_aa4d8f": null,
    "text_asset_66ac09": "",
    "numeric_asset_ac292f": null,
    "file_asset_6592eb": [ ],
    "datetime_asset_a0f4a6": "",
    "text_asset_875b3c": null,
    "text_asset_ac4e05_hidden_result": "",
    "text_asset_f5fa0f00_display": null,
    "text_asset_792fcc_display": "选项B，选项A",
    "text_asset_5eb222_display": "3"
  }
}
```

**错误时返回:**


```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

字段名 | 字段类型 | 描述
--------- | ------- | -----------
is_own | Boolean | 是否自己拥有
need_hidden_dispose | Boolean | 是否需要掩藏客户资料号码(用于呼叫中心)
is_user_self | Boolean | 是否是自己的联系人

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述