#### 简要描述：

- 创建合同关联产品

#### 请求URL:

- `/api/v2/contracts/:id/product_assets`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 合同的id，替换掉url的:id

#### 请求方式：

- POST

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
product_asset[product_id] | true | 产品ID
product_asset[quantity] | true | 产品数量
product_asset[recommended_unit_price] | false | 推荐价格
product_asset[remark] | false | 备注

<font color='#FF00000'>
备注:

1.可以同时创建多个,将contract[product_assets_attributes][`0`]中的索引递增,形成下一组产品参数

</font>

#### 返回示例:

**正确时返回:**

```json
{
  "code": 0,
  "data": {
    "id": 104,
    "category": "3486",
    "category_mapped": "代理合同",
    "payment_type": "3490",
    "payment_type_mapped": "支票",
    "status": "3496",
    "status_mapped": "新建",
    "is_editable": true,
    "organization_id": 49,
    "title": "经理1的合同",
    "total_amount": "200000.0",
    "start_at": "2014-11-07",
    "end_at": "2014-11-07",
    "customer_signer": " 阿斯蒂芬阿萨德",
    "need_hidden_dispose": false,
    "revisit_remind_at": "2019-02-18 17:36",
    "received_payments_plan_count": 1,
    "received_payments_plan_amount": "200000.0",
    "times_display": "2014-11-07 - 2014-11-07",
    "received_payments_amount": "1000.0",
    "unreceived_amount": 199000.0,
    "unchecking_payments_amount": 200000.0,
    "checking_payments_amount": "0.0",
    "sign_date": "2014-10-27",
    "times": "2014-11-07 - 2014-11-07",
    "sn": "4546465464",
    "approve_status": "approved",
    "approve_status_i18n": "已通过",
    "approve_deny_type": 0,
    "all_attachments": [
      {
        "id": 410,
        "name": "Img394998108.jpg",
        "attachmentable_id": 104,
        "attachmentable_type": "Contract",
        "created_at": "2014-11-07T10:19:02.000+08:00",
        "updated_at": "2014-11-07T10:19:06.000+08:00",
        "file_file_name": "Img394998108.jpg",
        "file_content_type": "application/octet-stream",
        "file_file_size": 35683,
        "file_updated_at": "2014-11-07T10:19:02.000+08:00",
        "user_id": 254,
        "organization_id": 49,
        "deleted_at": null,
        "note": null,
        "sub_type": "",
        "attachment_position": null,
        "qiniu_persistent_id": null,
        "wx_media_id": null,
        "file_url": "https://dn-ikcrm-files.qbox.me/attachments/files/410/Img394998108.jpg"
      }
    ],
    "attachments": "1个附件",
    "owned_department": {
      "id": 395,
      "name": "总经理办公室"
    },
    "is_own": true,
    "is_has_policy_for_assist_user": true,
    "before_user": {
    },
    "is_my_assist_entity": false,
    "product_assets_for_new_record": [
      {
        "id": 694136,
        "quantity": 1,
        "product": {
          "id": 511521,
          "name": "3",
          "product_no": "3",
          "standard_unit_price": "3.0",
          "sale_unit": "3",
          "introduction": "",
          "attachment": {
          },
          "gross_margin": 100.0,
          "unit_cost": "0.0",
          "created_at": "2019-02-18 15:54",
          "updated_at": "2019-02-18 15:54",
          "is_edit": true,
          "iced": false,
          "product_category": {
          },
          "price_policy": "unit",
          "product_attr_names": null,
          "is_user_self": false,
          "text_asset_d248da1a": "3",
          "text_asset_6a692a": "",
          "numeric_asset_cebf54": null,
          "need_hidden_dispose": false,
          "product_attrs": [
          ]
        },
        "standard_unit_price": "3.0",
        "total_price": "3.0",
        "sale_unit": "3",
        "discount": "100.0%",
        "recommended_unit_price": "3.0",
        "remark": "",
        "iced": false,
        "product_id": 511521,
        "name": "3",
        "product_no": "3",
        "is_user_self": false,
        "product_attr": null
      }
    ],
    "our_signer": "阿萨德发射点发阿斯的",
    "special_terms": " 阿斯蒂芬阿斯蒂芬阿萨德发是发送的",
    "created_at": "2014-11-07 10:19",
    "updated_at": "2019-02-15 17:36",
    "product_assets": "3",
    "before_owned_department": {
    },
    "creator": {
      "id": 254,
      "email": "liu.x@vcooline1.com",
      "created_at": "2018-04-23 15:01",
      "name": "周星驰",
      "organization_id": 49,
      "phone": "17621642511",
      "role_id": 169,
      "workflow_state": "organization_staff",
      "job": "导演",
      "tel": "",
      "avatar_url": "https://dn-ikcrm-files.qbox.me/attachments/files/1484/25e25f090ccf5e514407f11dd64f5f14.gif?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
      "department_name": "总经理办公室"
    },
    "user": {
      "id": 254,
      "email": "liu.x@vcooline1.com",
      "created_at": "2018-04-23 15:01",
      "name": "周星驰",
      "organization_id": 49,
      "phone": "17621642511",
      "role_id": 169,
      "workflow_state": "organization_staff",
      "job": "导演",
      "tel": "",
      "avatar_url": "https://dn-ikcrm-files.qbox.me/attachments/files/1484/25e25f090ccf5e514407f11dd64f5f14.gif?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
      "department_name": "总经理办公室"
    },
    "opportunity": {
      "id": 258,
      "title": "经理1的商机",
      "title_pinyin": "jingli1deshangji",
      "user_id": 254,
      "user_name": "周星驰",
      "expect_amount": "200000.0",
      "sign_possibility": "100%",
      "get_time": "2015-03-26",
      "stage": "3515",
      "stage_mapped": "赢单",
      "expect_sign_date": "2014-11-07",
      "customer_requirement": "阿斯蒂芬asdfasdf阿萨德f",
      "source": "3500",
      "source_mapped": "电话来访",
      "kind": "3518",
      "kind_mapped": "重要商机",
      "customer_id": 831,
      "customer_name": "经理1的客户",
      "is_own": true,
      "is_my_assist_entity": false,
      "created_at": "2014-11-07 10:17",
      "creator": {
        "id": 254,
        "email": "liu.x@vcooline1.com",
        "created_at": "2018-04-23 15:01",
        "name": "周星驰",
        "organization_id": 49,
        "phone": "17621642511",
        "role_id": 169,
        "workflow_state": "organization_staff",
        "job": "导演",
        "tel": "",
        "avatar_url": "https://dn-ikcrm-files.qbox.me/attachments/files/1484/25e25f090ccf5e514407f11dd64f5f14.gif?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
        "department_name": "总经理办公室"
      },
      "is_user_self": false
    },
    "customer": {
      "id": 831,
      "name": "经理1的客户",
      "name_pinyin": "jingli1dekehu",
      "user_id": 0,
      "user_name": "",
      "contacts": [
        {
          "id": 673,
          "name": "经理1的联系人",
          "address": {
            "id": 2676,
            "tel": "345235423",
            "tel_hidden_result": "345235423",
            "phone": "13562545214",
            "phone_hidden_result": "13562545214",
            "qq": "2354235423",
            "email": "asdfa@163.com",
            "lng": 0.0,
            "lat": 0.0,
            "detail_address": "阿斯多发生的风阿萨德f",
            "off_distance": -1,
            "url": "",
            "gaode_staticmap": "",
            "full_address": "中国北京北京市东城区 阿斯多发生的风阿萨德f"
          }
        }
      ],
      "company_name": "",
      "address": {
        "id": 2675,
        "tel": "",
        "tel_hidden_result": "",
        "phone": "",
        "phone_hidden_result": "",
        "qq": "",
        "email": "",
        "lng": 91.100065,
        "lat": 31.579004,
        "detail_address": "打算范德萨斯蒂芬阿萨德",
        "off_distance": -1,
        "url": "http://baidu.com",
        "gaode_staticmap": "http://restapi.amap.com/v3/staticmap?key=6336624d908c499cace3998613723a3a\u0026location=91.100065%2C31.579004\u0026markers=mid%2C%2CA%3A91.100065%2C31.579004\u0026scale=2\u0026size=524%2A180\u0026zoom=16",
        "full_address": "中国江西南昌市西湖区 打算范德萨斯蒂芬阿萨德"
      },
      "revisit_at": "2019-02-15T17:36:31.000+08:00",
      "is_own": true,
      "status": "3462",
      "status_mapped": "待联系",
      "category": "3468",
      "category_mapped": "VIP客户",
      "qixinbao_id": "",
      "created_at": "2014-11-07 10:11",
      "updated_at": "2019-02-19 15:08",
      "creator": {
        "id": 254,
        "email": "liu.x@vcooline1.com",
        "created_at": "2018-04-23 15:01",
        "name": "周星驰",
        "organization_id": 49,
        "phone": "17621642511",
        "role_id": 169,
        "workflow_state": "organization_staff",
        "job": "导演",
        "tel": "",
        "avatar_url": "https://dn-ikcrm-files.qbox.me/attachments/files/1484/25e25f090ccf5e514407f11dd64f5f14.gif?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
        "department_name": "总经理办公室"
      },
      "is_user_self": false,
      "approve_status": "approved",
      "approve_status_i18n": "已通过"
    },
    "can_approve": true,
    "step_can_approve": false,
    "step": 0,
    "notify_users": [
    ],
    "can_revert_applying": false,
    "need_approve_step": 1,
    "attachments_count": 1,
    "file_attachments_count": 0,
    "is_user_self": false,
    "custom_field_template": {
    },
    "text_asset_1ca6ef": [
    ],
    "text_asset_238a59": null,
    "text_asset_90d3e6": null,
    "numeric_asset_e0a85b": null,
    "text_asset_90d3e6_display": null,
    "text_asset_1ca6ef_display": "",
    "reminders_count": 0
  },
  "revisit_logs": {
    "count": 2,
    "lastest_revisit_log": {
      "id": 54571622,
      "content": "ing明敏",
      "loggable_type": "Contract",
      "loggable_id": 104,
      "loggable": {
        "id": 104,
        "title": "经理1的合同"
      },
      "real_revisit_at": "2019-02-15 17:35",
      "created_at": "2019-02-15 17:36",
      "attachment_files": [
      ],
      "category_display": "电话",
      "category_i18n": "电话",
      "category": "124823",
      "lat": 0.0,
      "lng": 0.0,
      "attachments": [
      ],
      "image_attachments": [
      ],
      "address": {
      },
      "timestamp": "2019-02-15 17:36",
      "refer_type_display": "XXXX",
      "refer_name": "经理1的合同",
      "title": "电话",
      "remind_at": "2019年02月18日 17:36",
      "is_remind_expired": true,
      "raw_remind_at": "2019-02-18 17:36",
      "event_url": "ikcrm://events?klass_name=RevisitLog\u0026id=",
      "event_identifier": "",
      "at_users": [
      ],
      "user": {
        "id": 364513,
        "email": "110112119@qq.com",
        "created_at": "2018-01-10 10:09",
        "name": "个比唠忘",
        "organization_id": 49,
        "phone": "18699999999",
        "role_id": 169,
        "workflow_state": "organization_staff",
        "job": "扯吧",
        "tel": "",
        "avatar_url": "https://e.ikcrm.com/assets/female_uc.jpg",
        "department_name": "总经理办公室"
      },
      "audios": [
      ],
      "sales_activity_id": 252942363,
      "comments_count": 0,
      "contacts": [
      ]
    }
  },
  "products": {
    "count": 1,
    "details": [
      {
        "id": 511521,
        "name": "3",
        "product_no": "3"
      }
    ]
  },
  "received_payments": {
    "count": 1,
    "plan_amount": "¥ 0.00",
    "amount": "¥ 0.00",
    "total_amount": "¥ 1,000.00",
    "total_unreceived_amount": "¥ 199,000.00"
  },
  "expenses": {
    "count": 0,
    "details": [
    ]
  },
  "sales_team": {
    "own_department": "总经理办公室",
    "user": "周星驰",
    "assist_users": "暂无协作人"
  },
  "other": {
    "attachment_count": 1,
    "operation_log_count": 0
  }
}
```

**错误时返回:**


```
{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述