#### 简要描述：

- 获取合同关联产品列表


#### 请求URL:

- https://${host}/api/v2/contracts/:contract_id/product_assets

#### 请求方式：

- GET

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |
|Authorization |是  |string | 接口鉴权token等    |


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|contract_id |是  |ID |URL参数，传递合同ID   |

#### 返回示例:

**正确时返回:**

```javascript
{
    "code": 0,
    "data": {
        "product_assets": [
            {
                "id": 6907493,
                "quantity": 1,
                "product": {
                    "id": 2817839,
                    "name": "磁力泵备件",
                    "product_no": "24Z0206002BJ00",
                    "standard_unit_price": "",
                    "sale_unit": 0.0,
                    "introduction": "",
                    "attachment": [],
                    "gross_margin": "0.0%",
                    "unit_cost": "0.0",
                    "created_at": "2024-09-23 11:05",
                    "updated_at": "2024-09-23 11:05",
                    "is_edit": true,
                    "iced": false,
                    "product_category": {},
                    "price_policy": "unit",
                    "product_attr_names": null,
                    "is_user_self": false,
                    "is_creator_self": false,
                    "third_product_id": "",
                    "channel": null,
                    "channel_mapped": "",
                    "shop": {},
                    "from_outside_dingdan": false,
                    "lock_status": false,
                    "text_asset_289b97": null,
                    "text_asset_f4383f": null,
                    "text_asset_e36ca1": null,
                    "text_asset_80632d": "配件:详见备件明细表. 备注:电机. ",
                    "text_asset_93950f": "24Z0206",
                    "text_asset_c7e0b5": null,
                    "text_asset_c747f9": null,
                    "text_asset_b48842": null,
                    "text_asset_f170b8": null,
                    "text_asset_35990b": null,
                    "datetime_asset_b6ab4a": "2024-09-20",
                    "datetime_asset_c522a2": "2024-09-23",
                    "need_hidden_dispose": false,
                    "product_attrs": []
                },
                "standard_unit_price": "",
                "total_price": "0.0",
                "sale_unit": 0.0,
                "discount": "--",
                "recommended_unit_price": 0.0,
                "remark": "",
                "iced": false,
                "product_id": 2817839,
                "name": "磁力泵备件",
                "product_no": "24Z0206002BJ00",
                "is_user_self": false,
                "is_creator_self": false,
                "product_attr": null
            },
            {
                "id": 6807333,
                "quantity": 1,
                "product": {
                    "id": 2817839,
                    "name": "磁力泵备件",
                    "product_no": "24Z0206002BJ00",
                    "standard_unit_price": "",
                    "sale_unit": 0.0,
                    "introduction": "",
                    "attachment": [],
                    "gross_margin": "0.0%",
                    "unit_cost": "0.0",
                    "created_at": "2024-09-23 11:05",
                    "updated_at": "2024-09-23 11:05",
                    "is_edit": true,
                    "iced": false,
                    "product_category": {},
                    "price_policy": "unit",
                    "product_attr_names": null,
                    "is_user_self": false,
                    "is_creator_self": false,
                    "third_product_id": "",
                    "channel": null,
                    "channel_mapped": "",
                    "shop": {},
                    "from_outside_dingdan": false,
                    "lock_status": false,
                    "text_asset_289b97": null,
                    "text_asset_f4383f": null,
                    "text_asset_e36ca1": null,
                    "text_asset_80632d": "配件:详见备件明细表. 备注:电机. ",
                    "text_asset_93950f": "24Z0206",
                    "text_asset_c7e0b5": null,
                    "text_asset_c747f9": null,
                    "text_asset_b48842": null,
                    "text_asset_f170b8": null,
                    "text_asset_35990b": null,
                    "datetime_asset_b6ab4a": "2024-09-20",
                    "datetime_asset_c522a2": "2024-09-23",
                    "need_hidden_dispose": false,
                    "product_attrs": []
                },
                "standard_unit_price": "",
                "total_price": "0.0",
                "sale_unit": 0.0,
                "discount": "--",
                "recommended_unit_price": 0.0,
                "remark": "",
                "iced": false,
                "product_id": 2817839,
                "name": "磁力泵备件",
                "product_no": "24Z0206002BJ00",
                "is_user_self": false,
                "is_creator_self": false,
                "product_attr": null
            }
        ],
        "total_count": 2,
        "per_page": 15,
        "page": 1
    }
}
```

**错误时返回:**


```javascript
{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}

```

#### 返回参数说明:

> product_assets

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|id |int   |合同关联产品明细id  |
|quantity|int|产品数量|
|total_price|Decimal|金额小计|
|standard_unit_price|Decimal|耽误售价|
|product|Object|产品信息|


#### 备注:

- 更多返回错误代码请看首页的错误代码描述