#### 简要描述：

- 更新线索

#### 请求URL:

- `/api/v2/leads/:id`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 线索的id，替换掉url的:id

#### 请求方式：

- PUT

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
check_duplicates | false | 查重
lead[user_id] | true | 负责人
lead[name] | true | 姓名
lead[company_name] | false | 公司名称
lead[status] | false | 跟进状态
lead[source] | false | 线索来源
lead[department] | false | 部门
lead[job] | false | 职务
lead[note] | false | 备注
lead[want_department_id] | false | 这是 lead[want_department_id] 负责人所属部门
lead[address_attributes][detail_address] | false | 这是详情地址
lead[address_attributes][tel] | false | 电话
lead[address_attributes][qq] | false | QQ
lead[address_attributes][wechat] | false | 微信
lead[address_attributes][phone] | false | 手机
lead[address_attributes][url] | false | 网址
lead[address_attributes][email] | false | 邮箱
lead[address_attributes][province_id] | false | 省
lead[address_attributes][city_id] | false | 城市
lead[address_attributes][district_id] | false | 地区
lead[address_attributes][zip] | false | 邮编
lead[address_attributes][job] | false | 职务


**请求参数json例子:**

```json

{
  "lead": {
    "name": "测试线索",
    "address_attributes": {
      "url": "www.baidu.com"
    }
  }
}
```

#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "id": 1039,
    "name": "赵宁",
    "company_name": "贸易公司5",
    "status": "85",
    "source": "",
    "source_mapped": "",
    "department": "销售部",
    "job": "销售经理",
    "note": "主营外贸销售，代理国外一线品牌",
    "created_at": "2015-06-24 14:29",
    "status_mapped": "未处理",
    "updated_at": "2015-08-31 11:34",
    "is_own": true,
    "status_display": "未处理",
    "attachment": {},
    "turned_to_customer": false,
    "text_asset_9a1fbb2d": "sssssssssss",
    "numeric_asset_9e45a882": 121312,
    "text_asset_a298fcae": "dsfads",
    "text_asset_a298fcae_display": "dsfads",
    "user": {
      "id": 2,
      "email": "wp@qq.com",
      "created_at": "2015-06-10T11:06:45.000+08:00",
      "name": "test",
      "organization_id": 1,
      "phone": "15921076830",
      "role_id": 0,
      "workflow_state": "organization_staff",
      "job": "",
      "tel": "",
      "avatar_url": "http://192.168.10.99:3000/assets/male.jpg",
      "department_name": "销售部"
    },
    "address": {
      "id": 1064,
      "country": {
        "id": 4,
        "name": "中国",
        "pinyin": null
      },
      "province": {},
      "city": {},
      "district": {},
      "tel": "010-64881993",
      "phone": "13881788888",
      "email": "zhaoning@web.com",
      "qq": "18888892",
      "fax": "",
      "wechat": "weixin",
      "wangwang": "288888893",
      "zip": "100004",
      "url": "",
      "detail_address": "北京市朝阳区朝阳门外大街18号丰联广场A座第9层",
      "lat": 0,
      "lng": 0,
      "distance": "0m",
      "region_info": "中国",
      "off_distance": 0
    },
    "owned_department": {
      "id": 2,
      "name": "销售部"
    }
  }
}
```

**错误时返回:**

```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
is_user_self |boolean   | 是否自己线索 |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述