#### 简要描述：

- 新增接口

#### 请求URL:

- ` /api/external_interface/rpa_robot/import`

#### 请求方式：

- POST

#### 请求头：

字段名 | 是否必填 | 描述
--------- | ------- | -----------
access-token | true | 授权token（crm提供）

#### 请求参数：
字段名 | 是否必填 | 描述
--------- | ------- | -----------
app_type | true | 应用类型（固定为：rpa_robot_inquiry）
data_from | true | 数据来源平台（1688:"1688", 淘宝："tb", 天猫："tm", 京东："jd"）
shop_id | true | 店铺id
operation_time | true | 询盘操作时间（yyyy-mm-dd）
entities: name | true | 姓名
entities: platform_customer_account | false | 客户昵称
entities: employee_account | true | 店铺员工
entities: first_consultation_time | false | 首次咨询时间（yyyy-mm-dd hh:mm:ss）
entities: last_communicator | false | 最后沟通人员
entities: inquiry_chats | false | 询盘聊天记录
entities: inquiry_chats: chat_time | false | 聊天记录时间
entities: inquiry_chats: chat_user | false | 聊天人员
entities: inquiry_chats: content | false | 聊天内容

#### 请求示例：
```json
{
    "app_type": "rpa_robot_inquiry",
	"data_from": "tb",
	"shop_id": 1,
	"operation_time": "2023-04-27",
    "entities": [
        {
            "name": "rpa1",
            "platform_customer_account": "ww001",
            "employee_account": "员工001",
            "first_consultation_time": "2023-04-20 16:22:20",
            "last_communicator": "员工002",
            "inquiry_chats": [
                {
                    "chat_time": "2023-04-27 09:34:30",
                    "chat_user": "tb001",
                    "content": "你好,xxx可以便宜点吗"
                },
                {
                    "chat_time": "2023-04-27 09:34:40",
                    "chat_user": "员工001",
                    "content": "已经是最低价了"
                }
            ]
        }
    ]
}
```

#### 返回示例:

**正确时返回:**

```json
{
    "code": 0,
    "message": "success"
}
```
**错误时返回:**

```json
// 没有授权报错
{
    "code": -1,
    "message": "非法的access token",
    "status": "Unauthorized"
}
```

```json
// 导入数据量太大报错，单次最多1000条
{
    "code": -1,
    "message": "每批次请求不超过1000条",
    "status": "not_acceptable"
}
```