## 线索转客户
 ###  线索转新客户字段
### HTTP Request

`GET  /api/v2/customers/new_from_lead`

### 请求参数说明

字段名 | 是否必填 | 字段类型 | 描述
------- | ------- | ------- | -------
lead_id  | true | Integer | 要转客户的线索id
custom_field_template_id | false | Integer | 客户所属模版

### 返回数据字段说明

字段名 | 参数类型 | 描述
------- | ------- | -------
code | Integer | 返回状态码，成功为0
data | Json | 返回数据，包含线索转换的详细信息，字段不一一列举，详见json样例

- 说明
  - 接口提供了将要转化的各个字段的值, 进行转化的接口调用 `客户创建` 接口

> 返回数据

```json
{
    "code": 0,
    "data": {
        "id": 0,
        "name": "sadsf29",
        "status": "",
        "status_mapped": "",
        "note": "",
        "category": "",
        "category_mapped": "",
        "labels": [],
        "source": "689476",
        "source_mapped": "其他",
        "industry": "",
        "industry_mapped": "",
        "parent": {},
        "staff_size": 0,
        "staff_size_display": "",
        "staff_size_mapped": "",
        "created_at": "",
        "updated_at": "",
        "is_own": true,
        "attachments": "暂无附件",
        "company_name": "",
        "is_has_policy_for_assist_user": false,
        "qixinbao_id": "",
        "is_my_assist_entity": false,
        "cio_pid": null,
        "is_subscribed": false,
        "creator": {
            "id": 1111781,
            "email": "",
            "created_at": "2023-03-07 02:10",
            "name": "谷姜花",
            "organization_id": 1002562,
            "phone": "18716530615",
            "role_id": 12591,
            "workflow_state": "organization_staff",
            "job": "",
            "tel": "",
            "avatar_url": "https://uc-files-dev.weiwenjia.com/FkNCb0HS6K9JaB_L8NcwqqrMhcG8?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
            "department_name": "行业版企业dev",
            "third_userid": null,
            "third_dept_id": null,
            "uid": 5664248
        },
        "before_user": {},
        "before_owned_department": {},
        "not_revisit_at_time_str": "0天未跟进",
        "history_contarct_money": 0.0,
        "total_have_receive_pay": 0.0,
        "total_not_receive_pay": 0.0,
        "is_editable": true,
        "flow_into_at": "",
        "contacts": [
            {
                "ref": null,
                "id": 0,
                "name": "sadsf29",
                "department": "",
                "job": "",
                "category": "",
                "category_mapped": "",
                "gender": "",
                "note": "",
                "birth_date": "",
                "gender_i18n": "",
                "created_at": "",
                "updated_at": "",
                "attachment": {},
                "customer": {
                    "id": 0,
                    "name": "sadsf29",
                    "name_pinyin": null,
                    "user_id": 1111772,
                    "user_name": "曹勇",
                    "contacts": [],
                    "company_name": "",
                    "address": {
                        "id": null,
                        "country": {},
                        "province": {},
                        "city": {},
                        "district": {},
                        "tel": "",
                        "tel_hidden_result": "",
                        "phone": "",
                        "phone_hidden_result": "",
                        "email": "",
                        "qq": "",
                        "fax": "",
                        "wechat": "",
                        "wangwang": "",
                        "zip": "",
                        "url": "",
                        "detail_address": "",
                        "lat": 0.0,
                        "lng": 0.0,
                        "distance": "未知",
                        "region_info": null,
                        "off_distance": -1,
                        "gaode_staticmap": "",
                        "full_address": ""
                    },
                    "revisit_at": "",
                    "is_own": true,
                    "status": "",
                    "status_mapped": "",
                    "category": "",
                    "category_mapped": "",
                    "qixinbao_id": "",
                    "created_at": "",
                    "updated_at": "",
                    "creator": {
                        "id": 1111781,
                        "email": "",
                        "created_at": "2023-03-07 02:10",
                        "name": "谷姜花",
                        "organization_id": 1002562,
                        "phone": "18716530615",
                        "role_id": 12591,
                        "workflow_state": "organization_staff",
                        "job": "",
                        "tel": "",
                        "avatar_url": "https://uc-files-dev.weiwenjia.com/FkNCb0HS6K9JaB_L8NcwqqrMhcG8?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
                        "department_name": "行业版企业dev",
                        "third_userid": null,
                        "third_dept_id": null,
                        "uid": 5664248
                    },
                    "is_user_self": false,
                    "approve_status": "approved",
                    "approve_status_i18n": "已通过",
                    "third_userid": null
                },
                "user": {
                    "id": 1111772,
                    "email": "1319510978@gmail.com",
                    "created_at": "2023-02-24 00:25",
                    "name": "曹勇",
                    "organization_id": 1002562,
                    "phone": "13817460861",
                    "role_id": 12591,
                    "workflow_state": "organization_staff",
                    "job": "",
                    "tel": "",
                    "avatar_url": "https://lxcrm-dev.weiwenjia.com/assets/male_uc.jpg",
                    "department_name": "行业版企业dev",
                    "third_userid": null,
                    "third_dept_id": null,
                    "uid": 5661050
                },
                "address": {
                    "id": null,
                    "country": {},
                    "province": {},
                    "city": {},
                    "district": {},
                    "tel": "",
                    "tel_hidden_result": "",
                    "phone": "",
                    "phone_hidden_result": "",
                    "email": "",
                    "qq": "",
                    "fax": "",
                    "wechat": "",
                    "wangwang": "",
                    "zip": "",
                    "url": "",
                    "detail_address": "",
                    "lat": 0.0,
                    "lng": 0.0,
                    "distance": "未知",
                    "region_info": null,
                    "off_distance": -1,
                    "gaode_staticmap": "",
                    "full_address": ""
                },
                "is_own": true,
                "creator": {
                    "id": 1111781,
                    "email": "",
                    "created_at": "2023-03-07 02:10",
                    "name": "谷姜花",
                    "organization_id": 1002562,
                    "phone": "18716530615",
                    "role_id": 12591,
                    "workflow_state": "organization_staff",
                    "job": "",
                    "tel": "",
                    "avatar_url": "https://uc-files-dev.weiwenjia.com/FkNCb0HS6K9JaB_L8NcwqqrMhcG8?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
                    "department_name": "行业版企业dev",
                    "third_userid": null,
                    "third_dept_id": null,
                    "uid": 5664248
                },
                "name_pinyin": null,
                "need_hidden_dispose": false,
                "is_user_self": false,
                "ding_ext_contact_id": null,
                "card_attachment": {},
                "wx_external_userid": null,
                "wx_contact_type": null,
                "phones_data": [],
                "contact_associate_with_traffic": false,
                "traffic_id": null,
                "jqr_iframe_url": "",
                "label_type": "",
                "external_entity_type": "",
                "is_editable": true,
                "file_asset_a88cd5": [],
                "file_asset_361d08": [],
                "text_asset_c1ee4b": null,
                "text_asset_c1ee4b_display": null
            }
        ],
        "opportunities": [
            {
                "ref": null,
                "id": 0,
                "customer": {
                    "id": 0,
                    "name": "sadsf29",
                    "status": "",
                    "status_mapped": "",
                    "note": "",
                    "category": "",
                    "category_mapped": "",
                    "labels": [],
                    "source": "689476",
                    "source_mapped": "其他",
                    "industry": "",
                    "industry_mapped": "",
                    "parent": {},
                    "staff_size": 0,
                    "staff_size_display": "",
                    "staff_size_mapped": "",
                    "created_at": "",
                    "updated_at": "",
                    "is_own": true,
                    "attachments": "暂无附件",
                    "company_name": "",
                    "is_has_policy_for_assist_user": false,
                    "qixinbao_id": "",
                    "is_my_assist_entity": false,
                    "cio_pid": null,
                    "is_subscribed": false,
                    "creator": {
                        "id": 1111781,
                        "email": "",
                        "created_at": "2023-03-07 02:10",
                        "name": "谷姜花",
                        "organization_id": 1002562,
                        "phone": "18716530615",
                        "role_id": 12591,
                        "workflow_state": "organization_staff",
                        "job": "",
                        "tel": "",
                        "avatar_url": "https://uc-files-dev.weiwenjia.com/FkNCb0HS6K9JaB_L8NcwqqrMhcG8?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
                        "department_name": "行业版企业dev",
                        "third_userid": null,
                        "third_dept_id": null,
                        "uid": 5664248
                    },
                    "before_user": {},
                    "before_owned_department": {},
                    "not_revisit_at_time_str": "0天未跟进",
                    "history_contarct_money": 0.0,
                    "total_have_receive_pay": 0.0,
                    "total_not_receive_pay": 0.0,
                    "is_editable": true,
                    "flow_into_at": "",
                    "contacts": [],
                    "expect_flow_at": "",
                    "will_flow_time": "",
                    "need_hidden_dispose": false,
                    "revisit_remind_at": "",
                    "customer_common_setting_id": null,
                    "before_customer_common_setting": {},
                    "is_user_self": false,
                    "step_can_approve": false,
                    "step": 0,
                    "notify_users": [],
                    "can_revert_applying": false,
                    "need_approve_step": 1,
                    "approve_status": "approved",
                    "approve_status_i18n": "已通过",
                    "submit_applying_at": "",
                    "finish_approve_at": "",
                    "can_approve": null,
                    "wx_external_userid": null,
                    "wx_contact_type": null,
                    "custom_field_template": {},
                    "custom_field_template_id": null,
                    "custom_field_template_i18n": "",
                    "biz_pid": "",
                    "jqr_iframe_url": "",
                    "phones_data": [],
                    "source_type": "crm",
                    "channel": null,
                    "channel_mapped": null,
                    "real_revisit_at": "",
                    "real_revisit_at_in_word": 0,
                    "skb_url": "",
                    "traffic_conversation_iframe_url": null,
                    "contacts_associate_with_traffic": false,
                    "last_called_at": "",
                    "revisit_action_at": "",
                    "datetime_asset_6f2beb": "",
                    "datetime_asset_4c15d3": "",
                    "text_asset_9e90e2": null,
                    "text_asset_a711c8": [],
                    "text_asset_0a2513": null,
                    "text_asset_85f64f": null,
                    "file_asset_9472a7": [],
                    "file_asset_21e83a": [],
                    "text_asset_6e8a30": null,
                    "numeric_asset_1d8c5f": null,
                    "numeric_asset_c31c65": null,
                    "text_asset_9e90e2_display": null,
                    "text_asset_a711c8_display": "",
                    "address": {
                        "id": null,
                        "country": {},
                        "province": {},
                        "city": {},
                        "district": {},
                        "tel": "",
                        "tel_hidden_result": "",
                        "phone": "",
                        "phone_hidden_result": "",
                        "email": "",
                        "qq": "",
                        "fax": "",
                        "wechat": "",
                        "wangwang": "",
                        "zip": "",
                        "url": "",
                        "detail_address": "",
                        "lat": 0.0,
                        "lng": 0.0,
                        "distance": "未知",
                        "region_info": null,
                        "off_distance": -1,
                        "gaode_staticmap": "",
                        "full_address": ""
                    },
                    "user": {
                        "id": 1111772,
                        "email": "1319510978@gmail.com",
                        "created_at": "2023-02-24 00:25",
                        "name": "曹勇",
                        "organization_id": 1002562,
                        "phone": "13817460861",
                        "role_id": 12591,
                        "workflow_state": "organization_staff",
                        "job": "",
                        "tel": "",
                        "avatar_url": "https://lxcrm-dev.weiwenjia.com/assets/male_uc.jpg",
                        "department_name": "行业版企业dev",
                        "third_userid": null,
                        "third_dept_id": null,
                        "uid": 5661050
                    },
                    "owned_department": {
                        "id": 3000598,
                        "name": "行业版企业dev",
                        "third_dept_id": null
                    }
                },
                "title": "",
                "expect_amount": "",
                "sign_possibility": "",
                "sign_possibility_display": "",
                "get_time": "",
                "stage": "",
                "stage_mapped": "",
                "expect_sign_date": "",
                "note": "",
                "customer_requirement": "",
                "source": "689515",
                "source_mapped": "其他",
                "kind": "",
                "kind_mapped": "",
                "created_at": "",
                "updated_at": "",
                "is_own": true,
                "all_attachments": [],
                "attachments": "暂无附件",
                "total_recommended_price": 0,
                "total_discount": "--",
                "approve_deny_type": 0,
                "approve_status_i18n": "已通过",
                "approve_status": "approved",
                "is_has_policy_for_assist_user": false,
                "is_my_assist_entity": false,
                "product_assets": "暂无产品1",
                "can_turn_to_contract": true,
                "creator": {
                    "id": 1111781,
                    "email": "",
                    "created_at": "2023-03-07 02:10",
                    "name": "谷姜花",
                    "organization_id": 1002562,
                    "phone": "18716530615",
                    "role_id": 12591,
                    "workflow_state": "organization_staff",
                    "job": "",
                    "tel": "",
                    "avatar_url": "https://uc-files-dev.weiwenjia.com/FkNCb0HS6K9JaB_L8NcwqqrMhcG8?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
                    "department_name": "行业版企业dev",
                    "third_userid": null,
                    "third_dept_id": null,
                    "uid": 5664248
                },
                "is_editable": true,
                "notify_users": [],
                "need_hidden_dispose": false,
                "contact_assetships": "",
                "contact_assetships_attributes": [],
                "revisit_remind_at": "",
                "is_user_self": false,
                "step_can_approve": false,
                "need_approve_step": 1,
                "can_revert_applying": false,
                "can_approve": null,
                "product_assets_for_new_record": [],
                "numeric_asset_2e10c8": null,
                "file_asset_e4141a": [],
                "file_asset_133d39": [],
                "text_asset_5eba15": [],
                "text_asset_5eba15_display": "",
                "user": {
                    "id": 1111772,
                    "email": "1319510978@gmail.com",
                    "created_at": "2023-02-24 00:25",
                    "name": "曹勇",
                    "organization_id": 1002562,
                    "phone": "13817460861",
                    "role_id": 12591,
                    "workflow_state": "organization_staff",
                    "job": "",
                    "tel": "",
                    "avatar_url": "https://lxcrm-dev.weiwenjia.com/assets/male_uc.jpg",
                    "department_name": "行业版企业dev",
                    "third_userid": null,
                    "third_dept_id": null,
                    "uid": 5661050
                },
                "owned_department": {
                    "id": 3000598,
                    "name": "行业版企业dev",
                    "third_dept_id": null
                },
                "before_user": null,
                "before_owned_department": null
            }
        ],
        "expect_flow_at": "",
        "will_flow_time": "",
        "need_hidden_dispose": false,
        "revisit_remind_at": "",
        "customer_common_setting_id": null,
        "before_customer_common_setting": {},
        "is_user_self": false,
        "step_can_approve": false,
        "step": 0,
        "notify_users": [],
        "can_revert_applying": false,
        "need_approve_step": 1,
        "approve_status": "approved",
        "approve_status_i18n": "已通过",
        "submit_applying_at": "",
        "finish_approve_at": "",
        "can_approve": null,
        "wx_external_userid": null,
        "wx_contact_type": null,
        "custom_field_template": {},
        "custom_field_template_id": null,
        "custom_field_template_i18n": "",
        "biz_pid": "",
        "jqr_iframe_url": "",
        "phones_data": [],
        "source_type": "crm",
        "channel": null,
        "channel_mapped": null,
        "real_revisit_at": "",
        "real_revisit_at_in_word": 0,
        "skb_url": "",
        "traffic_conversation_iframe_url": null,
        "contacts_associate_with_traffic": false,
        "last_called_at": "",
        "datetime_asset_6f2beb": "",
        "datetime_asset_4c15d3": "",
        "text_asset_9e90e2": null,
        "text_asset_a711c8": [],
        "text_asset_0a2513": null,
        "text_asset_85f64f": null,
        "file_asset_9472a7": [],
        "file_asset_21e83a": [],
        "text_asset_6e8a30": null,
        "numeric_asset_1d8c5f": null,
        "numeric_asset_c31c65": null,
        "text_asset_9e90e2_display": null,
        "text_asset_a711c8_display": "",
        "address": {
            "id": null,
            "country": {},
            "province": {},
            "city": {},
            "district": {},
            "tel": "",
            "tel_hidden_result": "",
            "phone": "",
            "phone_hidden_result": "",
            "email": "",
            "qq": "",
            "fax": "",
            "wechat": "",
            "wangwang": "",
            "zip": "",
            "url": "",
            "detail_address": "",
            "lat": 0.0,
            "lng": 0.0,
            "distance": "未知",
            "region_info": null,
            "off_distance": -1,
            "gaode_staticmap": "",
            "full_address": ""
        },
        "user": {
            "id": 1111772,
            "email": "1319510978@gmail.com",
            "created_at": "2023-02-24 00:25",
            "name": "曹勇",
            "organization_id": 1002562,
            "phone": "13817460861",
            "role_id": 12591,
            "workflow_state": "organization_staff",
            "job": "",
            "tel": "",
            "avatar_url": "https://lxcrm-dev.weiwenjia.com/assets/male_uc.jpg",
            "department_name": "行业版企业dev",
            "third_userid": null,
            "third_dept_id": null,
            "uid": 5661050
        },
        "owned_department": {
            "id": 3000598,
            "name": "行业版企业dev",
            "third_dept_id": null
        }
    }
}
```

## 线索转已存在客户
### HTTP Request
`POST  /api/v2/customers/:id/turn_to_exists(.:format)`

### 参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
refer_lead_id|false|线索转客户时，线索的ID。
contact_id|false|客户下联系人ID

### 客户对象说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------

customer[contacts_attributes] | false | 新增联系人
customer[opportunities_attributes] | false | 新增商机

> 请求body

```json
{
    "customer": {
        "contacts_attributes": [
            {
                "name": "asdfaf"
            }
        ]
    },
    "refer_lead_id": 165
}
```

> 返回数据:

```json
{
    "code": 0,
    "data": {
        "id": 358,
        "name": "这一条来自线索的客户",
        "status": "123657",
        "status_mapped": "初访",
        "note": "",
        "category": "",
        "category_mapped": "",
        "labels": [],
        "source": "",
        "source_mapped": "",
        "industry": "",
        "industry_mapped": "",
        "parent": {},
        "staff_size": 0,
        "staff_size_display": "",
        "staff_size_mapped": "",
        "created_at": "2022-09-15 15:23",
        "updated_at": "2022-10-13 17:57",
        "is_own": true,
        "attachments": "暂无附件",
        "company_name": "这一条测试线索",
        "is_has_policy_for_assist_user": true,
        "qixinbao_id": "",
        "is_my_assist_entity": false,
        "cio_pid": null,
        "is_subscribed": false,
        "creator": {
            "id": 1,
            "email": "1@qq.com",
            "created_at": "2018-02-12 11:07",
            "name": "姜河",
            "organization_id": 10009,
            "phone": "15851816780",
            "role_id": 3200,
            "workflow_state": "organization_staff",
            "job": "",
            "tel": "",
            "avatar_url": "http://localhost:3000/assets/male_uc.jpg",
            "department_name": "",
            "third_userid": "wx1",
            "third_dept_id": null
        },
        "before_user": {},
        "before_owned_department": {},
        "not_revisit_at_time_str": "63天未跟进",
        "history_contarct_money": 0.0,
        "total_have_receive_pay": 0.0,
        "total_not_receive_pay": 0.0,
        "is_editable": true,
        "flow_into_at": "",
        "contacts": [
            {
                "id": 243,
                "name": "湖底2833322",
                "wx_external_userid": null,
                "wx_contact_type": null,
                "address": {
                    "id": 243,
                    "tel": "13323234",
                    "tel_hidden_result": "13323234",
                    "phone": "",
                    "phone_hidden_result": "",
                    "email": ""
                }
            },
            {
                "id": 244,
                "name": "asdfaf",
                "wx_external_userid": null,
                "wx_contact_type": null,
                "address": {
                    "id": 244,
                    "tel": null,
                    "tel_hidden_result": "",
                    "phone": null,
                    "phone_hidden_result": "",
                    "email": null
                }
            }
        ],
        "expect_flow_at": "",
        "will_flow_time": "",
        "need_hidden_dispose": false,
        "revisit_remind_at": "",
        "customer_common_setting_id": null,
        "before_customer_common_setting": {},
        "is_user_self": true,
        "step_can_approve": false,
        "step": 0,
        "notify_users": [],
        "can_revert_applying": false,
        "need_approve_step": 1,
        "approve_status": "approved",
        "approve_status_i18n": "已通过",
        "submit_applying_at": "",
        "finish_approve_at": "",
        "can_approve": true,
        "wx_external_userid": null,
        "wx_contact_type": null,
        "custom_field_template": {
            "id": 23,
            "name": "直销",
            "position": null,
            "status": 0,
            "is_usable": true
        },
        "custom_field_template_id": 23,
        "custom_field_template_i18n": "直销",
        "biz_pid": "",
        "jqr_iframe_url": "",
        "phones_data": [
            {
                "label": "电话",
                "call_field_name": "address.tel",
                "custom_field_name": "address.tel",
                "phone": "13323234",
                "phone_hidden_result": "13323234",
                "is_invisible": false,
                "is_enable": true,
                "entity_class": "Customer",
                "entity_id": 358,
                "recordable_type": "Customer",
                "recordable_id": 358,
                "entity_name": "这一条来自线索的客户",
                "company_name": "这一条测试线索",
                "job": null,
                "status": "初访",
                "user": "姜河",
                "revisit_remind_at": null,
                "name": "这一条来自线索的客户",
                "is_user_self": true
            },
            {
                "label": "湖底2833322 电话",
                "call_field_name": "contact.243.address.tel",
                "custom_field_name": "address.tel",
                "phone": "13323234",
                "phone_hidden_result": "13323234",
                "is_invisible": false,
                "is_enable": true,
                "entity_class": "Customer",
                "entity_id": 358,
                "recordable_type": "Contact",
                "recordable_id": 243,
                "entity_name": "这一条来自线索的客户",
                "company_name": "这一条测试线索",
                "job": "",
                "status": "初访",
                "user": "姜河",
                "revisit_remind_at": null,
                "name": "湖底2833322",
                "is_user_self": true
            }
        ],
        "source_type": "crm",
        "channel": "",
        "channel_mapped": null,
        "real_revisit_at": "2022-09-15 15:23",
        "real_revisit_at_in_word": 63,
        "skb_url": "",
        "traffic_conversation_iframe_url": null,
        "contacts_associate_with_traffic": false,
        "last_called_at": "",
        "revisit_action_at": "",
        "file_asset_905fcf": [
            {
                "id": 288,
                "file_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/288/1%E5%AE%A2%E6%88%B7%E5%93%88%E5%93%88_20220418-1.xlsx",
                "origin_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/288/1%E5%AE%A2%E6%88%B7%E5%93%88%E5%93%88_20220418-1.xlsx",
                "public_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/288/1%E5%AE%A2%E6%88%B7%E5%93%88%E5%93%88_20220418-1.xlsx",
                "name": "1客户哈哈_20220418-1.xlsx",
                "file_file_name": "1客户哈哈_20220418-1.xlsx",
                "file_content_type": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
                "file_file_size": 4175,
                "attachmentable_id": 543,
                "attachmentable_type": "CustomerAsset",
                "upload_time": "2022-09-15 15:23",
                "note": "",
                "sub_type": "file",
                "wx_media_id": null,
                "preview_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/288/1%E5%AE%A2%E6%88%B7%E5%93%88%E5%93%88_20220418-1.xlsx?imageMogr/thumbnail/!250x250r/gravity/center/crop/!250x250/auto-orient",
                "download_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/288/1%E5%AE%A2%E6%88%B7%E5%93%88%E5%93%88_20220418-1.xlsx?attname=1%E5%AE%A2%E6%88%B7%E5%93%88%E5%93%88_20220418-1.xlsx",
                "file_type": "excel"
            },
            {
                "id": 289,
                "file_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/289/6cfef630-cbe1-4e46-9d19-ed8a2c7650b2_20210908-1.xlsx",
                "origin_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/289/6cfef630-cbe1-4e46-9d19-ed8a2c7650b2_20210908-1.xlsx",
                "public_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/289/6cfef630-cbe1-4e46-9d19-ed8a2c7650b2_20210908-1.xlsx",
                "name": "6cfef630-cbe1-4e46-9d19-ed8a2c7650b2_20210908-1.xlsx",
                "file_file_name": "6cfef630-cbe1-4e46-9d19-ed8a2c7650b2_20210908-1.xlsx",
                "file_content_type": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
                "file_file_size": 4195,
                "attachmentable_id": 543,
                "attachmentable_type": "CustomerAsset",
                "upload_time": "2022-09-15 15:23",
                "note": "",
                "sub_type": "file",
                "wx_media_id": null,
                "preview_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/289/6cfef630-cbe1-4e46-9d19-ed8a2c7650b2_20210908-1.xlsx?imageMogr/thumbnail/!250x250r/gravity/center/crop/!250x250/auto-orient",
                "download_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/289/6cfef630-cbe1-4e46-9d19-ed8a2c7650b2_20210908-1.xlsx?attname=6cfef630-cbe1-4e46-9d19-ed8a2c7650b2_20210908-1.xlsx",
                "file_type": "excel"
            }
        ],
        "file_asset_cfeb0a": [],
        "address": {
            "id": 358,
            "country": {
                "id": 4,
                "name": "中国",
                "pinyin": "a1"
            },
            "province": {},
            "city": {},
            "district": {},
            "tel": "13323234",
            "tel_hidden_result": "13323234",
            "phone": "",
            "phone_hidden_result": "",
            "email": "",
            "qq": "",
            "fax": "",
            "wechat": "",
            "wangwang": "",
            "zip": "",
            "url": "",
            "detail_address": "",
            "lat": 0.0,
            "lng": 0.0,
            "distance": "未知",
            "region_info": "",
            "off_distance": -1,
            "gaode_staticmap": "",
            "full_address": " "
        },
        "user": {
            "id": 1,
            "email": "1@qq.com",
            "created_at": "2018-02-12 11:07",
            "name": "姜河",
            "organization_id": 10009,
            "phone": "15851816780",
            "role_id": 3200,
            "workflow_state": "organization_staff",
            "job": "",
            "tel": "",
            "avatar_url": "http://localhost:3000/assets/male_uc.jpg",
            "department_name": "",
            "third_userid": "wx1",
            "third_dept_id": null
        },
        "owned_department": null
    }
}
```