#### 简要描述：

- 线索筛选条件接口

#### 请求URL:

- ` /api/v2/leads/filter_sort_group`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "filters": [
      {
        "label": "跟进状态",
        "field_name": "status",
        "filter_field_type": "link",
        "invisible_field_name": "status_mapped"
      },
      {
        "label": "所属部门",
        "field_name": "department_id",
        "filter_field_type": "department",
        "invisible_field_name": null
      },
      {
        "label": "负责人",
        "field_name": "user_id",
        "filter_field_type": "user",
        "invisible_field_name": null
      },
      {
        "label": "创建时间",
        "field_name": "created_at",
        "filter_field_type": "time",
        "invisible_field_name": "created_at"
      }
    ],
    "sorts": [
      {
        "name": "sort",
        "label": "更新时间倒序",
        "value": "updated_at",
        "order": "desc"
      },
      {
        "name": "sort",
        "label": "姓名顺序",
        "value": "name_pinyin",
        "order": "asc"
      },
      {
        "name": "sort",
        "label": "跟进时间倒序",
        "value": "real_revisit_at",
        "order": "desc"
      },
      {
        "name": "sort",
        "label": "下次跟进时间倒序",
        "value": "revisit_remind_at",
        "order": "desc"
      },
      {
        "name": "sort",
        "label": "公司名称顺序",
        "value": "company_name_pinyin",
        "order": "asc"
      }
    ]
  }
}

```

**错误时返回:**


```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|field_name |string   |二级筛选条件值  |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述