#### 简要描述：

- 线索列表查询
备注:列表接口默认查询每页15条,单次查询最大100条,更多通用参数请参考[介绍](http://apidoc.weiwenjia.com/docs/crm_open_api/index.md "介绍")


#### 请求URL:

- `/api/v2/leads`

#### 请求方式：
- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 参数类型 | 描述
--------- | ------- | ------- | -----------
page | false | Long | 页码
per_page | false | Int  | 每页的数量
query | false | String | 搜索关键字
department_id | false | Long | 部门id
sort | false | String  | 排序类型(created_at ), api/v2/leads/filter_sort_group 返回值中sorts的value
order | false | String  | 排序方式（asc desc）
tab_type | false | String | 值为[my,sub, have_turned(已经转为线索了)]或不传
user_id | false | Long | 员工筛选
source | false | Long | 线索来源, 调用接 /api/v2/leads/source/filter_options
status | false | Long | 跟进状态, 调用接 /api/v2/leads/status/filter_options

<font color='#FF00000'>
备注:

1.日期相关自定义查询， 如创建时间： `created_at[]=2019-01-01&created_at[]=2019-02-01` ， 更新时间： `updated_at[]=2019-01-01&updated_at[]=2019-02-01` ，不支持到时分秒的查询条件
</font>

#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "leads": [
      {
        "id": 302352,
        "name": "什么姓名",
        "company_name": "哈尔滨屈臣氏个人用品商店有限公司",
        "status": "20159",
        "status_mapped": "已处理",
        "turned_to_customer": false,
        "address": {
          "id": 371580,
          "addressable_id": 302352,
          "addressable_type": "Lead",
          "country_id": 4,
          "province_id": 5,
          "city_id": 30,
          "district_id": 370,
          "tel": "13912345679",
          "phone": "13912345610",
          "email": "123@163.com",
          "qq": "13912345612",
          "fax": null,
          "wechat": "13912345611",
          "wangwang": "wangwang",
          "zip": "1001001",
          "url": "http://www.baidu.com",
          "detail_address": "上海市浦东新区张江镇盛夏路560号2号楼北大上海微电子",
          "created_at": "2019-02-14T16:18:36.000+08:00",
          "updated_at": "2019-02-20T16:44:23.000+08:00",
          "lat": "31.20835",
          "lng": "121.626371",
          "off_distance": null,
          "region_info": "中国 内蒙古 鄂尔多斯市 达拉特旗",
          "snippet": null,
          "organization_id": 57,
          "mode": "compat",
          "time_format": "ruby",
          "use_to_json": true,
          "tel_hidden_result": "13912345679",
          "phone_hidden_result": "13912345610"
        },
        "need_hidden_dispose": false,
        "is_user_self": false,
        "updated_at": "2019-02-20 16:44",
        "created_at": "2019-02-14 16:18"
      }
    ],
    "total_count": 72,
    "per_page": 15,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
is_user_self |Boolean   |是否自己数据  |
need_hidden_dispose | Boolean | 是否需要掩藏客户资料号码(用于呼叫中心)

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述