#### 简要描述：

- 创建商机接口

#### 请求URL:

- `/api/v2/opportunities`

#### 请求方式：

- POST

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
opportunity[user_id] | false | 负责人id
opportunity[title] | true | 商机标题
opportunity[customer_id] | true | 对应客户id
opportunity[expect_amount] | false | 预计销售金额
opportunity[stage] | false | 销售阶段 调用 GET /api/v2/field_maps/opportunity 获取对应的值
opportunity[expect_sign_date] | false | 预计签单日期
opportunity[get_time] | false | 商机获取日期
opportunity[customer_requirement] | false | 客户需求
opportunity[note] | false | 备注
opportunity[source] | false | 来源 调用 GET /api/v2/field_maps/opportunity 获取对应的值
opportunity[kind] | false | 商机类型 GET /api/v2/field_maps/opportunity 获取对应的值
opportunity[want_department_id] | false | 所属部门
opportunity[product_assets_attributes][][product_id] | false | 关联产品id
opportunity[product_assets_attributes][][recommended_unit_price] | false | 推荐价格
opportunity[product_assets_attributes][][quantity] | false | 产品数量
opportunity[product_assets_attributes][][remark] | false | 产品描述
~~opportunity[approve_status]~~ | false | ~~审批状态(applying|approved)~~
opportunity[contact_assetships_attributes][][contact_id] | false | 关联联系人


<font color='#FF00000'>
备注:

1. `opportunity[approve_status] `审批需要跟进后台配置传值,开启审批传值applying,未开启审批传approved
</font>

**请求参数json例子:**

```json

{
  "opportunity": {
    "name": "cccc",
    "title": "ccc",
    "customer_id": 1,
    "customer_requirement": "aaaaa",
    "approve_status": "approved"
  }
}
```

#### 返回示例:

**正确时返回:**

```json

{
    "code": 0,
    "data": {
        "id": 13293,
        "customer": {
            "id": 82381,
            "name": "速度",
            "status": "3065",
            "status_mapped": "初访",
            "note": "121251sadg",
            "category": "",
            "category_mapped": "",
            "source": "",
            "source_mapped": "",
            "industry": "",
            "industry_mapped": "",
            "parent": {},
            "staff_size": 0,
            "staff_size_display": "",
            "staff_size_mapped": "",
            "created_at": "2016-12-19 16:35",
            "updated_at": "2017-04-05 14:12",
            "is_own": true,
            "attachments": "暂无附件",
            "company_name": "",
            "is_has_policy_for_assist_user": false,
            "is_my_assist_entity": false,
            "qixinbao_id": "",
            "creator": {
                "id": 1,
                "email": "test@qq.com",
                "created_at": "2017-04-13T00:00:00.000+08:00",
                "name": "test@qq.com",
                "organization_id": 30,
                "phone": "157214621171",
                "role_id": 86,
                "workflow_state": "organization_owner",
                "job": "6666",
                "tel": "021-45555555",
                "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/14088/1.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
                "department_name": "研发2部"
            },
            "before_user": {
                "id": 1,
                "email": "test@qq.com",
                "created_at": "2017-04-13T00:00:00.000+08:00",
                "name": "test@qq.com",
                "organization_id": 30,
                "phone": "157214621171",
                "role_id": 86,
                "workflow_state": "organization_owner",
                "job": "6666",
                "tel": "021-45555555",
                "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/14088/1.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
                "department_name": "研发2部"
            },
            "before_owned_department": {
                "id": 44,
                "name": "研发2部"
            },
            "not_revisit_at_time_str": "140天未跟进",
            "history_contarct_money": 11,
            "total_have_receive_pay": 0,
            "total_not_receive_pay": 11,
            "is_editable": true,
            "flow_into_at": "",
            "contacts": [],
            "expect_flow_at": "2017-08-24 16:00",
            "need_hidden_dispose": false,
            "revisit_remind_at": "2017-04-05 16:00",
            "customer_common_setting_id": null,
            "before_customer_common_setting": {},
            "is_user_self": false,
            "step_can_approve": false,
            "step": 0,
            "notify_users": [],
            "can_revert_applying": false,
            "need_approve_step": 1,
            "approve_status": "approved",
            "approve_status_i18n": "已通过",
            "can_approve": true,
            "text_asset_120487e4": "",
            "text_asset_d8d81e8f": "",
            "text_asset_d5dc57d3": "",
            "text_asset_dfde0b37": null,
            "text_asset_dfde0b37_hidden_result": "",
            "text_asset_d5dc57d3_display": null,
            "address": null,
            "user": {
                "id": 19,
                "email": "abc@qq.com",
                "created_at": "2014-07-26T11:27:17.000+08:00",
                "name": "abc",
                "organization_id": 30,
                "phone": "18616023917",
                "role_id": 0,
                "workflow_state": "organization_staff",
                "job": "",
                "tel": "",
                "avatar_url": "http://e.ikcrm.dev/assets/male.jpg",
                "department_name": "测试1部"
            },
            "owned_department": {
                "id": 40,
                "name": "测试1部"
            }
        },
        "title": "454",
        "expect_amount": 12,
        "sign_possibility": "8%",
        "sign_possibility_display": "8%",
        "get_time": "2016-12-19",
        "stage": "2044",
        "stage_mapped": "谈判/接洽",
        "expect_sign_date": "2016-12-19",
        "note": "",
        "customer_requirement": "",
        "source": "",
        "source_mapped": "",
        "kind": "",
        "kind_mapped": "",
        "created_at": "2016-12-19 16:35",
        "updated_at": "2017-02-21 19:58",
        "is_own": true,
        "attachments": "暂无附件",
        "total_recommended_price": 0,
        "total_discount": "--",
        "is_has_policy_for_assist_user": true,
        "is_my_assist_entity": false,
        "product_assets": "暂无product",
        "can_turn_to_contract": true,
        "creator": {
            "id": 1,
            "email": "test@qq.com",
            "created_at": "2017-04-13T00:00:00.000+08:00",
            "name": "test@qq.com",
            "organization_id": 30,
            "phone": "157214621171",
            "role_id": 86,
            "workflow_state": "organization_owner",
            "job": "6666",
            "tel": "021-45555555",
            "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/14088/1.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
            "department_name": "研发2部"
        },
        "is_editable": true,
        "need_hidden_dispose": false,
        "contact_assetships": "",
        "revisit_remind_at": "",
        "is_user_self": false,
        "numeric_asset_3608bb87": null,
        "numeric_asset_3f16ca09": null,
        "text_asset_a41d6fce": "",
        "text_asset_57bc9bc0": "",
        "text_asset_48243f4b": "",
        "text_asset_2b21e002": "",
        "datetime_asset_78ceb1ce": "",
        "text_asset_636e99c6": "",
        "datetime_asset_0f24ba6d": "",
        "text_asset_a41d6fce_display": null,
        "text_asset_57bc9bc0_display": null,
        "user": {
            "id": 19,
            "email": "abc@qq.com",
            "created_at": "2014-07-26T11:27:17.000+08:00",
            "name": "abc",
            "organization_id": 30,
            "phone": "18616023917",
            "role_id": 0,
            "workflow_state": "organization_staff",
            "job": "",
            "tel": "",
            "avatar_url": "http://e.ikcrm.dev/assets/male.jpg",
            "department_name": "测试1部"
        },
        "owned_department": {
            "id": 40,
            "name": "测试1部"
        },
        "before_user": {
            "id": 1,
            "email": "test@qq.com",
            "created_at": "2017-04-13T00:00:00.000+08:00",
            "name": "test@qq.com",
            "organization_id": 30,
            "phone": "157214621171",
            "role_id": 86,
            "workflow_state": "organization_owner",
            "job": "6666",
            "tel": "021-45555555",
            "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/14088/1.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
            "department_name": "研发2部"
        },
        "before_owned_department": {
            "id": 44,
            "name": "研发2部"
        }
    }
}


```


#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|is_user_self |boolean   |是否自己的商机  |
|step_can_approve |boolean   |是否能审批  |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述