#### 简要描述：

- 修改商机接口

#### 请求URL:

- `/api/v2/opportunities/:id`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 商机的id，替换掉url的:id

#### 请求方式：
- PUT

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
opportunity[user_id] | false | 负责人id
opportunity[title] | true | 商机标题
opportunity[customer_id] | true | 对应客户id
opportunity[expect_amount] | false | 预计销售金额
opportunity[stage] | false | 销售阶段 调用 GET /api/v2/field_maps/opportunity 获取对应的值
opportunity[expect_sign_date] | false | 预计签单日期
opportunity[get_time] | false | 商机获取日期
opportunity[customer_requirement] | false | 客户需求
opportunity[note] | false | 备注
opportunity[source] | false | 来源 调用 GET /api/v2/field_maps/opportunity 获取对应的值
opportunity[kind] | false | 商机类型 GET /api/v2/field_maps/opportunity 获取对应的值
opportunity[want_department_id] | false | 所属部门

**请求参数json例子:**

```json

{
  "opportunity": {
    "name": "cccc",
    "title": "ccc",
    "customer_id": 1,
    "customer_requirement": "aaaaa",
    "approve_status": "approved"
  }
}
```

#### 返回示例:

**正确时返回:**

```
{
  "code": 0,
  "data": {
    "id": 568587,
    "customer": {
      "id": 1522636,
      "name": "北京讯鸟软件有限公司",
      "status": "3463",
      "status_mapped": "意向",
      "note": " \ninfobird \n (null)",
      "category": "",
      "category_mapped": "",
      "labels": [
      ],
      "source": "",
      "source_mapped": "",
      "industry": "",
      "industry_mapped": "",
      "parent": {
      },
      "staff_size": 0,
      "staff_size_display": "",
      "staff_size_mapped": "",
      "created_at": "2016-07-29 13:44",
      "updated_at": "2019-02-13 15:40",
      "is_own": true,
      "attachments": "3个附件",
      "company_name": "",
      "is_has_policy_for_assist_user": false,
      "qixinbao_id": "1",
      "is_my_assist_entity": false,
      "cio_pid": "baa933c4f2f7740242be13a4350e4f3d",
      "is_subscribed": false,
      "creator": {
        "id": 254,
        "email": "liu.x@vcooline1.com",
        "created_at": "2018-04-23 15:01",
        "name": "周星驰",
        "organization_id": 49,
        "phone": "17621642511",
        "role_id": 169,
        "workflow_state": "organization_staff",
        "job": "导演",
        "tel": "",
        "avatar_url": "https://dn-ikcrm-files.qbox.me/attachments/files/1484/25e25f090ccf5e514407f11dd64f5f14.gif?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
        "department_name": "总经理办公室"
      },
      "before_user": {
      },
      "before_owned_department": {
      },
      "not_revisit_at_time_str": "930天未跟进",
      "history_contarct_money": 0.0,
      "total_have_receive_pay": 0.0,
      "total_not_receive_pay": 0.0,
      "is_editable": true,
      "flow_into_at": "",
      "contacts": [
        {
          "id": 733587,
          "name": "李杰",
          "wx_external_userid": null,
          "wx_contact_type": null,
          "address": {
            "id": 3772348,
            "tel": "+8640070720088183",
            "tel_hidden_result": "+8640070720088183",
            "phone": "+8613801881465",
            "phone_hidden_result": "+8613801881465"
          }
        },
        {
          "id": 733588,
          "name": "李杰2",
          "wx_external_userid": null,
          "wx_contact_type": null,
          "address": {
            "id": 3772349,
            "tel": "+8640070720088183",
            "tel_hidden_result": "+8640070720088183",
            "phone": "+8613801881465",
            "phone_hidden_result": "+8613801881465"
          }
        }
      ],
      "expect_flow_at": "",
      "need_hidden_dispose": false,
      "revisit_remind_at": "",
      "customer_common_setting_id": null,
      "before_customer_common_setting": {
      },
      "is_user_self": false,
      "step_can_approve": false,
      "step": 0,
      "notify_users": [
      ],
      "can_revert_applying": false,
      "need_approve_step": 1,
      "approve_status": "approved",
      "approve_status_i18n": "已通过",
      "can_approve": true,
      "wx_external_userid": null,
      "wx_contact_type": null,
      "custom_field_template": {
        "id": 2465,
        "name": "123",
        "position": null,
        "status": 0,
        "is_usable": true
      },
      "custom_field_template_id": 2465,
      "text_asset_8b1eeedd": null,
      "text_asset_591b5ebb": null,
      "text_asset_1ff29b93": null,
      "text_asset_4a1eb9": [
      ],
      "text_asset_ba76dc": null,
      "text_asset_170ab3": [
      ],
      "text_asset_2aadea2a": null,
      "text_asset_ba76dc_hidden_result": "",
      "text_asset_2aadea2a_display": null,
      "text_asset_4a1eb9_display": "",
      "text_asset_170ab3_display": "",
      "address": {
        "id": 3772347,
        "country": {
        },
        "province": {
        },
        "city": {
        },
        "district": {
        },
        "tel": "+8640070720088183",
        "tel_hidden_result": "+8640070720088183",
        "phone": "+8613801881465",
        "phone_hidden_result": "+8613801881465",
        "email": "li_jie@infobird.com",
        "qq": "",
        "fax": "+862154510121p805",
        "wechat": "",
        "wangwang": "",
        "zip": " 200235",
        "url": "http://www.infobird.com",
        "detail_address": "上海市浦东新区申江路靠近北大楼2期",
        "lat": 31.208853,
        "lng": 121.626639,
        "distance": "0米",
        "region_info": null,
        "off_distance": -1,
        "gaode_staticmap": "http://restapi.amap.com/v3/staticmap?key=6336624d908c499cace3998613723a3a&location=121.626639%2C31.208853&markers=mid%2C%2CA%3A121.626639%2C31.208853&scale=2&size=524%2A180&zoom=16",
        "full_address": "上海市浦东新区申江路靠近北大楼2期"
      },
      "user": {
        "id": 254,
        "email": "liu.x@vcooline1.com",
        "created_at": "2018-04-23 15:01",
        "name": "周星驰",
        "organization_id": 49,
        "phone": "17621642511",
        "role_id": 169,
        "workflow_state": "organization_staff",
        "job": "导演",
        "tel": "",
        "avatar_url": "https://dn-ikcrm-files.qbox.me/attachments/files/1484/25e25f090ccf5e514407f11dd64f5f14.gif?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
        "department_name": "总经理办公室"
      },
      "owned_department": {
        "id": 395,
        "name": "总经理办公室"
      }
    },
    "title": "测试为了接口文档描述",
    "expect_amount": "20000.0",
    "sign_possibility": "80%",
    "sign_possibility_display": "80%",
    "get_time": "2019-02-14",
    "stage": "3514",
    "stage_mapped": "谈判/合同"
	}
}
```


#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述