#### 简要描述：

- 创建商机关联产品

#### 请求URL:

- `/api/v2/opportunities/:id/product_assets`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 商机的id，替换掉url的:id

#### 请求方式：

- POST

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true |  id 新增传递空值
product_asset[product_id] | true | 产品id
product_asset[quantity] | true | 数量
product_asset[recommended_unit_price] | true | 建议价格
product_asset[remark] | true | 备注

#### 返回示例:

**正确时返回:**

```
{
  "code": 0,
  "data": {
    "id": 419758,
    "customer": {
      "id": 23481906,
      "name": "向导",
      "status": "3464",
      "status_mapped": "报价",
      "note": "",
      "category": "",
      "category_mapped": "",
      "labels": [
        
      ],
      "source": "",
      "source_mapped": "",
      "industry": "",
      "industry_mapped": "",
      "parent": {
        
      },
      "staff_size": 0,
      "staff_size_display": "",
      "staff_size_mapped": "",
      "created_at": "2018-10-19 14:04",
      "updated_at": "2018-10-21 11:52",
      "is_own": true,
      "attachments": "暂无附件",
      "company_name": "",
      "is_has_policy_for_assist_user": false,
      "qixinbao_id": "",
      "is_my_assist_entity": false,
      "cio_pid": null,
      "is_subscribed": false,
      "creator": {
        "id": 419462,
        "email": "denghuang@ikcrm.com",
        "created_at": "2018-05-09 10:05",
        "name": "邓煌",
        "organization_id": 49,
        "phone": "18428362926",
        "role_id": 169,
        "workflow_state": "organization_staff",
        "job": "",
        "tel": "",
        "avatar_url": "https://e.ikcrm.com/assets/male_uc.jpg",
        "department_name": "总经理办公室"
      },
      "before_user": {
        
      },
      "before_owned_department": {
        
      },
      "not_revisit_at_time_str": "119天未跟进",
      "history_contarct_money": 0.0,
      "total_have_receive_pay": 0.0,
      "total_not_receive_pay": 0.0,
      "is_editable": true,
      "flow_into_at": "",
      "contacts": [
        {
          "id": 6123784,
          "name": "123",
          "wx_external_userid": null,
          "wx_contact_type": null,
          "address": {
            "id": 11302860,
            "tel": "",
            "tel_hidden_result": "",
            "phone": "",
            "phone_hidden_result": ""
          }
        },
        {
          "id": 6136312,
          "name": "1234",
          "wx_external_userid": null,
          "wx_contact_type": null,
          "address": {
            "id": 11315388,
            "tel": "",
            "tel_hidden_result": "",
            "phone": "",
            "phone_hidden_result": ""
          }
        }
      ],
      "expect_flow_at": "",
      "need_hidden_dispose": false,
      "revisit_remind_at": "",
      "customer_common_setting_id": null,
      "before_customer_common_setting": {
        
      },
      "is_user_self": false,
      "step_can_approve": false,
      "step": 0,
      "notify_users": [
        
      ],
      "can_revert_applying": false,
      "need_approve_step": 1,
      "approve_status": "approved",
      "approve_status_i18n": "已通过",
      "can_approve": true,
      "wx_external_userid": null,
      "wx_contact_type": null,
      "custom_field_template": {
        "id": 80,
        "name": "未成交",
        "position": 2,
        "status": 0,
        "is_usable": true
      },
      "custom_field_template_id": 80,
      "text_asset_8b1eeedd": "",
      "text_asset_591b5ebb": "",
      "text_asset_1ff29b93": null,
      "text_asset_4a1eb9": [
        
      ],
      "text_asset_ba76dc": null,
      "text_asset_170ab3": [
        
      ],
      "text_asset_2aadea2a": "",
      "text_asset_ba76dc_hidden_result": "",
      "text_asset_2aadea2a_display": null,
      "text_asset_4a1eb9_display": "",
      "text_asset_170ab3_display": "",
      "address": {
        "id": 27001400,
        "country": {
          "id": 4,
          "name": "中国",
          "pinyin": "a1"
        },
        "province": {
          "id": 6,
          "name": "辽宁",
          "pinyin": "liaoning",
          "country_id": 4
        },
        "city": {
          "id": 40,
          "name": "抚顺市",
          "pinyin": "fushun",
          "province_id": 6
        },
        "district": {
          "id": 458,
          "name": "顺城区",
          "pinyin": null,
          "city_id": 40
        },
        "tel": "",
        "tel_hidden_result": "",
        "phone": "",
        "phone_hidden_result": "",
        "email": "",
        "qq": "",
        "fax": "",
        "wechat": "",
        "wangwang": "",
        "zip": "",
        "url": "",
        "detail_address": "",
        "lat": 0.0,
        "lng": 0.0,
        "distance": "未知",
        "region_info": "中国 辽宁 抚顺市 顺城区",
        "off_distance": -1,
        "gaode_staticmap": "",
        "full_address": "中国 辽宁 抚顺市 顺城区 "
      },
      "user": {
        "id": 419462,
        "email": "denghuang@ikcrm.com",
        "created_at": "2018-05-09 10:05",
        "name": "邓煌",
        "organization_id": 49,
        "phone": "18428362926",
        "role_id": 169,
        "workflow_state": "organization_staff",
        "job": "",
        "tel": "",
        "avatar_url": "https://e.ikcrm.com/assets/male_uc.jpg",
        "department_name": "总经理办公室"
      },
      "owned_department": {
        "id": 395,
        "name": "总经理办公室"
      }
    },
    "title": "111",
    "expect_amount": "123.0",
    "sign_possibility": "80%",
    "sign_possibility_display": "80%",
    "get_time": "2019-02-13",
    "stage": "3514",
    "stage_mapped": "谈判/合同",
    "expect_sign_date": "2018-10-21",
    "note": "",
    "customer_requirement": "",
    "source": "",
    "source_mapped": "",
    "kind": "",
    "kind_mapped": "",
    "created_at": "2018-10-21 01:02",
    "updated_at": "2019-02-13 15:24",
    "is_own": true,
    "attachments": "暂无附件",
    "total_recommended_price": "-2490.0",
    "total_discount": "--",
    "approve_deny_type": 0,
    "approve_status_i18n": "已通过",
    "approve_status": "approved",
    "is_has_policy_for_assist_user": true,
    "is_my_assist_entity": false,
    "product_assets": "2，蜂窝",
    "can_turn_to_contract": true,
    "creator": {
      "id": 419462,
      "email": "denghuang@ikcrm.com",
      "created_at": "2018-05-09 10:05",
      "name": "邓煌",
      "organization_id": 49,
      "phone": "18428362926",
      "role_id": 169,
      "workflow_state": "organization_staff",
      "job": "",
      "tel": "",
      "avatar_url": "https://e.ikcrm.com/assets/male_uc.jpg",
      "department_name": "总经理办公室"
    },
    "is_editable": true,
    "notify_users": [
      
    ],
    "need_hidden_dispose": false,
    "contact_assetships": "123",
    "revisit_remind_at": "",
    "is_user_self": false,
    "step_can_approve": false,
    "need_approve_step": 1,
    "can_revert_applying": false,
    "can_approve": true,
    "text_asset_7ae933ad": "",
    "datetime_asset_79db302a": "2019-02-13 15:24",
    "text_asset_2dd8f810": "",
    "numeric_asset_0ded5846": null,
    "text_asset_ebd1d6a6": "",
    "text_asset_2dd8f810_display": null,
    "user": {
      "id": 257,
      "email": "fads@sdfsd.com",
      "created_at": "2014-11-06 22:48",
      "name": "张学友",
      "organization_id": 49,
      "phone": "18622222222",
      "role_id": 171,
      "workflow_state": "organization_staff",
      "job": "阿飞无法",
      "tel": "",
      "avatar_url": "https://dn-ikcrm-files.qbox.me/attachments/files/135546/aike_cam20160415172857.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
      "department_name": "销售部"
    },
    "owned_department": {
      "id": 196,
      "name": "销售部"
    },
    "before_user": {
      "id": 261,
      "email": "c@163.com",
      "created_at": "2014-11-07 09:27",
      "name": "iOS审核专用（勿删）",
      "organization_id": 49,
      "phone": "18633333333",
      "role_id": 169,
      "workflow_state": "organization_staff",
      "job": "职员",
      "tel": "",
      "avatar_url": "https://dn-ikcrm-files.qbox.me/attachments/files/2385268/attachment_1548917569-526262880.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
      "department_name": "总经理办公室"
    },
    "before_owned_department": {
      "id": 395,
      "name": "总经理办公室"
    }
  }
}
```

**错误时返回:**


```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述