## 抢线索池中线索
### HTTP Request

`POST  /api/v2/leads/:id/take`
#### 请求方式：

- POST
### 请求参数说明

字段名 | 是否必填 | 字段类型 | 描述
------- | ------- | ------- | -------
id | true | Integer | 要抢的线索id，是url中的:id部分，不以参数形式传递

### 返回数据字段说明

字段名 | 参数类型 | 描述
------- | ------- | -------
code | Integer | 返回状态码，成功为0
data | Json | 返回数据，包含抢到的线索的详细信息，字段不一一列举，详见json样例
message | String | 返回信息，是抢到的线索名称

> 返回数据

```json
{
    "code": 0,
    "data": {
        "id": 83022,
        "name": "线索池导入977",
        "company_name": "导入公司977",
        "status": "64180",
        "source": "",
        "source_mapped": "",
        "department": "",
        "job": "",
        "note": "主营外贸销售，代理国外一线品牌",
        "created_at": "2018-07-30 13:33",
        "status_mapped": "未处理",
        "updated_at": "2018-07-30 13:33",
        "is_own": true,
        "status_display": "未处理",
        "attachment": {},
        "turned_to_customer": false,
        "revisit_remind_at": "",
        "turned_customer_id": 0,
        "turned_to_customer_name": "",
        "qixinbao_id": "",
        "creator": {
            "id": 22218,
            "email": "",
            "created_at": "2018-03-26 10:12",
            "name": "lll",
            "organization_id": 10578,
            "phone": "",
            "role_id": 1912,
            "workflow_state": "new",
            "job": "",
            "tel": "",
            "avatar_url": "https://ding-dev.ikcrm.com/assets/male.jpg",
            "department_name": "金银花牛黄片"
        },
        "is_editable": true,
        "is_user_self": true,
        "card_attachment": {},
        "text_asset_65e11f": "自定义字段",
        "file_asset_7f77c2": [],
        "text_area_asset_a5cbb2": null,
        "text_asset_2baca2": [],
        "need_hidden_dispose": false,
        "text_asset_2baca2_display": "",
        "user": {
            "id": 22218,
            "email": "",
            "created_at": "2018-03-26 10:12",
            "name": "lll",
            "organization_id": 10578,
            "phone": "",
            "role_id": 1912,
            "workflow_state": "new",
            "job": "",
            "tel": "",
            "avatar_url": "https://ding-dev.ikcrm.com/assets/male.jpg",
            "department_name": "金银花牛黄片"
        },
        "address": {
            "id": 276673,
            "country": {},
            "province": {},
            "city": {},
            "district": {},
            "tel": "010-25360977",
            "tel_hidden_result": "010-25360977",
            "phone": "1342690977",
            "phone_hidden_result": "1342690977",
            "email": "",
            "qq": "",
            "fax": "",
            "wechat": "",
            "wangwang": "",
            "zip": "",
            "url": "",
            "detail_address": "北京市朝阳区朝阳门外大街18号丰联广场A座第9层",
            "lat": 0,
            "lng": 0,
            "distance": "未知",
            "region_info": null,
            "off_distance": -1,
            "gaode_staticmap": "",
            "full_address": "北京市朝阳区朝阳门外大街18号丰联广场A座第9层"
        },
        "owned_department": {
            "id": 4337,
            "name": "金银花牛黄片"
        },
        "before_user": {
            "id": 22218,
            "email": "",
            "created_at": "2018-03-26 10:12",
            "name": "lll",
            "organization_id": 10578,
            "phone": "",
            "role_id": 1912,
            "workflow_state": "new",
            "job": "",
            "tel": "",
            "avatar_url": "https://ding-dev.ikcrm.com/assets/male.jpg",
            "department_name": "金银花牛黄片"
        },
        "before_owned_department": {
            "id": 4337,
            "name": "金银花牛黄片"
        }
    },
    "message": "线索池导入977"
}
```