## 获取线索池线索列表页
### HTTP Request

`GET  /api/v2/common_leads`

### 请求参数说明

字段名 | 是否必填 | 字段类型 | 描述
------- | ------- | ------- | -------
common_id | false | Integer | 线索池id，由于目前只支持单线索池，可以不传
page | false | Integer | 页码
per_page | false | Integer | 单页数量
query | false | String | 搜索关键字
custom_field_name | false | String | 搜索字段
sort | false | String | 排序字段
order | false | String | 排序方式（asc或desc）


### 返回数据字段说明

字段名 | 参数类型 | 描述
------- | ------- | -------
code | Integer | 返回状态码，成功为0
data | Json | 返回数据
total_count | Integer | 符合筛选数据的总条数
per_page | Integer | 单页条数
page | Integer | 页码
notice | String | 列表为空时给出的提示语
leads[] | Array | 数组包含多个线索对象json，json中字段根据企业和用户设置有所不同，不一一列举，具体参考返回json样例
address | Json | 线索的地址信息
is_common_admin | Boolean | 当前用户是否为线索池管理员
can_grab| Boolean | 当前用户是否可以抢

> 返回数据

```json
{
    "code": 0,
    "data": {
        "total_count": 2,
        "per_page": 15,
        "page": 1,
        "notice": "来晚了，线索池线索都被抢光了!",
        "leads": [
            {
                "id": 83023,
                "name": "线索池导入978",
                "company_name": "导入公司978",
                "status": "64180",
                "status_mapped": "未处理",
                "turned_to_customer": false,
                "need_hidden_dispose": false,
                "address": {
                    "id": 276674,
                    "addressable_id": 83023,
                    "addressable_type": "Lead",
                    "country_id": null,
                    "province_id": null,
                    "city_id": null,
                    "district_id": null,
                    "tel": "010-25360978",
                    "phone": "1342690978",
                    "email": null,
                    "qq": null,
                    "fax": null,
                    "wechat": null,
                    "wangwang": null,
                    "zip": null,
                    "url": null,
                    "detail_address": "北京市朝阳区朝阳门外大街18号丰联广场A座第9层",
                    "created_at": "2018-07-30T13:33:14.000+08:00",
                    "updated_at": "2018-07-30T13:33:14.000+08:00",
                    "lat": null,
                    "lng": null,
                    "off_distance": null,
                    "region_info": null,
                    "snippet": null,
                    "organization_id": 10578,
                    "mode": "compat",
                    "time_format": "ruby",
                    "use_to_json": true,
                    "tel_hidden_result": "010-25360978",
                    "phone_hidden_result": "1342690978"
                },
                "is_common_admin": true,
                "can_grab": false
            },
            {
                "id": 83015,
                "name": "线索池导入970",
                "company_name": "导入公司970",
                "status": "64180",
                "status_mapped": "未处理",
                "turned_to_customer": false,
                "need_hidden_dispose": false,
                "address": {
                    "id": 276666,
                    "addressable_id": 83015,
                    "addressable_type": "Lead",
                    "country_id": null,
                    "province_id": null,
                    "city_id": null,
                    "district_id": null,
                    "tel": "010-25360970",
                    "phone": "1342690970",
                    "email": null,
                    "qq": null,
                    "fax": null,
                    "wechat": null,
                    "wangwang": null,
                    "zip": null,
                    "url": null,
                    "detail_address": "北京市朝阳区朝阳门外大街18号丰联广场A座第9层",
                    "created_at": "2018-07-30T13:33:14.000+08:00",
                    "updated_at": "2018-07-30T13:33:14.000+08:00",
                    "lat": null,
                    "lng": null,
                    "off_distance": null,
                    "region_info": null,
                    "snippet": null,
                    "organization_id": 10578,
                    "mode": "compat",
                    "time_format": "ruby",
                    "use_to_json": true,
                    "tel_hidden_result": "010-25360970",
                    "phone_hidden_result": "1342690970"
                },
                "is_common_admin": true,
                "can_grab": false
            }
        ]
    }
}
```