## 获取线索池成员列表
### HTTP Request

`GET  /api/v2/common_leads/:id/members`

### 请求参数说明

字段名 | 是否必填 | 字段类型 | 描述
------- | ------- | ------- | -------
id | true | Integer | 要获取成员的线索池id，是url中的:id部分，不以参数形式传递
query | false | String | 搜索关键字
per_page | false | Integer | 单页数量
page | false | Integer | 页码

### 返回数据字段说明

字段名 | 参数类型 | 描述
------- | ------- | -------
code | Integer | 返回状态码，成功为0
data | Json | 返回数据
total_count | Integer | 成员总数
per_page | Integer | 单页数量
page | Integer | 页码
members | Array | 数组包含成员详情，字段不一一列举，详见json样例

> 返回数据

```json
{
    "code": 0,
    "data": {
        "total_count": 26,
        "per_page": 15,
        "page": 1,
        "members": [
            {
                "id": 21992,
                "email": "",
                "created_at": "2017-12-29 11:33",
                "name": "姜河",
                "organization_id": 10578,
                "phone": "",
                "role_id": 1912,
                "workflow_state": "new",
                "job": "",
                "tel": "",
                "avatar_url": "https://static.dingtalk.com/media/lADPACOG83_sEE7NAeDNAeA_480_480.jpg",
                "department_name": "牛磺酸室"
            },
            {
                "id": 21993,
                "email": "",
                "created_at": "2017-12-29 11:33",
                "name": "侯德林",
                "organization_id": 10578,
                "phone": "18516501771",
                "role_id": 1912,
                "workflow_state": "new",
                "job": "",
                "tel": "",
                "avatar_url": "https://ding-dev.ikcrm.com/assets/male.jpg",
                "department_name": "牛磺酸室"
            },
            {
                "id": 21997,
                "email": "",
                "created_at": "2017-12-29 19:24",
                "name": "guxiaobai",
                "organization_id": 10578,
                "phone": "",
                "role_id": 1912,
                "workflow_state": "new",
                "job": "",
                "tel": "",
                "avatar_url": "https://static.dingtalk.com/media/lADOAZoXzs0CbM0CgA_640_620.jpg",
                "department_name": "牛磺酸室"
            },
            {
                "id": 21998,
                "email": "",
                "created_at": "2017-12-29 19:24",
                "name": "胡奕堯",
                "organization_id": 10578,
                "phone": "",
                "role_id": 1912,
                "workflow_state": "new",
                "job": "",
                "tel": "",
                "avatar_url": "https://static.dingtalk.com/media/lADOXSw-jc0Cfs0Cfg_638_638.jpg",
                "department_name": "牛磺酸室"
            },
            {
                "id": 21999,
                "email": "",
                "created_at": "2017-12-29 19:24",
                "name": "梅翔",
                "organization_id": 10578,
                "phone": "",
                "role_id": 1912,
                "workflow_state": "new",
                "job": "",
                "tel": "",
                "avatar_url": "https://static.dingtalk.com/media/lADO1TOJHc0E180E1w_1239_1239.jpg",
                "department_name": "牛磺酸室"
            },
            {
                "id": 22001,
                "email": "",
                "created_at": "2017-12-29 19:24",
                "name": "杨璇",
                "organization_id": 10578,
                "phone": "",
                "role_id": 1912,
                "workflow_state": "new",
                "job": "",
                "tel": "",
                "avatar_url": "https://static.dingtalk.com/media/lADPBbCc1U8NjETNBNrNBNo_1242_1242.jpg",
                "department_name": "牛磺酸室"
            },
            {
                "id": 22002,
                "email": "",
                "created_at": "2017-12-29 19:24",
                "name": "朱传涛",
                "organization_id": 10578,
                "phone": "",
                "role_id": 1912,
                "workflow_state": "new",
                "job": "",
                "tel": "",
                "avatar_url": "https://ding-dev.ikcrm.com/assets/male.jpg",
                "department_name": "牛磺酸室"
            },
            {
                "id": 22214,
                "email": "",
                "created_at": "2018-03-24 19:11",
                "name": "郑伟",
                "organization_id": 10578,
                "phone": "",
                "role_id": 1914,
                "workflow_state": "new",
                "job": "",
                "tel": "",
                "avatar_url": "https://ding-dev.ikcrm.com/assets/male.jpg",
                "department_name": "牛磺酸室"
            },
            {
                "id": 22215,
                "email": "",
                "created_at": "2018-03-24 19:11",
                "name": "Sean",
                "organization_id": 10578,
                "phone": "",
                "role_id": 1914,
                "workflow_state": "new",
                "job": "",
                "tel": "",
                "avatar_url": "https://static.dingtalk.com/media/lADOA8rXdc0CaM0CgA_640_616.jpg",
                "department_name": "牛磺酸室"
            },
            {
                "id": 22217,
                "email": "",
                "created_at": "2018-03-26 09:56",
                "name": "张明举12121ccccccddddd3333",
                "organization_id": 10578,
                "phone": "",
                "role_id": 1914,
                "workflow_state": "new",
                "job": "",
                "tel": "",
                "avatar_url": "https://ding-dev.ikcrm.com/assets/male.jpg",
                "department_name": "金银花牛黄片"
            },
            {
                "id": 22218,
                "email": "",
                "created_at": "2018-03-26 10:12",
                "name": "lll",
                "organization_id": 10578,
                "phone": "",
                "role_id": 1912,
                "workflow_state": "new",
                "job": "",
                "tel": "",
                "avatar_url": "https://ding-dev.ikcrm.com/assets/male.jpg",
                "department_name": "金银花牛黄片"
            },
            {
                "id": 22236,
                "email": "",
                "created_at": "2018-05-11 14:39",
                "name": "李军超",
                "organization_id": 10578,
                "phone": "",
                "role_id": 1912,
                "workflow_state": "new",
                "job": "",
                "tel": "",
                "avatar_url": "https://static.dingtalk.com/media/lADPBbCc1gheEHDNArPNArM_691_691.jpg",
                "department_name": "忍冬科科室"
            },
            {
                "id": 22237,
                "email": "",
                "created_at": "2018-05-11 14:39",
                "name": "魏加朔",
                "organization_id": 10578,
                "phone": "",
                "role_id": 1912,
                "workflow_state": "new",
                "job": "",
                "tel": "",
                "avatar_url": "https://ding-dev.ikcrm.com/assets/male.jpg",
                "department_name": "金银花牛黄片"
            },
            {
                "id": 22240,
                "email": "",
                "created_at": "2018-05-14 13:21",
                "name": "闵美如",
                "organization_id": 10578,
                "phone": "",
                "role_id": 1914,
                "workflow_state": "new",
                "job": "",
                "tel": "",
                "avatar_url": "https://ding-dev.ikcrm.com/assets/male.jpg",
                "department_name": "金银花牛黄片"
            },
            {
                "id": 22254,
                "email": "",
                "created_at": "2018-06-11 14:24",
                "name": "范翰文",
                "organization_id": 10578,
                "phone": "",
                "role_id": 1912,
                "workflow_state": "new",
                "job": "",
                "tel": "",
                "avatar_url": "https://ding-dev.ikcrm.com/assets/male.jpg",
                "department_name": "金银花牛黄片"
            }
        ]
    }
}
```