#### 简要描述：

- 跟进列表接口

#### 请求URL:

- `/api/v2/revisit_logs/new_index`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
page | false | 分页页数
per_page | false | 每页条数
date | false | 日期类型 默认当天
start_date | false | 开始时间(2015-06-15), 此时添加 date=other参数
end_date | false | 结束时间(2015-06-15), 此时添加 date=other参数
user_id | false | 用户id
department_id | false | 部门
loggable_type | false | 实体type, in: ['lead', 'customer', 'opportunity', 'contract']
loggable_id | false | 实体id


#### 返回参数
| 字段| 类型  | 说明  |
| ------------ | ------------ | ------------ |
| id | Integer  | 跟进记录id  |
|content| String | 跟进内容 |
|loggable_type| String | 跟进对象的类型 Lead:线索, Customer: 客户 |
|loggable_id| Integer | 跟进对象的id |
|loggable| Object | 跟进对象，参考 loggable 说明 |
|real_revisit_at| Date String | 实际跟进时间 |
|created_at| Date String | 跟进创建时间 |
|attachment_files| Array | 附件，参考 attachment_files 说明 |
|category_display| String | 跟进类型 |
|category_i18n| String | 跟进类型 |
|category| String | 跟进类型码值 |
|image_attachments| Array | 图片，参考 image_attachments 说明 |
|refer_type_display| String | 跟进对象类型 |
|refer_name| String | 跟进对象标题 |
|title| String | 跟进标题 |
|remind_at| Date String | 下次跟进时间 |
|is_remind_expired| Boolean | 下次跟进时间是否已过期 |
|at_users| Array | 提醒谁看，参考 at_users 说明 |
|user| Object | 写跟进用户，参考 user 说明 |

##### loggable
| 字段| 类型  | 说明  |
| ------------ | ------------ | ------------ |
|id| Integer | 跟进对象ID |
|name| String | 跟进对象name |
|approve_status| String | 跟进对象审批状态 |

##### attachment_files
| 字段| 类型  | 说明  |
| ------------ | ------------ | ------------ |
|id| Integer | 附件ID |
|file_url| String | 附件URL（压缩） |
|origin_url| String | 附件原始文件URL |
|public_url| String | 附件public URL |
|name| String | 附件名 |
|file_file_name| String | 附件名 |
|file_content_type| String | 类型 |
|file_file_size| Integer | 附件大小 |
|attachmentable_id| Integer | 附件所属对象id |
|attachmentable_type| String | 附件所属对象类型 |
|upload_time| Date String | 附件上传时间 |
|sub_type| String | 附件类型 |
|preview_url| String | 预览地址 |
|download_url| String | 下载地址 |
|file_type| String | 文件类型 |

##### image_attachments
| 字段| 类型  | 说明  |
| ------------ | ------------ | ------------ |
|id| Integer | 附件ID |
|file_url| String | 附件URL（压缩） |
|origin_url| String | 附件原始文件URL |
|public_url| String | 附件public URL |
|name| String | 附件名 |
|file_file_name| String | 附件名 |
|file_content_type| String | 类型 |
|file_file_size| Integer | 附件大小 |
|attachmentable_id| Integer | 附件所属对象id |
|attachmentable_type| String | 附件所属对象类型 |
|upload_time| Date String | 附件上传时间 |
|sub_type| String | 附件类型 |
|preview_url| String | 预览地址 |
|download_url| String | 下载地址 |
|file_type| String | 文件类型 |


##### at_users
| 字段| 类型  | 说明  |
| ------------ | ------------ | ------------ |
| id | Integer  | ID  |
|user_id| Integer | 用户ID |
|name| String | 用户姓名 |


##### user
| 字段| 类型  | 说明  |
| ------------ | ------------ | ------------ |
|id| Integer | 用户ID |
|email| String | 用户Email  |
|created_at| Date String | 用户创建时间 |
|name| String | 用户姓名 |
|organization_id| Integer | 所属组织id |
|phone| String | 用户登录号码 |
|role_id| Integer | 用户角色ID |
|avatar_url| String | 用户头像 |
|department_name| String | 用户部门 |
|uid| Integer | 用户UID |

#### 返回示例:

**正确时返回:**

```
{
    "code": 0,
    "data": {
        "revisit_logs": [
            {
                "id": 18816,
                "content": "跟进内容跟进内容跟进内容",
                "loggable_type": "Customer",
                "loggable_id": 52927219,
                "loggable": {
                    "id": 53816119,
                    "name": "内蒙尼有限责任公司",
                    "approve_status": "approved"
                },
                "real_revisit_at": "2025-02-25 14:07",
                "created_at": "2025-02-25 14:08",
                "attachment_files": [
                    {
                        "id": 37101,
                        "file_url": "https://cdn-files.ikcrm.com/attachments/files/37101/01fneb.jpg?imageslim",
                        "origin_url": "https://cdn-files.ikcrm.com/attachments/files/37101/010289af21iclneb.jpg",
                        "public_url": "https://cdn-files.ikcrm.com/attachments/files/37101/010289016j9i0ssf4sy0112asf21iclneb.jpg",
                        "name": "010289016j9i0ssf4sy0112asf21iclneb.jpg",
                        "file_file_name": "010289016j9i0ssf4sy0112asf21iclneb.jpg",
                        "file_content_type": "image/jpeg",
                        "file_file_size": 647086,
                        "attachmentable_id": 18804,
                        "attachmentable_type": "RevisitLog",
                        "upload_time": "2025-02-25 14:08",
                        "note": "",
                        "sub_type": "file",
                        "wx_media_id": null,
                        "preview_url": "https://cdn-files.ikcrm.com/attachments/files/37101/010289016j1iclneb.jpg?imageMogr/thumbnail/!250x250r/gravity/center/crop/!250x250/auto-orient",
                        "download_url": "https://cdn-files.ikcrm.com/attachments/files/37101/014sy0112asf21iclneb.jpg?attname=0121iclneb.jpg",
                        "file_type": "image"
                    }
                ],
                "category_display": "微信",
                "category_i18n": "微信",
                "category": "3166479",
                "image_attachments": [
                    {
                        "id": 3719,
                        "file_url": "https://cdn-files.ikcrm.com/attachments/files/3719/er98232-06-20_16-49-06.jpg?imageslim",
                        "origin_url": "https://cdn-files.ikcrm.com/attachments/files/3719/er98232-06-20_16-49-06.jpg",
                        "public_url": "https://cdn-files.ikcrm.com/attachments/files/3719/er98232-06-20_16-49-06.jpg",
                        "name": "er98232-06-20_16-49-06.jpg",
                        "file_file_name": "er98232-06-20_16-49-06.jpg",
                        "file_content_type": "image/jpeg",
                        "file_file_size": 1168438,
                        "attachmentable_id": 18816,
                        "attachmentable_type": "RevisitLog",
                        "upload_time": "2025-02-25 14:08",
                        "note": "",
                        "sub_type": "image",
                        "wx_media_id": null,
                        "preview_url": "https://cdn-files.ikcrm.com/attachments/files/3719/er98232-06-20_16-49-06.jpg?imageMogr/thumbnail/!250x250r/gravity/center/crop/!250x250/auto-orient",
                        "download_url": "https://cdn-files.ikcrm.com/attachments/files/3719/er98232-06-20_16-49-06.jpg?attname=er98232-06-20_16-49-06.jpg",
                        "file_type": "image"
                    }
                ],
                "audios": [],
                "address": {},
                "timestamp": "2025-02-25 14:08",
                "refer_type_display": "客户",
                "refer_name": "内蒙尼有限责任公司",
                "title": "微信",
                "remind_at": "",
                "is_remind_expired": false,
                "raw_remind_at": "",
                "event_url": "ikcrm://events?klass_name=RevisitLog&id=",
                "event_identifier": "",
                "at_users": [
                    {
                        "id": 11149,
                        "user_id": 120844,
                        "name": "李111",
                        "third_userid": null
                    },
                    {
                        "id": 11050,
                        "user_id": 12572,
                        "name": "薛333",
                        "third_userid": null
                    }
                 ],
                "user": {
                    "id": 11989,
                    "email": "",
                    "created_at": "2020-08-26 23:06",
                    "name": "Admin",
                    "organization_id": 513,
                    "phone": "15800010002",
                    "role_id": 89553,
                    "workflow_state": "organization_staff",
                    "job": "",
                    "tel": "",
                    "avatar_url": "https://uc-files.weiwenjia.com/i887adfdsfan2323?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
                    "department_name": "A事业部",
                    "third_userid": null,
                    "third_dept_id": null,
                    "uid": 16275
                },
                "sales_activity_id": 11742686930,
                "comments_count": 0,
                "comments": [],
                "contacts": [],
                "activity_type": "create",
                "activity_type_display": "新增",
                "is_draft": 0
            }
        ],
        "has_next_page": true,
        "per_page": 1,
        "page": 1
    }
}
```

**错误时返回:**


```
{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述